Overview

Introduction

About the HELP Function

The Visual Field Windows

Print Examinations

New in this Version

Contact

Program Installation

Installation

Demo Mode and License Registration

Update Installation

Link to your Electronical Medical Record Software

Perimeter Connection

Perimeter Connection

Data Transmission

Solve transmission problems

Miscellaneous

NEW in this version

Frequently Asked Questions

Differences to the perimeter device programs


What is PeriData?

A perimeter is an instrument for measuring the visual field and is used in eye clinics and opthalmological centers. The Peridata program receives these special examination data from all common instrument types, stores them and shows the results on the screen. By program installation on every workstation and central data storage the visual fields are visible everywhere in your medical institution.

The data are sent from the perimeters via network cable, special cable or local file export.

PeriData imports the data into its own database. The database is a single, highly compressed file (*.phf) and very fast. PeriData can create several databases. Examination data can be moved between databases or copied. The databases can be opened from every workstation in the local or remote network. This works also well if the facilities are at distant locations.

PeriData shows the visual field as single exam, series of fields, left and right fields together or as pointwise and general trend calculation. A large variety of graphical displays is available.

The PeriData application can be integrated easily, and is currently linked with Electronical Medical Record systems in thousands of ophthalmologic clinics and eye centers.

PeriData is lean and quick, and offers the worldwide largest number of compatible perimeter types, the best integration with EMR software and the largest spectrum of various graphical representations, now for more than 35 years !


Version changes since 3.8.0.0

PeriData - Changes since version 3.8.0.0

Again we had many small changes and improvements. These are the most important.

New features

Oculus Twinfield-3 connected: The new version of the Twinfield perimeter (mark 3) has a different data structure. PeriData has integrated the new device into the device list.

FREY Perimeter, TOMEY Perimeter, Rodenstock2-Perimeter: The data connection with the perimeters Frey AP-600/600L, Tomey AP-3500/4000 and Rodenstock Perimat2/Peristat2 has been completed after intensive work. The examinations are sent to PeriData and are shown on the screen with all PeriData features, for example Progression Trend together with examinations from other instruments.

Backup Routine: There is a new backup routine that stores all newly imported data additionally into a monthly database. The directory is defined in the options (settings). The files are named "PeridataBackup-Import-2026-03.phf", e.g. for March 2026. more

Finishing the programme made easier: There is now a button for closing the program, which is larger than the small cross in the corner of the window. PeriData can also be closed by repeatedly pressing the ESC key

Optimize window position: There is now a function and a button that optimizes the size and position of the programme window. This improves the visibility of the HELP window and other windows.

Unassigned examinations (Link Mode): During import (data receive) examinations of "other" patients are directed into the "Reserve" database. When started from the medical record software, PeriData searches automatically in the Reserve database for unassigned examinations, whose name matches the current patient. When a match is found, the visual fields are moved to the patient database (with confirmation). The new "Move" button can also be used for manual selection of matching examinations.

Settings Report: The current Options settings are saved to a textfile and can be printed. This is useful when computers are replaced or when support by our PeriData hotline is needed.

Configuration Assistant: After a new installation, this very useful assistant will start and help to make the basic settings for different installation types. It can be started also later in the menu Info&Help.

Message windows improved: All message windows have a print button in the upper right corner. This will store and open a text file, which can be printed or sent to the PeriData support. Minor important message windows are closing after some seconds and do not have to be confirmed any more. Some messages can be finished with ESC.

Search Button (Standard Mode): The main toolbar got a button for searching in the database which is active permanently in the standard mode. The function is equal to the key combination CTRL+F. This is not needed in the LinkMode, the button is inactive in this mode.

Search function can "find next": The search window now has the "find next" button. The next match is indicated, the window remains open. This is useful if you do not know the exact name (e.g. "Miller", first name unknown). When the search window has been closed again, the F3 key still works

Changes and improvements

Toolbar renewed: Some buttons have new colors for better recognition. The order has slightly changed.

Show visual fields immediately after data import: If the option "Show data import at once" is set (Menu Extra > Options), the visual field windows will open immediately after data import.

Window sizes and position improved: The database windows are optimized in size and position. The Help window is optimized in size and docked to the side of the program window, if there is enough space. This solves the problem of the Help window being hidden or too small.

Options: The windows for the program settings (options) are newly arranged and reduced from 6 to 3 tabs. The favorite image type is defined only inside the visual field windows with the star button.

Data errors - documentation improved: Error messages during data transmission are now documented in greater detail. This enables our hotline support team to identify the cause more easily and find solutions more quickly.

Earlier changes


HELP function

The HELP function is the integrated user manual of PeriData

Key F1 opens a help window related to the active element. The element may be a window, a dialog or a menu item under the cursor

a button with a question mark opens overview pages

a button with a magnifier opens the Index search field. You can look for a keyword

In the visual field images a CLICK right on the image opens the help window with an explanation of the current image type . A second click on the same image closes the IMAGE HELP window.

Change the Help window

The font size of the HELP window is changed using the CTRL key and mouse wheel or the CTRL and + keys or CTRL and - keys

The Help window has the symbol "Show" which opens a navigation pane with the 3 tabs Contents, Index (search a keyword) and Search (search any word). "Hide" collapses the pane.

The Help window behaves like any other window. It can be moved, enlarged or reduced with the mouse or closed with the cross x.


First Steps

First Steps with PeriData

Animated introduction

A very nice animated introduction to PeriData is on our website

Open the sample database

Menu Info > Example data >> the Database Window opens with a list of examinations.

Double click on an examination >> all examinations of this patient are selected and the visual field windows open.

On the left you see the Series Window showing all visual fields

On the right you see the Single Window showing the last visual field with details

Click on an Image button and look what happens

Click on a visual field and the "Image Help" opens

Press the key F1 to get more help

Open your own database

Click on the left button> in the upper toolbar. If the button is grayed, switch Menu Extras > Options > ViewingMode > OFF.

The new database is empty and has not yet a proper name but is called "NONAME1".Click on the Save as button and give the file a proper name, e.g. "Test1". Choose a suitable folder, e.g. the desktop. (more information about databases)

Connect the perimeter

The required steps depend on the type of instrument. Get information from the help item Perimeter Connection. When the connection has been configurated and PeriData is ready to receive data, one or several buttons are activated:

Send an examination

Start the send procedure at the perimeter (or the PC perimeter control program, respectively). If everything is correct, then the examination will appear in the database window.

Integration into your medical record software

This is made by the software specialist of your medical record software.

Order

Order the license during the demo period (30 days after the first installation)

Questions? Give us a call!

Our hotline likes to help you. The number is +49 22044 264 770


PeriData Installation

Program Installation

What do you want to do?

  • install PeriData on a NEW computer? Download the setup file from our internet page   more information
  • get the LICENSE KEY? First you have to install the program. Then you will press the   REGISTRATION button
  • install the UPDATE? It is easy:   more information
  • install PeriData in the ENTIRE PRACTICE / CLINIC? Then you should continue   reading here
  • you are SYSTEM ADMINISTRATOR and want to install PeriData with full integration into the medical record software ("LinkMode")? This is the Complete Installation Guide
  • you want to install PeriData on a TERMINAL SERVER? This is complicated. Please call our hotline. There is more information


Installation Types

  Installation     Standalone     Network     Partial Integration     Full Integration

Program Installation on each PC

Download: The current installation file is found on our website www.peridata.com on the DOWNLOAD page DOWNLOAD page   There you click on the button "Download Setup file".

Installation: Open the downloaded file PeriData-Setup-.."version number"...exe   It is possible that the administrator password of your computer is requested. Installation starts. Answer all question. Select the suggested installation folder. Installation takes 1 minute. Now the program is ready.

Start the program: Click on the program symbol on the desktop. -- If installed for the first time, the program needs administrator privileges. The program restarts automatically in the Admin mode. As long as the license key is not yet registrated, PeriData will show the 2 buttons "Registration" and "Without License". Without license, the program is usable with all function during a demo period. The installation in the entire facility can be done without license. The registration can be done after purchasing a license.

Installation in the entire facility: 4 different configuration types for PeriData

There are several options (see tabs) to use PeriData in the clinic or office: standalone at one place, on several places, and partially or fully integrated with a medical record software. The programme itself is always the same, but with the start command parameters are given defining the database path, the patient name and other informations. Thus the program behaves according to the desired configuration.

Since the behaviour is defined from outside, no special settings are required in the program itself. The same start command works on every workstation. PeriData is simply installed on a new workstation and works immediately.


Update

Two easy ways to update

1. Update with the Update BUTTON inside the program

Click on the Update Button. You can also press the 2 keys CTRL + U on the keyboard. This function searches the local network for a new setup file that has already been installed on another computer in your network. If it is not found, the function will search for a newer version on PeriData website. The download and the installation will follow.

During installation it is possible that the administrator password of your computer is requested

2. Update from the WEBSITE (always works)

Open our website "peridata.com". There you have the menu item Download. The button to start the Download is easy to see. After downloading you start the setup file and the installation starts.

During installation it is possible that the administrator password of your computer is requested

Why updates ?

Updates are annoying, but necessary to adapt the programme to the changes in Windows and in the perimeter­programs. Updates also contain improvements and new function. Every 1 to 3 months, new versions are available in the web. For you this is silent, because they are optional. Every 1 to 2 years there are major updates which must be installed. You will get a notification in the program.

Please note

The new version is installed in the normal manor. The old version is overwritten. Deinstallation is not neccessary. The license key remains valid, a new key is not required.

In the network, the update must be carried out at all workstations.

Rollout

Only for system administrators: The rollout in a larger network or integrated in a software package of EMR software can be simplified considerably.  >> Information about Rollout


License Key Registration

As long as no license key is registrated, PeriData will show these buttons

Registration -- opens the window "License Key Registration"

Without License (demo mode) - opens the program with all functions

Administrator Privileges

The registration requires special user privileges. If you do not get into the registration window, you have to RESTART PeriData. Open the desktop (keys WIN and D) and look for the program icon. Click with the RIGHT mouse button on the icon. The context menu opens. Select "Run as administrator"

Run as Admin

It may occur that the computer asks for the administrator name or password (of the computer). This was definied by your computer service and has no relation to PeriData.

Window "License Key Registration"

When you are in the registration window, you see a LOCK number with 20 numerals. Now call our telephone hotline. We will give you the matching KEY number. Type the numerals into the fields. ENTER moves to the next field. At the end, click OK. You will get a message whether the registration was successful.

Registration dialog

If the registration was NOT SUCCESSFUL (typing error), you restart the program as administrator. This will open the dialog again for a second try.

Updates: After a program update, you do not need any new license key. The license key is permanently stored on the computer and keeps valid.

You need a license? You will find complete information on our website


Terminal Server Architektur

Terminal Server Architecture

In a terminal server architecture, PeriData is installed only on the server. Multiple access to the app from different users is possible. Multiple access to the data files is also possible. The permission rights are controlled by the option ViewingMode at the viewing workstations. The workstation in the perimeter room needs a special solution. It depends on the mode of transmission (file or RS-232 cable)

This description can also be used for CITRIX server

Installation on the TERMINAL SERVER

Install PeriData. Answer the question "Is this a Terminal Server?" with YES. Now the settings are correct

If PeriData was priorily installed, check the settings in the Options (Extra menu)

  • Tab General: Viewing Mode = ON (default since V3.7.2.2)
  • Tab Perimeter: each USER has his own Perimeter settings = ON. When switched on, a File "PeriWin_Opt_Are_User_Specific.txt" is written into the directory "C:\PeriDataExchange". Now, the setting cannot be reversed. The perimeter settings are now stored separately for each user (=terminal) into the registry "HKEY_CURRENT_USER".

Installation on a NORMAL CLIENT PC

No configuration needed. PeriData runs in the RDP window in ViewingMode. On the local PC there is NO PeriData.

Installation on a CLIENT PC that is the PERIMETER WORKSTATION
This is a PC which are connected to a perimeter. Concerning configuration, there are 3 cases depending on the sending method used by the perimeter (details for each device type)

CASE 1: FILE export to the standard exchange directory on the local pc

Situation: Perimeter sends the data as a FILE

1A. INSTRUMENT

Alternatives:

  • The perimeter control program is running on the local PC and exports the raw data ALWAYS to the standard exchange directory "C:\PeriDataExchange" >> no configuration needed
  • The perimeter control program is CONFIGURABLE >> set the configuration to "C:\PeriDataExchange"
  • The perimeter control program sends the data to ANOTHER folder and is NOT configurable >> an auxillary program (move app) moves the raw data from another directory into the standard import directory
  • if the standard directory is not suitable >> see CASE 2 <

1B. LOCAL PC (outside of the RDP window)

  • Create the directory "C:\PeriDataExchange" (the PeriData program is NOT installed). If the perimeter control program is not on the same PC, then share the folder.
  • Check: (PeriData NOT running) Export/Send data from the perimeter >> new raw data files (extension *.pdi *.oc1 *.dcm - depending on the type) appear in the directory

1C. PeriData in the RDP window

  • In the options: IMPORT interface FILE: select perimeter type
  • The checkbox "use this special IMPORT directory" is set ON
  • Type into the field below: \\TSCLIENT\C\PeriDataExchange
  • Check: Open a new database in PeriData >> the raw data files (see above) are imported, the examinations appear in the list

CASE 2: FILE export to a directory on the server / other PC

Situation:The perimeter uses FILE export. The export/target directory is configurable. The standard exchange directory on the local PC is not possible or not wanted. ted

2A. SERVER / other PC

  • Create the special directory -- IMPORTANT: Each perimeter workstation needs a SEPARATE directory on the server to avoid a data mismatch from different devices. The name should define the workstation (user name, location) clearly. Example: ..\Peri_AntwerpZuid_Room3
  • Share the folder.
  • Check: Perform an export action on the perimeter >> new raw data files (extension *.pdi *.oc1 *.dcm - depending on the type) appear in the directory

2B. INSTRUMENT

  • perimeter control program: configurate the export directory (UNC path or drive mapping)
  • Check: (PeriData NOT running) Export/Send data from the perimeter >> new raw data files (extension *.pdi *.oc1 *.dcm - depending on the type) appear in the directory

2C. LOCAL PC (outside of the RDP window)

No action required

2D. PeriData in the RDP window

  • In the options: IMPORT interface FILE: select perimeter type
  • The checkbox "use this special IMPORT directory" is set ON
  • Type into the field below the server directory (UNC path)
  • Check: Open a new database in PeriData >> the raw data files (see above) are imported, the examinations appear in the list

CASE 3: Data are sent via CABLE

Situation: The perimeter uses cable transmission (RS-232). -- In the "Receiver Mode Solution" PeriData is running in TWO instances. On the terminal PC it is running in the "Receiver Mode" and stores the cable data to a raw data file in the IMPORT directory. On the terminal PC Peridata is running in normal mode and imports the raw data file into the database.

3A. INSTRUMENT

  • Connect instrument and PC with the cable
  • Setup the export parameters

3B. LOCAL PC (outside of the RDP window)

  • Install PeriData
  • In the options: COM -port no- select the connected perimeter
  • "use this special IMPORT directory" = OFF, "each USER has his own Perimeter settings on this computer" = OFF
  • CHECK (without RECEIVER mode): Send data, open new empty database >> data appears
  • Now activate the RECEIVER mode
  • PeriData should run permanently. Create a link to PeriData (periwin.exe) in the autostart -- When started in the Receiver Mode, PeriData will minimize the window automatically. When accidentally closed, a warning will appear

3C. PeriData in the RDP window

  • In the options: IMPORT interface FILE: select perimeter type
  • The checkbox "use this special IMPORT directory" is set ON
  • Type into the field below: \\TSCLIENT\C\PeriDataExchange
  • Check: Open a new empty database in PeriData. Send data from the perimeter >> the raw data files (see above) are imported, the examinations appear in the list

3D. Alternatives

Other configurations are possible, e.g. with a serial ETHERNET adapter (e.g. MOXA). Please call our technical support, we like to give you advice.

Practical procedure of a data transmission (all cases):

1. RDP window: Start PeriData out of the EMR software >> PeriData is waiting for data

2. Perimeter or perimeter program on the PC, resp.: store a finished examination (triggers automatic data transmission if configurated) - or - open stored examinations and press "Export" or "Send" button >> examinations will appear in the PeriData of the RDP window

DONE !


Link Mode Principle

  Principle     Interface     ONEPAT Mode

Full Integration with a electronical medical record (EMR) software

linkmode

In case of full integration, PeriData is installed on all computers. The application is started directly out of the patient file of the EMR software. Information about the patient are handed over on the command line. PeriData will be in the "Link Mode" and shows only visual fields of the current patient.

The database file are stored on the server. Each patient has a separate, small file. Only one computer is connected to the perimeter device and stores new examinations. The other workstations show the stored visual fields.

There are another 3 configuration variants possible.


Link Mode Interface

  Principle     Interface     ONEPAT Mode

LINKMODE Interface

1: EMR Software - Call and Output: The EMR Software starts the PeriData app (shellexecute) with the parameter /MODE:ONEPAT and other parameters containing the current patient data (name, birthdate, ID). One of the parameters carries the path of the individual database file of this patient. Specification of the interface:  ONEPAT Link Mode

2: PeriData - Input: (automatically) PeriData starts, opens the individual database file and shows immediately the stored examinations

Configuration

A Configuration is not needed. The behaviour is controlled by the commandline parameters.

A: PeriData - Database: (stores automatically) Each patient has his own small database which is opened at startup.

Details

If the file does not yet exist (first exam), it will be created. Some information about the database file structure

3: PeriData - Output: (automatically) Each time when a new examination has arrived from the perimeter and is stored in the database, PeriData transmits general information about examination method, time and eye to the EMR software

Message File

The transmission uses a text file with the file extension *.MES. These files are stored in the database directory.

4: EMR Software - Input: The EMR Software reads the message file, generates a new line in the patient record and deletes the file.

Alignment of the correct patient: The EMR software sends the filename associated with the current patient. For safety reasons, the patient name is stored to each examination in the database. PeriData will check the name when the database file is opened. Another check is done when new examination data is received and imported.

Details

In addition, the date of birth is compared. - A change in case of typing errors or a name change, e.g. with marriage is possible, with confirmation check. The question will not turn up again.

If the wrong patient was opened and new data arrives, and PeriData finds the mistake, the data will be stored to a "Reserve" database. Later they can be moved to the correct patient.

More details about the behaviour of PeriData in the Link Mode is shown here

This page describes the basic functionality of the LinkMode. The Complete Installation Guide is found here Complete Installation Guide is found here


ONEPAT Link Mode

  Principle     Interface     ONEPAT Mode

ONEPAT Link Mode Interface

Commandline Parameter

/MODE:ONEPAT - this argument switches PeriData into the ONEPAT Link Mode

/CLIENT: the name of the EMR software is shown in the title of the PeriData program window

/NAME: the last name (family name). See footnotes about blanks

/FIRSTNAME: the given name. See footnotes about blanks

/BORN: the date of birth, using the ISO format without delimiters = YYYYMMDD - PeriData will show the date in the individual setting of the "Date format (Display)" in the Options dialog

/FILE: Database file for this single patient (complete path with extension PHF). If it does not yet exist, it will be created. The filename should be UNIQUE, e.g. based on the patient ID in the EMR system. The directory should be a SEPARATE directory on the SERVER (full access allowed for "Everyone"). It should NEVER be in a program folder. Use short UNC paths

Note: No blanks between parameter tag and double point and parameter arguments. If the value (e.g. name) has blanks, put the value into "quotations"

Example of a CALL from the EMR software to PeriData

"C:\Program files\PeriData\PeriWin\periwin.exe" /MODE:ONEPAT /CLIENT:ABCSOFT /NAME:Kennedy /FIRSTNAME:"John F." /BORN:19841231 /FILE:\\Server01\Data\Peridatafiles\001423.PHF

"C:\Program files\PeriData\PeriWin\" is the typical program folder. You may also use the environmental variable %PERIDATAPROGDIR% (is set during install and is always correct)

periwin.exe is the program executable file

Example of a message file from PeriData >> EMR software (for each newly stored examination)

Filename: <data directory> PERI0001.mes

/PROGRAM:PERIDATA
/NAME:Orwell
/FIRSTNAME:George
/BORN:19841231
/FILE:00004
/DATE:20150825
/TIME:1043
/EYE:RE
/EXAM:RIGHT: HFA3 30-2 SITA-STANDARD
/INDICES: MD: -3.5 DB / FD: -40 % / PSD: 2.7 DB
/RELIABILITY: MALFIX - / FPOS 0% / FNEG 0% /

More

All details about the ONEPAT interface you will find here: ONEPAT Link Mode (detailed Specification)

The complete installation procedure (Perimeter, Program, Software Link) is well described here: All setup steps


Perimeter Connection

Principle Interface Devices

Connection with the Perimeter

The connection is set up AT ONLY ONE WORKSTATION (usually in the perimeter room). There, the device type is set in the menu Extra > Options > Perimeter > Import Interface. All other workstations have NO perimeter connection: they are reading the stored data from the central database (ViewingMode). They do not need reconfiguration when the perimeter device is changed.

In the device software the export options must be configurated to match the PeriData settings. This varies considerably for different device types

Note: Perimeter and PeriData are not linked (no "handshake" as with Bluetooth). The perimeter can transmit without PeriData being active. PeriData can be ready to receive a perimeter type even if no device is present. Export and import must therefore be configured appropriately, and PeriData must be activated.

Note: Perimeter always sends a copy of the examination data. The original data remain in the device database and can be accessed with the device software in the usual way.

Note: The perimeter connection is independant of the connection with the medical record software.


Data transmission

Sending data from your perimeter type:

Heidelberg Edge Perimeter (HEP)

Humphrey Field Analyzer 1 (Model 6xx)

Humphrey Field Analyzer 2 (Model 7xx)

Humphrey Field Analyzer 3 (Model 8xx)

Medmont M700

Oculus Twinfield / Centerfield / Easyfield / Smartfield

Rodenstock Peristat 433

Octopus 101 / PeriTrend

Octopus 1-2-3

Octopus 300 / 311

Octopus 500ez

Octopus 900 / EyeSuite

Octopus 600 / EyeSuite

Optopol PTS 920 / 925 / 2000

PeriData receives the examinations

The program window of PeriData is open and shows in the title "WAITING FOR DATA" -- If this text is missing, no perimeter is connected   more info

As soon as new data have arrived, they are stored to the data base and a message is shown  Animation

If data has been received, but no database is open, a message and a blinking red button informs you about the waiting data. If multiple databases are open, PeriData asks for the target file. -- In the Link Mode, the target file is always the current patient database

Transmitted data are preserved until they are imported, even if the program window was closed intermediately.

more Information

PeriData is capable to copy and paste data from other PeriData databases

Data from several perimeters can be received on a single PC. Ask our hotline for advice.


Problem solution

Problems with data transmission

If examination data does not arrive in PeriData, various reasons are possible. In detail, it depends on the perimeter type.

Note: If the data is displayed in PeriData but no line appears in the medical office software, this is due to integration by the medical office software. Our hotline will try to help you further. However, the service of your medical office software will often have to become active.

All instruments

1. Is there an open database in PeriData?

2. Is the database ready to receive data (no write protection, no viewing mode)?

Instruments with cable transmission (COM interface)

3. Is the cable plugged in tightly on both sides?

4. COM-No: Is the cable plugged into the right port at the PC, or is the adapter configurated with the right COM no, resp. (device manager)?

5. Are the interface parameter at the instrument identical with the Peridata settings (Options > Perimeter)? (the settings in the device manager are ignored)

6. Was the sending procedure performed according to the instructions ?

7. Is there any data stream from the perimeter or is it a technical defect? Check it with a physical serial port tester (RS-232 tester).

Instruments with file transmission (FILE interface)

3. Has the correct device type been selected in Peridata (Options > Perimeter) ?

4. Is the export directory in the instrument and the import directory in PeriData (Options > Perimeter) the same?

5. Has the send process been carried out according to the instructions?

6. Does data arrive in the import directory? After sending, there must be a file with the corresponding FILE EXTENSION (depending on the type .DCM .PDI .OC1) and the current DATE and TIME. If not, the perimeter has not sent correctly.

Specific solution proposals for:

Humphrey Field Analyzer 1 (Model 6xx))

Humphrey Field Analyzer 2 (Model 7xx))

Humphrey Field Analyzer 3 (Model 8xx))

Oculus Twinfield / Centerfield / Easyfield / Smartfield

Octopus 600 / EyeSuite

Octopus 900 / EyeSuite


Frey - Connection

Connecting the Frey AP600 / Tomey AP-3500/4000 / Rodenstock Peristat2/Perimat2

Data connection

The Frey AP600 and similars are independent devices with network capabilities. They export the data as a FILE which is stored in the local network. The export directory can be configured. The data connection for the transmission to PeriData requires 3 jobs:

1. Physical connection: Connect with the local network

2. EXPORT configuration on the Frey perimeter and similars

3. IMPORT configuration in PeriData

Send examination data

After establishing the data connection, the Frey perimeter and similars is ready to send examination data. The data will immediately show up in the PeriData database.

Solving problems

If new data do not arrive in PeriData, several reasons are possible >> Solutions


Frey - Network connection

The network connection with the Frey AP600 / Tomey AP-3500/4000 / Rodenstock Peristat2/Perimat2

The data transmission between the perimeter and the receiver-PC uses the local network by cable (LAN) or wireless (WLAN). The connection to the network is usually setup by a network administrator or a well-informed person.

Information about the network setup is given in the perimeter manual. This is a short summary only for the LAN setup:

1. Share the exchange folder on the PC

  • PeriData is already installed on the PC
  • share the predefined exchange folder "C:\PeriDataExchange" (Everyone - Full Control)

2. LAN connection on the Frey perimeter (Networking Settings)

  • connect the perimeter with a cable to the LAN
  • perimeter menu: choose Settings > Networking > Networking Settings
  • enable LAN DHCP >> all parameters are set by the LAN router

3. Definition of the export target on the Frey perimeter (Network Drive Configuration)

  • perimeter menu: choose Settings->Networking->Network Drive Configuration >> Displays a list of available network drives and their connection statuses
  • select New
  • URL: enter the path to the shared folder of the target PC (example: 192.168.123.55\PeriDataExchange)
  • Username / Password: enter the access code of the target PC
  • select the network drive in the list >> options are available
  • Export: ON (export will be automatic after an examination is completed)
  • Dicom/Pdf: DICOM (this is the export type, PDF cannot be read by PeriData)
  • Patient named folder: OFF
  • ID in folder name: OFF
  • result: the export target will be <network drive>\opv (on the PC shown as C:\PeridataExchange\opv)

Make the connection: all steps


Frey - Configuration

Configuration of the data transmission: Frey AP600 / Tomey AP-3500/4000 / Rodenstock Peristat2/Perimat2

The configuration (export: ON, export type = Dicom) is done in the last actions of step 1 connection with the local network. No further configuration is needed.

Make the connection: all steps


Frey - Sending Data

Sending Examination Data: from the Frey AP600 / Tomey AP-3500/4000 / Rodenstock Peristat2/Perimat2

After the export function is activated in the last actions of step 1 connection with the local network, export will be automatic after an examination is completed

Make the connection: all steps


Connecting the HEP Heidelberg Edge Perimeter

The connection consists of 3 steps:

1. Installation of PeriData on the same PC where the perimeter's control program is installed. Explanation: Data transmission does not use a cable. The data is handed over using a file on the hard disk.

2. Configuration of the perimeter

3. Configuration of the program PeriData - The data format is PDIF (Perimetric Data Interchange Format), the interface is FILE.

After that, you can transmit data


HEP: Data transmission

Configuration of data transmission: Heidelberg Edge Perimeter (HEP)

Steps

Because the HEP is a new perimeter, we ask you to consult the HEP manual.

Continue..

When this step is finished, continue with the next step.


HEP: Data transmission

Transmission of data: Heidelberg Edge Perimeter (HEP)

Steps

Because the software has changes, we ask you to consult the HEP manual


HFA 1 - Connection

Connecting the Humphrey Field Analyzer 1 (Model 6xx)

Preparation

The preparation of the data transmission HFA2 >> PeriData requires 3 jobs:

1. Physical connection: Connect with a cable

2. Configuration of the perimeter

3. Configuration of the program PeriData

Send examination data

After finishing all preparing jobs, the HFA 1 is ready to send examination data. The data will immediately show up in the PeriData database.


HFA 3 - Data Transmission

The cable connection with the Humphrey Field Analyzer 1 (Model 6xx)

To enable data transmission, perimeter and PC are connected with a cable. This is a special cable. You can produce this cable yourself or let it be produced for you. Please note that a standard modem cable will not work !

Cable specification

If you want to produce the cable yourself, you should use the same cable specification as described for the HFA 2 . To this cable, you add a standard adapter DB25 male - DB9 female at the perimeter side.

Connection at the PC

The cable is plugged into a RS-232 connector (9 pole male) at the PC. These connectors are called COM port or serial interface. Please identify the number of the COM port and note it for the configuration. The COM number has to be between 1 and 4 for technical reasons.

If there is no COM port, use a USB-serial adapter.

Make the connection: all steps


HFA 1 - Configuration

Configuration of the data transmission: Humphrey Field Analyzer 1 (Model 6xx)

The configuration is the setting of baud rate and other parameters of data transmission.

Step by step

Go to the perimeter and select in the menu:

-> main menu

-> user parameters

-> BAUD: 9600

-> PARITY: EVEN

The other parameters (7 data bits, 1 stop bit) are fixed and cannot be changed.

For further details, please read the perimeter manual.

Permanence of settings

These settings keep stored even when the perimeter is turned off.

Continue..

When this step is finished, continue with the next step.

Make the connection: all steps


HFA 1 - data transmission

Transmit data from the Humphrey Field Analyzer 1 (Model 6xx)

If the Humphrey Field Analyzer 1 has been connected and a database has been opened, you can...

Transmit stored data

or

Transmit data after an examination

Troubleshooting

Data does not arrive in PeriData

1. Is there an open database in PeriData ?
2. Check the import directory ("C:\PeriDataExchange", if you did not choose a different directory). If you do not find a file with the extension .HFA, then the cable transmission failed > go to the next paragraph
3. If .hfa files are "waiting", then open the Menu Extra > Options > Tab Perimeter and check the settings

The cable transmission failed

If you found out by the preceeding check that no data are read from the COM port, then check the following:
1. Is the cable plugged in tightly on both sides ?
2. COM-No: Is the cable plugged into the right port at the PC, or is the adapter configurated with the right COM no, resp. (device manager) ?
3. Is the cable plugged into the right port at the HFA1 ?
4. Is the configuration of PeriData correct (Options > Perimeter), are the interface parameter set to "Default" ?
5. Are the interface parameter at the HFA3 identical with the Peridata settings ?
6. Was the sending procedure performed according to the transmission rules (see link above) ?
7. Is there any data stream from the perimeter or is it a technical defect? Check it with a physical serial port tester (RS-232 tester).

Make the connection: all steps


HFA 1 - Send Stored Data

Transmission of stored data: Humphrey Field Analyzer 1 (Model 6xx)

Step by step

  • MAIN MENU
  • DISK FUNCTIONS
  • DATA TRANSMISSION
  • Select tests (highlighted)
  • SELECTION COMPLETE (starts transmission)

Note: Transmission lasts about 3 seconds per examination (20 tests per minute) using 9600 baud

Make the connection: all steps


HFA 1 - Send automatically

Automatic transmission of data after the examination: Humphrey Field Analyzer 1 (Model 6xx)

Step by step

After finishing an examination, the menu shows the menu item "DATA TRANSMISSION"

press DATA TRANSMISSION

The current examination data is transmitted

Problems

Types 620 - 640 with very old software (version 9.3 and earlier) do not show this option. Data transmission is possible only after storage

Solution: Only by the Zeiss Humphrey Service Team: 1. Update of the perimeter's Software or 2. Change of configuration (disabling of the floppy disk drives).

Make the connection: all steps


HFA 2 - Connection

Connecting the Humphrey Field Analyzer 2 (Model 7xx)

Data connection

The HFA2 exports data via serial cable (RS-232). The connection for data transmission HFA2 >> PeriData requires 3 jobs:

1. Physical connection: Connect with a cable

2. Export configuration of the HFA2 device

3. Import configuration of PeriData

Send examination data

After establishing the data connection, the HFA 2 is ready to send examination data. The data will immediately show up in the PeriData database.


HFA 2 Cable

The cable connection with the Humphrey Field Analyzer 2 (Model 7xx)

You need a special cable ! You can order the cable or a special adapter from the PeriData Software GmbH. A standard cable will not work !!

Cable specification

If you want to make the cable yourself, use the following description

Pin Setting:

Perimeter side PC side
Connector male 9-pin Connector female 9-pin
Pin 3 (Data Send) Pin 2 (Data Receive)
Pin 5 (Signal Ground) Pin 5 (Signal Ground)
do not connect the other pins !!

This is the plug at the perimeter side

Connection at the perimeter

HFA 7xx (old series): The cable is plugged into the LEFT female socket (port no. 1) at the rear of the HFA.

HFA 7xxi (i-series): There is only one socket

If you are using the special adapter with a standard cable, fix the adapter (mini adapter, very small, yellow in the image) on the HFA side and after that plug the standard cable in.

Connection at the PC

The cable is plugged into a RS-232 connector (9 pole male) at the PC. These connectors are called COM port or serial interface. Please identify the number of the COM port and note it for the configuration. The COM number has to be between 1 and 4 for technical reasons.

If there is no COM port, use a USB-serial adapter. Only the COM number must be configurated once with the device manager, all other settings are set by the PeriData program. Choose a free number between 1 and 4.

Notification

Using cable length over 5m or cable extensions, the signals are weak and often corrupted or no data are received.

Make the connection: all steps


HFA 2 - Configuration

Configuration of the EXPORT Interface of the Humphrey Field Analyzer 2 (Model 7xx)

Basic configuration

The basic configuration is the setting of baud rate and other parameters of data transmission.

  • System Setup
  • Communications Setup
  • RS-232 Setup
  • Transmit Settings
  • Baud Rate: 9600
  • Parity: Even
  • Data Bits: 7
  • Stop Bits: 1

Automatic export configuration

The configuration for automatic export after finishing an exam has to be done only once.

  • System Setup
  • Save/Transmit Options
  • Source = Hard Disk Drive
  • Transfer Destination = Classic serial
  • Data Format = HFA II Serial

The steps may be different depending of the HFA2 software version. Please read the perimeter manual

Make the connection: all steps


HFA 2 - sending data

Sending examination data from the Humphrey Field Analyzer 2 (Model 7xx)

AUTOMATIC transmission immediately after the exam

The dialog "Do you want to save and transmit this test?" appears after the exam. Press YES. The perimeter saves the data to the harddisk and the USB stick (duration about 10 sec), after that the data is sent (duration 3 seconds). After about 15 sec the examination shows up in PeriData.

If "and transmit" is missing in the dialog, then the configuration of the export interface ("data transmission") at the perimeter is not correct

Sending STORED examination data

  • File Functions (symbol floppydisk)
  • Transfer Tests
  • Source = Hard Drive (or Floppy / USB Stick)
  • Destination = Classic serial
  • Export Format = HFA II serial
  • PROCEED
  • Enter Patient Name (blank shows all)
  • ENTER
  • Select one or several tests by clicking on the test(s)
      or
    "Select all" (sends the complete data of the hard disk, see also Old Data Management)
  • CONTINUE
  • "You have selected ... test(s) to be transferred - Are you sure?" >> YES
  • Tests are transferred -- transmission lasts about 3 seconds per test at 9600 baud
  • "4 test(s) transferred"

    Note: This message appears even if no data is send or no cable is connected, because the Humphrey Perimeter does not make a transmission handshake

If PeriData is NOT RUNNING during the send procedure, NO DATA are RECEIVED. The beim Sendevorgang NICHT LÄUFT, werden KEINE DATEN EMPFANGEN. The examinations must be sent again after starting PeriData.

Troubleshooting

Data does not arrive in PeriData

1. Is there an open database in PeriData?
2. Check the import directory ("C:\PeriDataExchange", if you did not choose a different directory). If you do not find a file with the extension .HFA, then the cable transmission failed > go to the next paragraph
3. If .hfa files are "waiting", then open the Menu Extra > Options > Tab Perimeter and check the settings

The cable transmission failed

If you found out by the preceeding check that no data are read from the COM port, then check the following:
1. Is the cable plugged in tightly on both sides?
2. COM-No: Is the cable plugged into the right port at the PC, or is the adapter configurated with the right COM no, resp. (device manager)?
3. Is the cable plugged into the right port at the HFA2 (elder instruments have 3 ports, the left one is correct)
4. Is the configuration of PeriData correct (Options > Perimeter), are the serial parameter set to "Default"?
5. Are the interface parameter at the HFA3 identical with the Peridata settings?
6. Was the sending procedure performed according to the transmission rules (see link above)?
7. Is there any data stream from the perimeter or is it a technical defect? Check it with a physical serial port tester (RS-232 tester).

Make the connection: all steps


HFA 3 - Connection

Connecting the Humphrey Field Analyzer 3 (Model 8xx)

Data connection

The HFA 3 has an integrated Windows PC and exports the data into a FILE. The export directory can be configured, but needs drive mapping.The data connection for the transmission HFA 3 >> PeriData requires 3 jobs:

1. Physical connection: Connect with the local network

2. EXPORT configuration on the HFA 3 device

3. IMPORT configuration in PeriData

Send examination data

After establishing the data connection, the HFA 3 is ready to send examination data. The data will immediately show up in the PeriData database.

Solving problems

If new data do not arrive in PeriData, several reasons are possible >> Solutions


HFA 3 - Network connection

The network connection with the Humphrey Field Analyzer 3 (Model 8xx)

1. LAN connection

The HFA 3 is technically a combination of a windows PC with an examination unit. The data transmission between the HFA3 and the receiver-PC uses the local network (LAN). The device is connected to the LAN with an Ethernet cable and registered in the local windows workgroup. These work is usually done by the Zeiss technician, a network administrator or a well-informed person.

The HFA3 device is visible on the receiver PC under a name like e.g. "840-12345". The name is a compound of the device type (840, 860,...) and the serial number. The receiver PC logs onto the HFA3 with the user name "ZEISS" and the password "November171846".

2. Definition of the exchange folder

For data transmission, the HFA 3 exports a file to a defined folder. PeriData reads this file. This "exchange folder" (export folder for the HFA3, import folder for PeriData) has to be shared in the network to enable access for both computers (Everyone - Full Control). The exchange folder can be created everywhere. To our experience, it should be created on the HFA3-PC, because then later changes in the network (PC changed, Server changed) will not require any new configuration on the HFA3-PC. The details are given on the page "Export configuration at the HFA3 device"

Make the connection: all steps


HFA 3 - Configuration

Configuration of the data transmission: Humphrey Field Analyzer 3 (Model 8xx)

IMPORTANT: Preliminary notes

Data is transferred from the HFA3 to PeriData using a FILE. The HFA3 exports the file to a defined folder. PeriData reads the file from this folder and then deletes it afterwards. There are 2 important details to note here:

File format

The HFA3 is able to export different types (formats) of DICOM files. All of them have the similar file extension .dcm, but differ internally. The difference is only noted when the file is read/opened. Only the format DICOM-OPV contains utilisable visual field data and is suitable for PeriData.

Non-fitting DICOM formats: DICOM-EPDF (embedded PDF) is a PDF wrapped into a DICOM container. HFA3 Format is a proprietory Zeiss format with unpublished structure. If PeriData finds a not-fitting DICOM file in the import folder, it gives a notification "wrong SOP class" and deletes the file

Exchange Folder for export (HFA) and import (PeriData)

The HFA exports (writes) the DICOM OPV files to a specified folder. The HFA software requires that the folder must be mapped for this purpose. To ensure that the mapping always works, it is best to create the Exchange folder on the HFA3 itself. It is shared on the network and then mapped as a network drive. The PeriData app on the receiving PC in the perimeter room accesses the folder via the UNC path, reads the files, and deletes them.

NOTE: The Exchange folder may be as well on the server or the receiving PC. If the target PC is not yet running when the HFA device is started, the mapping will fail. The mapping on the HFA must be changed when replacing PCs.

Mapping on Windows level is strongly recommended. After that, the mapped drive letter is entered into the field "Report Export Location" in the HFA device program . At this field, it is also possible to enter an UNC path or connect a network drive. However, this frequently caused problems.

1. Case A - Exchange folder on the HFA PC (HFA and PC are both in the same network): Actions at WINDOWS level

on the HFA:

  • Windows-KEY >> taskbar and desktop appear >> open File Explorer
    if the Windows key does not react, then the device is in the Zeiss Kiosk Mode. Leave the mode:
    >> Keyboard: ALT-CTRL-DEL (Task Manager appears)
    >> (in the Task Manager) Menu File >> RunNewTask >> open "explorer" (type in) >> explorer opens, taskbar appears
  • (in File Explorer) create the new directory C:\PeridataExchangeOnHfa
  • (properties of the directory) Share directory for Everyone and Full Control (harmless, because it is only used for temporary files)
  • (if not already done) Share HFA-PC in the network
  • (in File Explorer) Network > "840-..." (this HFA PC) > folder "PeridataExchangeOnHfa"  >>  context menu  >>  Map Network Drive  >>  select drive letter ("P" for Peridata)  >>  Reconnect at sign-in = YES
  • IMPORTANT: In a DOMAIN network, the mapping must be carried out as user = DOMAIN ADMINISTRATOR, otherwise it will not be permanent
  • Note the UNC path \\840-...\PeridataExchangeOnHfa

on the receiving PC in the perimeter room

  • (in File Explorer) network > 840-.. (HFA PC) > PeridataExchangeOnHfa should be visible >> click on the folder >> log in as user "ZEISS", password "November171846", Reconnect at sign-in = YES
  • if the HFA PC is not visible: type the UNC path into the address bar - you should now be able to log in with the Zeiss password
  • The UNC path of this folder is the special import directory for the PeriData configuration to be typed in

1. Case B - Exchange folder on the SERVER (HFA and PC are in separate networks): Actions at WINDOWS level

on the server:

  • create the new directory "..\PeridataExchangeHFA<serial number>" (e.g. "PeridataExchangeHFA840-123452")
  • (properties of the directory) share the directory with permissions for Everyone and Full Control (this is safe, as the folder is only used for temporary files)

on the HFA:

  • Windows-KEY >> taskbar and desktop appear >> open File Explorer - if the Windows key does not react, then the device is in the Zeiss Kiosk Mode.
  • (in File Explorer) open Network > Server > "PeridataExchangeHFA..."  >>  context menu  >>  Map Network Drive  >>  select drive letter ("P" for Peridata)  >>  Reconnect at sign-in = YES
  • IMPORTANT: In a DOMAIN network, the mapping must be carried out as user = DOMAIN ADMINISTRATOR, otherwise it will not be permanent

on the receiving PC in the perimeter room:

  • (in File Explorer) open network > PeridataExchangeHFA... (HFA PC) > PeridataExchangeOnHfa >> copy the UNC path of this folder
  • (in PeriData) Menu Extra > Options > tab "Perimeter" >> special import directory >> enter the UNC path - field length is limited: if the path has more than 39 characters, it has to be mapped

Important: The directory for DATA BACKUP the HFA device (settings and original exam data) is created separately on the server (suggestion: ‘HFA840backup’) and mapped to the HFA with a different drive letter (suggestion: "H" for HFA).

2. Check the network settings in the perimeter control program (change nothing)

  • Log in as "Administrator"
  • Settings  (symbol wrench)
  • Networking
  • Adapter settings: shows the current status  (as set in the system)
  • Network Drive Configuration: shows the existing mapped drives  (the target drive letter should be in the list)
  • Map...  (do not use)
  • Dicom Network = disabled

3. Configurate the export settings in the perimeter control program

  • Log in as "Administrator"
  • Settings  (symbol wrench)
  • Specific Settings
  • button "Report Output" >> (Header "End of Test Settings")
  • Forum Test Database = OFF
  • Export EPDF = OFF
  • Report Output Default = Export  (the action when you press "SAVE AND EXIT" at the end of an examination - PeriData calls that the "automatic data transmission")
  • Report Export File Type = DICOM OPV  (multiple selections possible, only DICOM-OPV shall be activated) - if DICOM OPV is NOT in the list, the license may be missing >> check in the license menu (LIZ HFA3 OPV IOD EXPORT) and contact Zeiss
  • Report Export Location = <Drive letter of mapped target folder>  (choose the mapped drive - subdirectories are possible -- ATTENTION: input of UNC paths is possible, but do not work)
  • Named Patient Folder = OFF
  • Patient ID in Folder Name = OFF

Make the connection: all steps


HFA 3 - Sending Data

Sending Examination Data: from the Humphrey Field Analyzer 3 (Model 8xx) to PeriData

There are 2 methods to send data:

1. Export of NEW examination data at the END of the exam

At the end of the exam the "Save" button appears. When saved, the data of this one examination are exported automatically

2. Export of STORED (older) examination data

  • (on the start page) select the patient from the list
  • press the "Reports" button

    WRONG: The "Tests" button does not work with PeriData because a wrong data format would be sent

  • (examination list appears) select one or several examinations with a click - the selected examinations are highlighted in dark blue
  • Attention: Do NOT select any print formats (SFA, 3-in-1..) ! This would result in sending no result data to PeriData, but a PDF which cannot be displayed by PeriData.
  • "Save" button
  • ("Select Folder" menu) the configurated export drive (e.g. P:\) is shown as a folder - do not change, do not click on subdirectories
  • "Select" button ( >> data export starts --- duration 2-4 sec per exam)
  • transfer summary appears
  • "OK" button
  • after pressing the "Back" button > start page appears

If PeriData is NOT RUNNING during the sending procedure, the data file is lying in the Exchange Folder and will be imported by PeriData when it is opened the next time.

Problem solutions

There is a message: "DICOM DATA IMPORT: Wrong data format...

When sending stored data, a wrong way was taken at the HFA 3 ("Test" button is wrong). This is the right way: Choose patient, then press "Reports" button

No data arrive in PeriData

1. Check the defined import directory (see menu Options > tab Perimeter) with the File Explorer. If you do not find any file with the extension .DCM, then the HFA3 program did send to the wrong directory or did not send at all. Frequent error: When sending, a subdirectory was chosen. The DCM files are in that folder.
2. If .dcm files are existing (and not yet imported to PeriData and deleted afterwards), then open the Menu Extra > Options > Tab Perimeter and check all import settings

Important: Data Safety

The data are always stored on the hard disk drive of the perimeter. An additional storage on an USB stick is recommended.

Make the connection: all steps


MEDMONT Connection

Connecting the MEDMONT M700

Data connection

The MEDMONT-Perimeter perimeter is controlled by a program on the PC and exports the data into a FILE. The export directory is fixed to C:\Windows\Peridata (not configurable). The data connection for the data transfer MEDMONT >> PeriData requires 3 jobs:

1. Physical connection: Installation of PeriData on the perimeter PC where the program MEDMONT is installed

2. Configuration of the EXPORT interface of the program MEDMONT

3. Configuration of the IMPORT interface of PeriData

Send examination data

After establishing the data connection, MEDMONT is ready to send examination data with a click of the mouse. The data will immediately show up in the open PeriData database.


Medmont: Data transmission

Configuration of data export: Medmont Studio

Steps

A configuration inside Medmont Studio is not possible. Medmont exports always to the folder C:\Windows\PeriData

Windows Explorer - folder C:\Windows\PeriData - \" > Properties > Security > user Everyone > Permissions = Full control (otherwise a permission error occurs during export)

Note: The import folder has not to be changed. PeriData automatically moves all files from C:\Windows\PeriData to C:\PeridataExchange

Make the connection: all steps


Medmont - sending data

Sending examination data from the Medmont M700

Steps

  • select the patient
  • select one or several examinations >> the visual fields are shown on the right side
  • menu "Home"
  • press the "Export PeriData" button
    If the button is gray, the examination is not suitable for export (e.g. a Screening test).
  • a transmission message appears - FINISHED

If an error message is shown, check the configuration in the Medmont program

Differences and Restrictions

"Screening" strategy data is not transmitted by Medmont studio

Symbols for 3-zone- and fixed-luminance-strategies are slightly different in style

Grayscale and Color scale of both programs are different

"Deviation" in PeriData is "deviation from normal values"
"Corrected deviation" in PeriData is comparable to "deviation from HoV"

PeriData is not able to display “defect probability„ of Medmont results

Make the connection: all steps


OCULUS Perimeter Connection

Connecting an OCULUS perimeter (Twinfield / Centerfield / Easyfield / Smartfield)

Data connection

The OCULUS perimeter are controlled by a program on the PC and export the data into a FILE. The export directory is fixed to C:\PeridataExchange (not configurable). The data connection for the data transfer OCULUS >> PeriData requires 3 jobs:

1. Physical connection: Installation of PeriData on the perimeter PC where the program OCULUS is installed

2. Configuration of the EXPORT interface of the program OCULUS

3. Configuration of the IMPORT interface of PeriData

Send examination data

After establishing the data connection, OCULUS is ready to send examination data with a click of the mouse. The data will immediately show up in the open PeriData database.

Send patient data to the perimeter

PeriData is able to send data into the opposite direction (PeriData >> OCULUS). These are steps 4 + 5. More information is given here: Send patient data to OCULUS

Problem solutions

If no new data arrive in PeriData, several reasons are possible >> Solutions


OCULUS Export Interface

Configuration of EXPORT Interface of the OCULUS perimeter (Twinfield / Centerfield / Easyfield / Smartfield)

The export of stored data needs no configuration. The automatic export at the end of an examination has to be configurated in the Oculus program.

Steps

  • In the window 'OCULUS - Patient Data Management' you start the device program (button 'Twinfield', 'Centerfield', 'Easyfield' or 'Smartfield') -- Note: A patient has to be selected, otherwise the button is inactive
  • In the device window OCULUS - Twinfield (or other device type) you click on the menu item Settings
  • In the window Settings click on the button System->
  • Accept the safety warning
  • In the window System-settings click on the button Data output->
  • In the window Data output mark the check box PDIF
    Note: the target directory C:\PeriDataExchange is fixed and cannot be changed
  • IMPORTANT: Confirm with OK
  • In the window System-settings press the button Back
  • IMPORTANT: In the window Settings press the button Save to save the settings permanently

Make the connection: all steps


OCULUS perimeter - sending data

Sending examination data from the OCULUS perimeter (Twinfield / Centerfield / Easyfield / Smartfield) to PeriData

Export of NEW examination data at the END of the exam

Press the "Save" button. The data are exported automatically

Export of STORED (older) examination data

  • window Patient Data Management
  • select the patient from the Patient list
  • Export button
  • radio button group "Target" -- item Other --- PeriData
  • button Export

NOTE: ALL examinations of a patient will be sent, even if there is a partial selection in the examination list. To avoid double exams, active the option "Don't insert duplicates" (Link Mode)

NOTE: If MORE THAN ONE patient is selected, NO data is sent. There is NO message !

NOTE: The check buttons "Bitmaps" und "Anonymous data" have no effect

If PeriData is NOT RUNNING during the sending procedure, the data file is lying in the Exchange Folder and will be imported by PeriData when it is opened the next time.

Troubleshooting

Data do not arrive in PeriData

1. Is there an open database in PeriData?
2. Check the directory C:\PeriDataExchange. If you do not find a file with the extension .PDI, then the Oculus program did not send it
3. If .PDI files are "waiting", then open the Menu Extra > Options > Tab Perimeter and check the settings
4. Some examinations are not sent.  More information

Make the connection: all steps


Patientendaten >> OCULUS

Send Patient data to the OCULUS program

PeriData is capable to send the current patient data (name, first name, birthdate, ID) to the perimeter program. This saves the effort of typing in all the patient data at the perimeter. The perimeter program is started if necessary.

Preparation

The preparation for the data transfer PeriData >> OCULUS consists of 2 jobs:

1. EXPORT configuration in PeriData > Options

2. IMPORT configuration in the program OCULUS "GO.EXE"

  • Patient management > Settings > Interface > GDT
  • Active = JA
  • Input folder = C:\PeriDataExchange\Gdt2Perimeter
  • Save
  • IMPORTANT: Restart the Oculus program to make the changes effective

Sending patient data

  button "Data >> Perimeter" or key F4  or key F9

The data of the current patient are sent. If several patients are in the database list the patient under the cursor bar is sent.

Explanation and troubleshooting

This function uses the directory C:\ PeriDataExchange \ GDT2Perimeter. PeriData writes the file "PERIPERI.GDT" containing the patient data. The perimeter program reads the data and deletes the file. And the batch file "StartPerimeter_Oculus.bat" is started.

If the OCULUS program (GO.EXE) does not open, the path in the batchfile may be wrong. It can be adjusted with an editor.

Patient ID: The Oculus program opens the patient with the matching patient name AND patient ID or creates a new record. If the ID in the Oculus database and the sent ID do not match, the patient is duplicated in the Oculus database. This conflict can be avoided by a change in the file "GO.XML". Change this element to True: <GDTignoreID>True</GDTignoreID> and restart the Oculus program. Then, the check button "send ID" in the Export options is of no importance. It can be ON or OFF, dependent on whether the ID is wished for the Oculus database.

Make the connection: all steps


PeriTrend Connection

Connecting PeriTrend / Octopus 101

Data are sent from program PeriTrend to program PeriData by a mouse click. The data transmission is similar to the transmission from an external perimeter to PeriData, but sender and receiver are on the same PC.

The connection with PeriData consists of 3 steps:

1. Installation of PeriData on the same PC where the PeriTrend (Version 4.0 or higher) is installed.
Explanation: Data transmission does not use a cable. The data is handed over using a file on the hard disk.

2. Configuration of program PeriTrend

3. Configuration of program PeriData - Note: In the Perimeter tab, select File-Import. As perimeter type, select PeriTrend.

After that, you can send data from program PeriTrend with a click of the mouse. The data will immediately show up in the PeriData database.

Alternative

Alternatively, it is possible to open PeriTrend files with program PeriData, select and import data. This option is better to transfer larger amount of data.

Handling of the PeriTrend (PVD) files

When using PeriData, it is recommended to create a new PeriTrend (PVD) file every month. Call them by the month, meaning 2000_01.pvd 2000_02.pvd etc. This avoids also problems with the PVD file with more than 1000 examinations. Make a backup copy of these files.


PeriTrend: data transmission

Configuration of data transmission: PeriTrend / Octopus 101

You need PeriTrend version 4.0 or higher

Step by step (current information, see PeriTrend manual for changes)

At the time of the last revision of this help, detailed information was not available. See the perimeter's manual for details

-> Menu Definition

-> File handling

-> Export data

-> Selection list: PeriData for Windows

-> Export and delete: NO(data should NOT be deleted in PeriTrend)

-> Standard directory: ON

Permanence of settings

These settings keep stored even when the program is turned off.

Continue..

When this step is finished, continue with the next step.


PeriTrend: data transmission

Transmission of stored data: PeriTrend / Octopus 101

You need PeriTrend version 4.0 or higher

Step by step (current information, see PeriTrend manual for changes)

-> Menu Edit

-> Export

or

-> Button far right (3 red arrows)


PeriTrend: data transmission

Octopus 101 / PeriTrend: Data import

Alternative

Data transmission from PeriTrend is possible with data import (as follows) or with a data send function.

Installation

The Octopus Perimeter 101 and the program PeriTrend store their data in a special format, the PVD format. PeriData is able to open these files directly and to copy them into a PeriData database. Installation consists of one single step:

1. Install PeriData on the same PC where the Octopus 101 or the PeriTrend program is installed.

Note: Transmission via cable is not possible.

Import: Step by step

1. Open a PeriData database. manually (see also File open or File New)

2. Open a PeriTrend database as 2nd database: Menu: Database / Item: Open / Type: PeriTrend File (*.pvd) / <search file and open> - a 2nd database window opens with a green background as indicator for external data format..

Note: If the PVD file has been opened previously, it can be found in the list of recent files of the file menu for easy re-opening.

3. Mark the examinations in the PVD file examination list – the newest examinations are at the end of the examination list. Move there with CTRL + PgDn

4. Copy the examinations with Ctrl + C or button "Copy"

5. Activate the examination list of the PeriData file

6. Paste the examinations with Ctrl + V or button "Paste"

Handling of old data

Old data can be copied easily by marking all examinations in the PVD file examination list (key combination CTRL + A) and copy them into the PHF file.

Note: In the Link Mode for a medical record software, a patient-independent file OLDDATA.phf has to be created. See also Handling of old data

Note: The number of data that can be stored to the clipboard is limited. Check whether all data was copied.

Handling of the PeriTrend (PVD) files

When using PeriData, it is recommended to create a new PeriTrend (PVD) file every month. Call them by the month, meaning 2000_01.pvd 2000_02.pvd etc. This avoids also problems with the PVD file with more than 1000 examinations. Make a backup copy of these files.


Octopus 1-2-3 Connection

Connecting the Octopus 1-2-3 perimeter

The connection needs 3 steps:

1. Cable connection

2. Configuration of the perimeter

3. Configuration of the program PeriData

After that, you can...

Transmit stored data


Octopus 1-2-3:data transmission

The cable connection with the Octopus 1-2-3 perimeter

To enable data transmission, perimeter and PC are connected with a cable.

Cable

A special cable has to be used. Compared to a standard serial cable, several lines are interrupted. If you manufacture the cable yourself, use only 9 pin connectors. Only the following pins are connected:

Perimeter's side (female connector) -> PC's side (female connector)

Pin 2 -> Pin 2

Pin 3 -> Pin 3

Pin 5 -> Pin 5

Pin 7 -> Pin 7

Pin 8 -> Pin 8

Warning: Do not combine 25 pin and 9 pin connectors on this cable. The pin setting is very different and can cause error. Use manufactured 25 to 9 pin adapters.

Connection at the perimeter

The cable is plugged into the interface on the left side (from patient's position) - the COM 1 - of the Octopus 1-2-3 perimeter.

Connection at the PC

The PC has male connectors with 9 or 25 pins. These connectors are called serial interfaces (COM or RS232 interface). Most PC have 2 connectors labeled COM 1 or COM 2. The cable from the perimeter is plugged into a free interface. If the connector has 25 pins, use an adapter. Please note the number of the interface (No.1 or No.2).

Attention! Using 25 pin connectors, you must ensure that it is not a SCSI interface. These connectors may have the same dimensions, but are electrically belonging to a different system. Plugging the perimeter into a SCSI interface may damage your computer !

Continue..

When the cable connection is set, continue with the next step.


Octopus 1-2-3:data transmission

Configuration of data transmission: Octopus 1-2-3 perimeter

The configuration is the setting of baud rate and other parameters of data transmission.

Step by step

Go to the perimeter and select in the menu:

-> Main menu

-> OPTIONS

-> INSTALL

-> PERIPHERY

-> COM1: Transmission

-> Main menu

-> OPTIONS

-> INSTALL

-> TRANSMISSION PARAMETER

-> Baudrate: 9600

-> Databits: 8

-> Stopbits: 1

-> Parity: Even

-> Handshake: RTS / CTS

For further details, please read the perimeter manual.

Permanence of settings

These settings keep stored even when the perimeter is turned off.

Continue..

When this step is finished, continue with the next step.


Octopus 1-2-3 - sending data

Sending examination data from the Octopus 1-2-3 perimeter to PeriData

Export of stored examination data

  • Main menu

  • DATA TRANSMISSION

  • Select an examination (key: arrow down)

  • OK


Octopus 300 / 311 Connection

Connecting the Octopus 300 / 311 perimeter

The connection needs 3 steps:

1. Cable connection

2. Configuration of the perimeter

3. Configuration of the program PeriData

After that, you can...

Transmit stored data


Octopus 300 / 311:data transmission

The cable connection with the Octopus 300 / 311 perimeter

To enable data transmission, perimeter and PC are connected with a cable.

Cable

A special cable has to be used. Compared to a standard serial cable, several lines are interrupted. If you manufacture the cable yourself, use only 9 pin connectors. Only the following pins are connected:

Perimeter's side (female connector) -> PC's side (female connector)

Pin 2 -> Pin 2

Pin 3 -> Pin 3

Pin 5 -> Pin 5

Pin 7 -> Pin 7

Pin 8 -> Pin 8

Warning: Do not combine 25 pin and 9 pin connectors on this cable. The pin setting is very different and can cause error. Use manufactured 25 to 9 pin adapters.

Connection at the perimeter

The cable is plugged into the interface of the perimeter (see perimeter's manual for details).

Connection at the PC

The PC has male connectors with 9 or 25 pins. These connectors are called serial interfaces (COM or RS232 interface). Most PC have 2 connectors labeled COM 1 or COM 2. The cable from the perimeter is plugged into a free interface. If the connector has 25 pins, use an adapter. Please note the number of the interface (No.1 or No.2).

Attention! Using 25 pin connectors, you must ensure that it is not a SCSI interface. These connectors may have the same dimensions, but are electrically belonging to a different system. Plugging the perimeter into a SCSI interface may damage your computer !

Continue..

When the cable connection is set, continue with the next step.


Octopus 300 / 311:data transmission

Configuration of data transmission: Octopus 300 / 311 perimeter

The configuration is the setting of baud rate and other parameters of data transmission.

Step by step (current information, for changes see instrument´s manual)

-> Menu Configuration (KEY symbol)

-> Submenu Connection

-> Serial Interface: PeriTrend, PeriData

-> Baudrate: 9600

-> Press STORE button !!!

-> return

-> repeat Connection

Standard Transmission parameters are:

Baudrate: 9600

Databits: 8

Stopbits: 1

Parity: Even

Handshake: RTS / CTS

Permanence of settings

These settings keep stored even when the perimeter is turned off.

Continue..

When this step is finished, continue with the next step.


< Octopus 300/311: Data Transmission

Transmission of stored data: Octopus 300 / 311 perimeter

Step by step (current information, for changes see instrument´s manual)

-> Menu Analysis (circular visual field symbol)

-> Submenu Test list

-> Select one or several examinations

-> Submenu Edit

-> Transmit

-> Confirm Transmission with OK


Octopus 500 Connection

Connecting the Octopus 500 EZ perimeter

The connection needs 3 steps:

1. Cable connection

2. Configuration of the perimeter

3. Configuration of the program PeriData

After that, you can...

Transmit stored data


Octopus 500: data transmission

The cable connection with the Octopus 500 EZ perimeter

To enable data transmission, perimeter and PC are connected with a cable. This is a special cable. You can produce this cable yourself or let it be produced for you.

Cable

Because the Octopus 500EZ perimeter has a 25 pin male connector, the cable should have 25 pin connectors, too. The following pins are connected:

Perimeter's side (male connector) -> PC's side (female connector)

Pin 1 -> Pin 1

Pin 2 -> Pin 2

Pin 3 -> Pin 3

Pin 7 -> Pin 7

Additionally, the following pins have to be connected on the PC-side connector

Pin 4 <-> Pin 5

Pin 6 <-> Pin 20

Warning: Do not combine 25 pin and 9 pin connectors on that cable. The pin setting is very different and can cause error. Use manufactured 25 to 9 pin adapters.

Connection at the perimeter

The cable is plugged into the interface on the left side of the Octopus 500Z.

Connection at the PC

The PC has male connectors with 9 or 25 pins. These connectors are called serial interfaces (COM or RS232 interface). Most PC have 2 connectors labeled COM 1 or COM 2. The cable from the perimeter is plugged into a free interface. If the connector has 9 pins, use an adapter. Please note the number of the interface (No.1 or No.2, seldomly No.3 or No. 4).

Attention! Using 25 pin connectors, you must ensure that it is not a SCSI interface. These connectors may have the same dimensions, but are electrically belonging to a different system. Plugging the perimeter into a SCSI interface may damage your computer !

Continue..

When the cable connection is set, continue with the next step.


Octopus 500: data transmission

Configuration of data transmission: Octopus 500 EZ perimeter

The configuration is the setting of baud rate and other parameters of data transmission.

Step by step

Go to the perimeter and select in the menu:

-> Main menu

-> DIAGNOSTIC ROUTINES

-> SUBASSEMBLIES TEST

-> SET TRANSMISSION PARAMETERS

-> Select the default parameters

For further details, please read the perimeter manual.

Permanence of settings

These settings keep stored even when the perimeter is turned off.

Continue..

When this step is finished, continue with the next step.


Octopus 500: data transmission

Transmit data from the Octopus 500 EZ perimeter

If the Octopus 500 EZ has been connected and a database has been opened, you can transmit data


Octopus EyeSuite Connection

Connecting Octopus 600 / 900 / EyeSuite

Data connection

The Octopus 600 and 900 are controlled by a program on the PC (EyeSuite) and export the data into a FILE. The export directory can be configured. The data connection for the data transfer EyeSuite >> PeriData requires 3 jobs:

1. Physical connection: Installation of PeriData on the same PC where the program EyeSuite is installed.

2. Configuration of the EXPORT interface of the program EyeSuite

3. Configuration of the IMPORT interface of PeriData

Send examination data

After establishing the data connection, EyeSuite is ready to send examination data with a click of the mouse. The data will immediately show up in the PeriData database.

Send patient data to the perimeter

PeriData is able to send data into the opposite direction (PeriData >> Eyesuite). These are steps 4 + 5. More information is given here: Send patient data to EyeSuite


EyeSuite Configuration

Configuration of data transmission from EyeSuite (Octopus 600/900) to PeriData

TWO independant export jobs should to be defined

1. Manual transmission (with a button)

  • menu "Tools" >> Preferences
  • "Perimetry" (double click)
  • "Exports"
  • Click on "+" ("Export job" appears)
  • Mode = Manual
  • Toolbar - Button (doubleclick) >> select image file (directory "C:\PeriDataExchange", file "Peridata128.png")
  • Toolbar - Name/menu = "Export >> PeriData"
  • Format = Export to PeriData - ATTENTION: NOT ..to standard directory
  • Output folder = C:\PeriDataExchange (Octopus 900)
    or
    Output folder = <UNC-Path to Exchange-Folder on the PC with PeriData> (Octopus 600)
  • Remove exam after export = NO ! NEVER
  • button OK

2. Automatic transmission (at the end of an examination)

The automatic transmission requires the definition of a SECOND EXPORT JOB !

  • menu "Tools" >> Preferences
  • "Perimetry" (double click)
  • "Exports"
  • Click on "+" ("Export job" appears)
  • Mode = Manual (allows to input a name)
  • Toolbar - Name/menu = "PeriData-Automatic" (gives a name to the export job )
  • now change: Mode = Automatic
  • Format = Export to PeriData - ATTENTION: NOT ..to standard directory
  • Output folder = C:\PeriDataExchange (Octopus 900)
    or
    Output folder = <UNC-Path to Exchange-Folder on the PC with PeriData> (Octopus 600)
  • Remove exam after export = NO ! NEVER
  • button OK

Make the connection: all steps


Octopus EyeSuite - sending data

Sending examination data from EyeSuite (Octopus 600/900) to PeriData

Export directly after the examination

If the automatic export has been configured: Press the "Save" button. The data are exported automatically when saved.

If no data arrives: Press the button    "Export >> PeriData"

Export of stored data

1. Open one or several examinations in EyeSuite. ALL examinations are selected by a doubleclick on the column header:

2. Press the "Export to PeriData"   button.

(All visible examinations are exported. This can be a larger number in a trend display)

If PeriData is NOT RUNNING during the sending procedure, the data file is lying in the Exchange Folder and will be imported by PeriData when it is opened the next time.

Troubleshooting

Data does not arrive in PeriData

1. Is there an open database in PeriData?
2. Check the directory C:\PeriDataExchange. If you do not find a file with the extension .OC1, then the EyeSuite program did not send
3. If .OC1 files are "waiting", then open the Menu Extra > Options > Tab Perimeter and check the settings

Make the connection: all steps


Patientendaten >> EYESUITE

Send Patient data to the EYESUITE program

PeriData is capable to send the current patient data (name, first name, birthdate, ID) to the perimeter program. This saves the effort of typing in all the patient data at the perimeter. The perimeter program is started if necessary.

Preparation

The preparation for the data transfer PeriData >> EyeSuite consists of 2 jobs:

1. EXPORT configuration in Peridata in the menu Extra > Options > Perimeter. The check button send ID must be ON

2. IMPORT configuration in the program EYESUITE:

  • menu Tools >> Preferences
  • "General" (Double click)
  • "EMR / worklist"
  • Source = GDT
  • Source folder = C:\PeriDataExchange\GDT2Perimeter
  • Proceed automatically to the next EMR job = ON
  • Reject GDT files ...= OFF
  • Only show... = OFF
  • Single click... = OFF
  • Character encoding = empty (will be replaced by "UTF‑8" after storing)
  • Default mode = Patients

Sending

  button "Data >> Perimeter" or key F4  or key F9

The data of the current patient are sent. If several patients are in the database list the patient under the cursor bar is sent.

EyeSuite is started, if it is not yet running. EyeSuite opens the patient or puts him in the worklist.

Explanation and troubleshooting

This function uses the special folder C:\ PeriDataExchange \ GDT2Perimeter. PeriData writes the file "PERIPERI.GDT" containing the patient data. The perimeter program reads the data and deletes the file. And the batch file "StartPerimeter_Eyesuite.bat" is started.

If the program EyeSuite does not open, the start command in the batchfile has to be changed. It can be adjusted with an editor.

If the patient is not activated in EyeSuite or does not show up in the worklist, and the file "PERIPERI.GDT" is still in the special directory, the Source folder in EyeSuite may be wrong.

Patient ID: The ID (originally from the EMR software) must be send (see above). EyeSuite opens the patient with the matching ID or creates a new record. The patient name is not used for assignment. This behaviour cannot be changed in EyeSuite. - NOTE: If the ID in EyeSuite and the ID in the EMR software do not match, the patient may be duplicated in the EyeSuite database. A missing ID also leads to problems.

Make the connection: all steps


OPTOPOL Perimeter Connection

Connecting an OPTOPOL perimeter (PTS 920, PTS 925, PTS 2000)

Data connection

The OPTOPOL perimeter are controlled by a program on the PC ("PTS.exe") and export the data into a FILE. The export directory can be configured. The data connection for the data transfer OPTOPOL >> PeriData requires 3 jobs:

1. Physical connection: Installation of PeriData on the same PC where the program OPTOPOL is installed

2. Configuration of the EXPORT interface of the program OPTOPOL

3. Configuration of the IMPORT interface of PeriData

Send examination data

After establishing the data connection, OPTOPOL-PTS is ready to send examination data with a click of the mouse. The data will immediately show up in the PeriData database.

Send patient data to the perimeter

PeriData is able to send data into the opposite direction (PeriData >> OPTOPOL-PTS). These are steps 4 + 5. More information is given here: Send patient data to OPTOPOL-PTS

Problem solutions

If no new data arrive in PeriData, several reasons are possible >> Solutions


OPTOPOL - Configuration

Configuration of EXPORT Interface of the OPTOPOL perimeter (PTS 920, PTS 925, PTS 2000)

  • Open the Settings (gear symbol at the bottom bar)
  • Click on Data exchange. "Data exchange settings" show up on the right side.
  • Activate "Direct Export Interface"
  • Select in the frame "Direct Export Interface":
    Date export folder = C:\PeridataExchange
    Export examination REPORT = YES
    DICOM OPV = YES
    all other selections are NO
  • Click on any menu item (Start, Patients, Results). A confirmation is NOT required.

Make the connection: all steps


OPTOPOL perimeter - sending data

Sending examination data from the OPTOPOL perimeter (PTS 920, PTS 925, PTS 2000) to PeriData

There are 2 methods to send data:

1. Export of NEW examination data immediately after the exam

Press the "Export Data" Button.

2. Export of STORED (older) examination data

  • Select a patient
  • Menu Results
  • Select an examination
  • Button Options...
  • Window Examinations Filter shows up
  • Click on the symbol Export (arrow to the right)
  • Selection is according to the configuration
  • Choose "Current.." oder "All examinations.."
  • Press the symbol Save (floppy disk)

Troubleshooting

Data do not arrive in PeriData

1. Is there an open database in PeriData?
2. Check the directory C:\PeriDataExchange. If you do not find a file with the extension .PDI, then the Optopol program did not send it
3. If .PDI files are "waiting", then open the Menu Extra > Options > Tab Perimeter and check the settings
4. Some examinations (kinetic) are not sent.

Make the connection: all steps


Connecting the Peristat 433

The connection consists of 3 steps:

1. Installation of PeriData on the same PC where the perimeter's control program is installed. Explanation: Data transmission does not use a cable. The data is handed over using a file on the hard disk.

2. Configuration of the perimeter

3. Configuration of the program PeriData - The data format is PDIF (Perimetric Data Interchange Format), the interface is FILE.

After that, you can transmit data


Peristat 433: Data transmission

Configuration of data transmission: Rodenstock Peristat 433

Configuration needs some knowledge about the computer. If you do not have that experience, ask a specialist to help you.

Steps

1. You need version 3.5 or higher of the Peristat program (released summer 1999). If you have an older version, ask your distributor for an update disk and install the new version.

2. In the directory C:\Windows you find a file called PERISTAT.INI. Open that file with a simple editor (NOTEPAD). Insert these 3 lines at the end of the file:

[Peridata]

File=1

Com=0

3. If the item [Peridata] exists already, delete it and all following lines up to the next item [...].

Continue..

When this step is finished, continue with the next step.


Peristat 433: Data transmission

Transmission of data: Peristat 433

The Peristat program is capable to send 1 examination at a time. The examination must be loaded.

Step by step

1. Select the SHOW menu.

2. A: Sending the current examination: Continue with 3.

2. B: Sending a stored examination: Press the button “old examination„. Select an examination. The examination is shown on the screen.

3. Press the PERIDATA button. After very short time, the data is stored the Peridata Database.

Note: PeriData for Windows must be started and a Peridata database must be open.


Handling

Handling of the program

Help function

The main tool bar

Database window

Reserve database

Menu commands

Hotkeys

Options


Toolbar

Main Toolbar

The main toolbar is displayed just below the menu bar. The Display Windows with the visual fields have their own special toolbars.

If a button is grayed, then the function is currently not available. Some buttons indicate a status, in this case gray=inactive

Click on the button for more information:

Is visible, if the VIEWING MODE is activated

Create a NEW visual field database

OPEN an existing visual field database

Open the most RECENTLY used database

(only with Link Mode) Opens the "RESERVE" database, containing examinations which could not yet be assigned to a specific patient database

SAVES a copy of the database with a new name (use for export)

Opens the SEARCH window of the database. Depending on the sort key you can search for a patient or a date. The key combination CTRL + F has the same effect. This button is inactive in the LinkMode where it is not needed.

Opens the SINGLE WINDOW showing the selected visual field

Opens the LEFT-RIGHT WINDOW showing both visual fields

Opens the TREND WINDOW showing a follow-up of visual fields

Standard window position: Series Window on the left with VERTICAL time axis, the second display window fills the remaining space

Upper position of the Series Windows with HORIZONTAL time axis

Optimizes the SIZE AND POSITION of the program window

Puts the DATABASE WINDOW in front of the other windows

Activates the HELP function

Activates the SEARCH function in the HELP

Calls the PeriData WEBSITE

Starts the UPDATE procedure

Shows ACTIVE PERIMETER INTERFACES: visible=active. A click on the button gives the type of the perimeter and more information. Note: the interface is only needed at the receiver PC.

Blinks, while examinations are WAITING FOR IMPORT and no database is open

This button sends the current PATIENT DATA from PeriData TO THE PERIMETER (visible if configurated)

EXIT program


Database Window

This window shows the contents of the open database. The Database Window may be hidden behind the visual field windows. Using the ESC key you can close the visual field windows and see the Database Window. Or you move the window on top with the button

With the menu function Database > Open you can open several databases simultaneously. Several database windows are shown at a time.

Window title: shows the file name (e.g. EXAMPLE.phf). During LinkMode with a medical record software, the patient name will be shown as well. On the left, there is a PeriData Symbol. A cross over the symbol indicates the readonly mode. No changes of the database are allowed. Information about possible reasons

Sorting: NAME is default. A click on a column header changes the sort key. All about sort keys

Mark (select) examinations: Marked examinations are indicated by a red bar. One or several examinations can be marked. The mouse, the arrow keys, the shift key and the CTRL key work in the same way as in the Windows Explorer.

SHOW visual fields

Button "Show Patient"
ENTER
Double click: all examinations of a patient are selected automatically and the display windows with the visual feilds open

Show marked fields

shift + ENTER: no automatic selection, only the red marked exams are shown

Find (Search)

Button "FIND"
CTRL + F: opens the search dialog to find a specific patient or, in case of a different sort key, e.g. an examination date

Mark 1 patient

CTRL + T
ALT + ENTER
ALT + mouseclick: all examinations of ONE patient are marked (selected), but the visual fields are not shown. The database window stays on top. Used e.g. for copying examinations of 1 patient

Mark all

CTRL + A: ALL examinations in the entire database are marked (selected)

More functions

The context menu (RIGHT mouse click) or the menu "Functions" more functions:

"Delete": the marked examinations are deleted and additionally copied to the clipboard details about delete

"Copy": the marked examinations are copied to the clipboard. details about copy.

"Paste": the examinations are copied from the clipboard into the active database details about paste

"Change data": all marked data can be changed. Mistakes during the input at the perimeter can be corrected. details about change

Angle brackets in a >>>>> patient name >>>>> mark examinations where the date of birth or date of examination is incomplete or not plausible correct a corrupted date


Reserve Database

ReserveDatabase  (Link Mode)

CTRL + R
Menu: Database > Open Reserve Database

The "Reserve" database contains examinations that were not yet assigned to a patient. It is a kind of "lost and found".

If a new examination is received and the patient name coming from the perimeter differs considerably to the true patient name from the medical record, a confirmation question appears, whether the examination data are realy belonging to the patient. If this question is answered with NO, the examination data are stored to the Reserve database. This safety function can be switched on and off in the options (option Check Patient Name).

These examinations can later be stored to the correct patient. Proceed as follows:

  • Choose the right patient in the medical record software
  • Launch PeriData from the EMR software. The patient´s database is opened.

    • 1. Click the button "Reserve database"

    2. The Reserve database opens in a second window

    3. Mark the examinations in the Reserve database list -- copy the examinations (context menu or CTRL-C). They are now in the clipboard

    4. Activate the patient's database window with a click

    5. Paste the examinations into the database (context menu or CTRL-V)

    Note: The name is checked again. Double records are not imported, depending on the options setting.

    In case of success, these examinations can be deleted in the Reserve database (strongly recommended!).


Menu Bar

The menu bar is at the top. It can be used with the mouse or F10. The menu depends on the active window: the database window or a display window (visual field window: Series, Single, Left-Right, Trend)

File menu Database functions: open, close, export, save as..
Functions menu find, copy, delete, change particular data records (examinations)
Extra menu special database functions
View menu change visibility of windows and other elements
Window menu window arrangement
Info menu assistance for the use of PeriData


Hotkeys

HOTKEYS (Shortcuts)

ALLE FENSTER

F1 Help for the active window
Ctrl & L Last database - open
Ctrl & D Database window - show on top
Ctrl & R Reserve Database - only LinkMode
ALT & W Open Website

DATABASE WINDOW (examination list)

Enter Show all examinations of the marked patient >> series window opens
Ctrl & C Copy the selected examinations to the clipboard
Ctrl & X Delete the selected examinations from the list
Ctrl & V Paste the examination from the clipboard to the list
Ctrl & F Find patient
Ctrl & E Edit examination data
Ctrl & T Mark all examinations of one patient
Ctrl & A Mark All examinations of all patients
Arrow up Scroll list up (1 line)
*Note: Scrolling with the keys will move the red bar of the marked examination – scrolling with the mouse does not move the markings!
Arrow down Scroll list down (1 line)
PgUp Scroll up 1 page
PgDn Scroll down 1 page
Pos1 Scroll to the beginning (first examination)
End Scroll to the end (last examination)

SERIES, SINGLE, TREND, LEFT/RIGHT WINDOW
(Trend Window has different image hotkeys)

ESC Close the window
Enter Series only: Show the Single Analysis Window of the selected examination
Ctrl & 1 Open the Single Window
Ctrl & 2 Open the Left & Right Window
Ctrl & 3 Open the Trend Window
Ctrl & P Print
A General informAtion
B Bebié Curve (Cumulative Curve)
(Trend Window: Boxplot)
C Color Defect Map
D Defect depth values / Total Deviation values
(Trend Window: Defect Value Change)
F (Trend Window: FD-Plot)
G Grayscale
(Trend Window: GATT)
H Hill of vision
I Global Indices
N (Trend Window: NATT)
M cuMulative Curve
P Probability symbols
(Trend Window: Percentile Plot)
R Raw data (Threshold values)
S (Trend Window: SuperTrend)
T Traditional combination 6-in-1 (Single Window)
(Trend Window: IntelliText)
Y Combination 6-in-1 (Single Window)
+ Color Defect Map PLUS
(Trend Window: GATT+)
Q Toggle on/off the Quality Indicator
Z Shows the Zoom dialog
1 Zooms to the 10 degree area
3 Zooms to the 30 degree area
6 Zooms to the 60 degree area
9 Zooms to the 90 degree area
Ctrl & key + Zoom in (larger) in 5 degree steps
Ctrl & key - Zoom out (smaller) in 5 degree steps
Arrow up Tilt the hill of vision -5 degrees
Arrow down Tilt the hill of vision +5 degrees
Arrow left Rotate the hill of vision -5 degrees
Arrow right Rotate the hill of vision +5 degrees
key + Rotate the hill of vision +45 degrees
key - Rotate the hill of vision -45 degrees


Options

Menu Extra > Options

Note: The menu Extra is not visible while the visual field windows are open. Close the visual field windows by pressing the ESC key twice

This dialog has 3 pages (tabs) to define your preferred settings

  • General tab - settings like date format, language etc.
  • Perimeter tab - setup the perimeter connection (interface)
  • Display + Backup tab - favorite image type, window arrangement, trend options and Backup Directory

Note: All settings are valid for the current user. An exception are perimeter settings, where you can choose whether the settings are valid for the machine (all users) or differently for each user (see tab perimeter).


Commands

Open Example data

This command will open a visual field database with example data.

These data are for exercise. You can play with them. Because the file is write-protected, they cannot be changed.


Select patient

Select a patient and show all his/her visual fields

Medical software: When PeriData is opened from the patient file, then all visual fields are shown immediately. The following actions are not needed, it continues with this

  • Open a visual field database (menu Database > Open) >> The database window with the examination list appears.
  • Search the patient by using the button  FIND  or the key combination "Ctrl F"
  • Select the patient by a double click on one examination. All examinations of this patient are redmarked, and the visual field windows open
    Instead of a double click you can also press the  SHOW  button


show examinations: a single field

Display a single examination

First, a patient has to be selected and the Series Window with all the examinations has appeared on the left side of the screen. With a double click on one of the examinations in the series window or a click on this button , the Single Analysis Window appears with a display of this particular examination.


show examinations: left and right fields

Selecting a left and a right visual field for analysis

First, a Patient is activated in the examination list. The Series Window with all the examinations appears on the left side of the screen. With a click on one of the examinations, this examination is selected and marked with a red frame. Now click on this button , and the Left-Right Analysis Window with this examination and the matching examination of the other eye appears. Matching means the same day or, if missing, the closest match.


show examinations: Trend Analysis

Performing a trend analysis to detect progression

First, a Patient is activated in the examination list. The Series Window with all the examinations appears on the left side of the screen. With a click on one of the examinations, this examination is selected and marked with a red frame. Now click on this button and the Trend Analysis Window appears. The analysis is based on this examination and all matching examinations of the same eye. Matching means examinations on the same perimeter group and with the same or a compatible examination program. Non-matching examinations can only be compared visually in the Series Window. Since version 3.3, a check box in the Options>Trend Window can allow a change of the perimeter group in a trend analysis. Details of the Trend Analysis Window


Series Window

This window shows ALL visual fields of ONE patient, sorted by date. The arrangement corresponds to the patient's perspective: left visual fields are on the left (perimetry standard).
Examinations of the current day have a yellow date. - ESC closes the window. If the Series Window is closed, other visual field windows are also closed.

More windows

In the main tool bar, there are 3 buttons which activate other window types on the right side. Only one of these windows is visible at a time. Inside the Series Window, you can also use mouse clicks or key combinations to activate these windows.

more about window types

Red Selector Frame

The Series Window serves as a selector panel. A red frame indicates the currently selected field. This field is taken for display in the Single Window. In the Trend Window and the Left-Right Window, the selected field is combined with matching fields.

The frame can be moved with the mouse wheel or the arrow keys. Or a mouse click on a visual field moves the frame directly to it. Immediately, the visual field window on the right side (Single, Left-Right, Trend) is updated with the new selection.   At the beginning, the frame is always on the last field.

vertical / horizontal

In the main tool bar, there are 2 buttons which change the orientation of the window:

more about the window orientation

Image Types

The image type in this window can be changed with buttons or hotkeys (character below the button). More information is given by a click on the button or in the list of image types

A

C

D

B

i

G

R

P

Other properties and functions

[F1]  show Help about the current window

[CTRL + P]  start a printout

save the current Image Type as favorite option

[CTRL and + ]  zoom in by steps of 5 degree

[CTRL and - ]  zoom out by steps of 5 degree

[Q]  switch between graphical Quality Indicator (pressed=grey) or the Quality values (unpressed)

Switch on and off the Symbol representation for the normal range and absolute defectc

Switch on and off the color distinction (two normal colors) for the normal range


Single Window

The Single Window

Hotkey: CTRL + 1
Hotkey: ENTER (only active in the Single Window)
Menu: View > Single

This window shows a single visual field in different representations (Image types). The selection of the examination is controlled by the Series Window (red frame)   ESC closes the window.

Image combinations

The image in this window can be changed with buttons or hotkeys. Because the image is a combination of several image types, several characters open the same combination. More information is given by a click on the button

Y   is the most favorite combination. It shows the visual field in 6 different image types

C, M, i   shows the Color Defect Map (CDM) with 2 more images

+ (key)   shows the Color Defect Map PLUS. Additionally, you will see 2 other images

D, A   shows the Total Deviation Map (defect depth) with 2 more images

T   show the visual field in 6 different traditional images

G, R   shows the threshold values with 2 more images

H   shows the visual field as a 3-dimensional hill-of-vision with 2 more images

Help for a single image type ("Image Help")

CLICK onto a single image in the window to get special information about this image type. Image help can also be started with the context menu (RIGHT mouse button).

Other properties and functions

F1   show Help about the current window

CTRL and P   start a printout

save the current Image Type as favorite option

CTRL and +   zoom in by steps of 5 degree

CTRL and -   zoom out by steps of 5 degree

Q   switch between graphical Quality Indicator (pressed=grey) or the Quality values (unpressed)

Switch on and off the Symbol representation for the normal range and absolute defectc

Switch on and off the color distinction (two normal colors) for the normal range


Left-Right Window

The Left-Right Window

Hotkey: CTRL + 2
Hotkey: SHIFT + ENTER (only active in the Series Window)
Menu: View > Left-Right

This window shows a pair of visual fields (Left and Right - OS/OD). As it is common in perimetry, the fields are shown from the patient's point of view: The left visual field is on the left, the right visual field is on the right.   ESC closes the window.

Selection of the 2 examinations

The red frame in the Series Window determines the first visual field. The second visual field of the other eye is automatically matched. If there is no examination on the same day, the next following examination is taken, otherwise the next earlier. These examinations should be unpaired. If there are complete pairs before and after a single selected examination, the first examination it will shown alone in the Left-Right Window.

Image Types

The image type in this window can be changed with buttons or hotkeys (character below the button). More information is given by a click on the button or in the list of image types

A

C

+

D

B

i

G

R

P

H

Help for image types ("Image Help")

CLICK onto a single image in the window to get special information about this image type. Image help can also be started with the context menu (RIGHT mouse button).

Other properties and functions

[F1]  shows Help about the current window

[CTRL + P]  start a printout

Save the current Image Type as favorite option

[CTRL and + ]  zoom in by steps of 5 degree

[CTRL and - ]  zoom out by steps of 5 degree

[Q]  switch between graphical Quality Indicator (pressed=grey) or the Quality values (unpressed)

Switch on and off the Symbol representation for the normal range and absolute defectc

Switch on and off the color distinction (two normal colors) for the normal range


Trend Window

Hotkey: CTRL + 3
Hotkey: CTRL + ENTER (in the Series Window)
Menu: View > Trend

This button changes the mode of representation in the right window. Instead of a single visual field the time course of all visual fields is shown. There are serveral time axis diagrams and grafical representations of the pointwise time statistics. This allows to detect the progression or recovery of a visual field alteration.   ESC closes the window.

Selection of examinations

The examination with the red frame in the Series Window is the basis for the automated selection of compatible examinations. Compatible means matching test point patterns. Also other parameters must be equal. All examinations have to be measured with threshold strategy.

All automatically selected exams appear in the trend selection window on the right side. In this window, additional manual selections can be made.

Image Types

The image type in this window can be changed with buttons or hotkeys (character below the button). More information is given by a click on the button or in the list of image types

B

P

S

D

i

T

G

+

N

F

Help for image types ("Image Help")

CLICK onto a single image in the window to get special information about this image type. Image help can also be started with the context menu (RIGHT mouse button).

Other functions

[F1]  shows Help about the current window

[CTRL + P]  start a printout

Save the current Image Type as favorite option

[CTRL and + ]  zoom in by steps of 5 degree

[CTRL and - ]  zoom out by steps of 5 degree

Switch on and off the color distinction (two normal colors) for the normal range

Exclude unreliable examinations from the trend analysis. The automatic classification is based on the trial error rate and the learning effect analysis. more info

Include all examinations into the trend analysis. Automatic and manual exclusions are neutralized. more info


Trend Exclusion

Exclusion and Inclusion of Examinations for Trend Analysis

Trend Selection Window

This window is part of the Trend Window. It appears on the right side and shows all examinations which serve as the basis for the trend analysis as color defect maps.

With a double click an examination is excluded from the statistical evaluation. The excluded exam will be marked with a big yellow cross. A second double click on an excluded examination reactivates it, the yellow cross vanishes.

The number of selected examinations is shown above the Trend Selection Window. Example: 5/7 = 5 of 7 exams are selected, ?1 = 1 exam is not reliable

Automatic Selection

Automatic exclusion: This button excludes all examinations that were classified as unreliable (the Quality Indicator Circle has a yellow background)

Include all exams: This Button includes all examinations into the trend analysis. Automatic and manual exclusions are neutralized.

Save the Selection

The pattern of excluded examinations is maintained as long as the same patient is open. As soon as the series window is closed, or another patient is chosen in the database window, the selection gets lost>. For a permanent storage, you may activate a special option in the menu Options > Display.


General Data

Button in the Left-Right Window, Single Window and Series Window
Hotkey: A
Menu: Image > General Data
Context menu: General Data

This image displays general patient and examination data without the results at the measurement points:

  • Date and time of examination
  • Type of the perimeter (Pr# program number)
  • Examination program
  • Stimulus size, color and duration of the stimulus presentation in ms (milli-seconds)
  • Background: luminance and color
  • Measurement strategy of threshold determination or suprathreshold testing
  • Fixation target
  • Pupil diameter
  • Visual Acuity
  • Correction glasses: sphere, cylinder, axis
  • Duration of the examination (# number of stimulus presentations)
  • Malfixation index: dependent on the fixation test method with different meanings, see manual of the perimeter
  • False Positive: false rate % (false answers / trials)
  • False Negative: false rate % (false answers / trials)
  • Comments: (if no comment stored: age at examination day)

CONCLUSION: This image type displays important information about the examination

Note: The instruments often do not send all data

Note: In the Series Window, only a part of the data is displayed for missing space


Threshold values

Threshold values or Raw data (numerals)

Button in the Left-Right Window, Single Window and Series Window
Hotkey: R
Menu: Image > Threshold / Raw data
Context menu: Threshold / Raw data

This image shows the Threshold values as number. The values are in the range of 0 dB through 45 dB, dependant on the instrument. High values are high sensitivity, low values mean low sensitivity.

< 0   absolut defect (brightest light stimulus not seen)

  symbol of an absolute defect

(33)   value in brackets is the second value at this point (only in case of double measurement)

this button switches off the symbol representation

Threshold values are untreated RAW DATA and not norm-related. Therefore the validity is limited.  - Click here for more information about this value type, the meaning and limitations

CONCLUSION: This image type makes double measurements and absolute defects visible. In case of missing normal values (rare special examinations) these numbers are the basis for evaluation.   -- If normal values are present, there is better information from total deviation numbers and other representations on the basis of defect depth (color defect map, cumulative curve, probability map..)


Symbols / Defect classes

Symbols for defect classes (suprathreshold tests)

Button in the Left-Right Window, Single Window and Series Window
Hotkey: D
Menu: Image > Defect depth
Context menu: Defect depth

The result of a suprathreshold test is not a number but a defect class. This class is represented with a symbol. The meaning of the symbol depends on the number of measured classes. PeriData also displays the count of points in each class - NOTE: Each instrument manufacturer has own names for classifying tests. Very popular is screening test.

2-class tests ("2-zone")

no defect ("normal")
defect

3-class tests ("3-zone")

no defect ("normal")
relative defect
absolute defect

4-class tests

no defect ("normal")
shallow relative defect
deep relativer defect
absolute defect

7-class tests ("Oculus class strategy")

no defect ("normal")
defect class 1
defect class 2
defect class 3
defect class 4
defect class 5
defect class 6

Quantify defect tests

number  defect depth in dB

no defect ("normal")
absolute defect

3 classes

Quantify defects

CONCLUSION: This image type is the only available image type for classifying tests (suprathreshold tests). The meaning of the symbols depends on the instruments and the measurement procedure (strategy). With all procedures, points with the symbol "normal" may deviate considerably from the norm

Further information

Reference: Sensitivity of the normal value hill in the center. The actual test sensitivity is 4 to 6 dB lower, depending on the method. The reference is not always sent by the instrument.


Grayscale

Button in the Left-Right Window, Single Window and Series Window
Hotkey: G
Menu: Image > Grayscale
Context menu: Grayscale

This image shows the threshold values in a grayscale graph. Between measured points the values are interpolated to create a continuous surface. Shade is sensitivity: light areas represent high sensitivity, dark areas mean low sensitivity.

Threshold values are untreated RAW DATA and not norm-related. Therefore even a normal visual field is darker in the periphery, nasal darker than temporal, darker for aged persons than for young persons. The images vary also for different strategies, stimulus sizes and other parameters and different instruments.  - Click here for more information about this value type, the meaning and limitations

CONCLUSION: This image type was traditional the first graphical representation in computer perimetry. It visualizes the damage pattern and - partially - the damage degree. In case of missing normal values (rare special examinations) this image type is very useful.   -- If normal values are present, there is much better information from the color defect map


Probability Map

Probability Map (Total Deviation)

Button in the Left-Right Window, Single Window and Series Window
Hotkey: P
Menu: Image > Probability Map
Context menu: Probability Map

This image type converts total deviation (defect depth) into a symbol. The symbol represents the probability that the deviation is accidental.

P >= 5,0 %

P < 5,0 %

P < 2,0 %

P < 1,0 %

P < 0,5 %

The percentage is the probability of a deviation by chance. The smaller the figure, the less likely the deviation is accidental and the more likely is a true defect. Accordingly, the symbol gets darker. The calculation considers the different spread of normal values at different measurement points and age classes.

Probability maps are based on total deviation values  - Click here for more information about this value type, the meaning and interpretation

CONCLUSION: This image type visualizes defects. The symbol expresses the probability of a true defect. The importance of singular defects can be recognized exactly. For a complete evaluation the Color Defect Map is needed.

Further information

Deep defects always appear with the darkest symbol     The exact depth is not indicated and can be very different. In severely damaged areas, the topography of the damage is invisible. In the follow-up, the improvement or deterioration of deeper defects is not recognizable.

In case of a homogeneous damage (cataract, small pupil) with equal defect depth values in the entire visual field, the defect probability is higher in the center (due to the smaller normal range). The map shows a false central defect.

The analysis is only related to single points. Slight reduction of sensitivity in neighboring points which are not accidental and appear as larger area in a dark green or brown in the Color Defect Map, are invisible in the Probability Plot.

Synonym: Defect Probability

The total deviation defect probability is an additional analysis of the total deviation values (defect depth values). The defect depth is statistically analyzed whether the deviation from normal is probable or the deviation is more likely to be accidental. There are several classes of defect probability:

The percentage is the probability of a deviation by chance. The smaller the figure, the less likely is a chance and the more likely is a true defect. Accordingly, the symbol gets darker.

Note: The spread of normal value is different for different visual field locations and age classes. The same total deviation value can have different defect probability classes depending on age and location.

See also: Pattern Defect Probability in the

Medical utility

The defect depth values are the real measurement results after concerning the age-corrected normal values. They abolish the exact evaluation of the defect depth.

The probability analysis improves the information power of defect depth further more.

The symbols are graphical and allow a quick evaluation of the entire visual field.

Misinterpretation

The analysis is only related to single points. Slight reduction of sensitivity in neighboring points which are not accidental and appear as larger area in a dark green or brown in the Color Defect Map, are invisible in the Total Deviation Probability Plot.

Deep defects always appear with the darkest symbol   , even when the depth is very different. In severely damaged areas, the topography of the damage is invisible. In the follow-up, the improvement or deterioration of deeper defects is not recognizable.

In case of a homogeneous damage (cataract, small pupil) with equal defect depth values in the entire visual field, the defect probability is higher in the center (due to the smaller normal range). The map shows a false central defect.

The expert says:

The defect probability map is highly suitable for the evaluation of small, localized defects.

For complete evaluation, use always the total deviation value plot and/or the Color Defect Map plus.


Probability Map (Pattern Deviation)

Button in the Left-Right Window, Single Window and Series Window
Hotkey: P
Menu: Image > Probability Map
Context menu: Probability Map

This image type has no separate menu item or button and appears with the normal probability map (total deviation). In this image the Pattern Deviation is converted to a symbol. The symbol should represent the probability that the deviation is accidental.

P >= 5,0 %

P < 5,0 %

P < 2,0 %

P < 1,0 %

P < 0,5 %

This probability map is based on pattern deviation values  - Click here for more information about this value type, the meaning and limitations
In contrary, the calculation of the symbols uses the formula for TOTAL deviation values. Therefore, the probability statements are not valid

CONCLUSION: This image type may help to recognize a damage pattern. But only a part of the defects are shown, and the probability symbols are not valid. There is a considerable risk to underestimate the overall damage. The use of this image type is risky


Defect depth / Total Deviation

Defect Depth or Total Deviation (numerals)

Button in the Left-Right Window, Single Window and Series Window
Hotkey: D
Menu: Image > Defect depth / Total Deviation
Context menu: Defect depth / Total Deviation

This image shows the Total Deviation (Defect depth) as number. The values are typically in the range of +5 dB through –35 dB. Negative numbers are "defects", positive numbers are supernormal values.

The numbers are color coded. The colors correspond to the Color Defect Map. Numbers below -20 dB are blue.

calculation impossible (normal value < 0 dB or missing)

symbol of an absolute defect (brightest stimulus not seen)

symbol of a value between +4 dB and -4 dB ("normal range")

this button switches off the symbol representation (all numbers are shown)

Defect depth or total deviation are norm-related values. A normal value has 0 dB  - Click here for more information about this value type, the meaning and interpretation

CONCLUSION: This image type makes defects visible. The numbers are giving detailed information about the depth in decibel. The importance of isolated defects can be understood exactly. The mental assessment of all 50 through 100 numbers is practically impossible. Therefore, the Color Defect Map (CDM) should be consulted in addition. The CDM Plus with the numerical overlay combines both images.

Further information

Defects are usually negative. The sign can be inverted: Menu Extra > Options > Tab Display > Defect value sign (+)

For a better recognition of the blind spot, normal values in this area are taken from the surrounding. The blind spot appears as a deep defect. These pseudo-values are excluded in statistical calculations (indices)

Small differences between the defect depth in PeriData and the instrument's printout are possible because of rounding differences


Pattern Deviation

Pattern Deviation (numerals)

The Pattern deviation image has no own menu item or button. The image appears in the Single Window together with the Probability Map

This image shows the Pattern Deviation values as number. The values are typically in the range of +5 dB through –35 dB. Negative numbers are "relative defects".

The numbers are always black (in contrast to the unshifted total deviation values). There are no symbols for absolute defects or values in the normal range.

calculation impossible (normal value < 0 dB or missing)

Pattern deviation values are shifted total deviation values (defect depth values) and show only a part of the deviation. The shift is different for each visual field. This reduces the validity.  - Click here for more information about this value type, the meaning and interpretation

CONCLUSION: This image type may help to recognize the pattern of damage. Because only a part of the deviation is shown, there is a considerable risk to underestimate the overall damage.   -- Newer image types (CDM=color defect map, color-coded total deviation map) have a similar power to recognize damage patterns.


Color Defect Map (CDM)

Button in the Left-Right Window, Single Window and Series Window
Hotkey: C
Menu: Image > Color Defect Map
Context menu: Color Defect Map

Hotkey: +
Menu: Image > Color Defect Map PLUS+
Context menu: Color Defect Map PLUS+

This image shows the Total Deviation (Defect depth) in different colors. Between measured points the values are interpolated to create a continuous surface. The color texture is enhanced by a pointed gray shade. In the PLUS map the numbers are superimposed.

+14 .. +10 dB

  +9 ..   +5 dB
  +4 ..     0 dB
    0 ..   -4 dB
   -5 ..   -9 dB
 -10 .. -14 dB
 -15 .. -19 dB
     -19 dB

Defect depth or total deviation are norm-related values. A normal CDM is green  - Click here for more information about this value type, the meaning and interpretation

Color Defect Map

CDM PLUS

CONCLUSION: This image type makes defects visibleat a glance. The signalling nature of colors you get an overall impression even in small representations (Series Window). Alterations in the field have nearly natural shapes by interpolation. The PLUS map shows the measurement pattern and the exact deviation from normal in decibel

Further information

This button switches between the use of two different green colors for the "normal" range (button prominent and colored = standard) and one green color (button pressed and gray). Two colors enables the recognition of topographical anomalies in visual fields with normal sensitivity.

In the periphery there are some areas where the normal value is < 0dB. Defect depth / total deviation cannot be calculated. These areas may be missing, in the CDM PLUS there is a ? question mark instead of a number.

Interpolation enlarges the defect areas of adjacent defect points compared to singular defect points. Thus works like a graphical "cluster analysis"


Cumulative Curve

Bebié Curve (Cumulative Defect Curve)

Button in the Left-Right Window, Single Window and Series Window
Hotkey: B
Menu: Image > Bebié Curve
Context menu: Bebié Curve

This image shows the Total Deviation (Defect depth) in a curve. The values are sorted: On the left are the good values, on the right the bad values. Because of normal scattering, even in a normal visual field some values are above 0 and some below. If the curve leaves the normal range, the color turns red (defects) or green (supernormal values).

The indices MD, PSD and LV are the mean value and the spread values of this curve

local depression: Only a part of the values is depressed. The right part of the curve is lowered and red (see example)

diffuse depression: All values are evenly diminished. The whole curve is shifted downwards and red

mixed depression: All values are diminished, some more, some less. The whole curve is shifted downwards and the slope is increased. The whole curve or at least the right part is red

False positive response behavior: The values are elevated. The left side of the curve or the entire curve is shifted upwards and parts of it are green.

Defect depth or total deviation are norm-related values. A normal value has 0 dB  - Click here for more information about this value type, the meaning and interpretation

CONCLUSION: The Bebié curve shows the height and the spread of the defect values at a glance. Because every value is shown it gives more information than the indices MD, PSD and LV.   -- The curve contains no topographical information. For a complete evaluation the Color Defect Map is needed in addition.


Global Indices

Global Indices (MD, PSD, LV..)

Button in the Left-Right Window, Single Window and Series Window
Hotkey: i
Menu: Image > Indices
Context menu: Indices

Indices are statistical calculations on the basis of all measured values ("global")
Note: Values may differ slightly from the values in the device program. The reason for this is different rounding methods. Some devices (e.g., HFA) also use different formulas or weight the points differently. This results in greater differences. PeriData weights each measured value equally. This makes it easier to compare findings from different devices.

N: Count of all evaluated measured points. Because the region of the blind spot is eliminated from the calculations, the number may be smaller than the point count in the pattern

MD: Mean Deviation (mean defect) = mean value of all total deviation (defect depth) values. The lower the MD, the more the visual field is damaged.  MD+: option "Defect value sign (+)" active - Note the comment above concerning differences to device values

PSD: Pattern Standard Deviation = standard deviation of total deviation values (defect depth). The higher the index, the greater are the differences between the total deviation (defect depth) of different points

CPSD: Corrected Pattern Standard Deviation = index PSD, corrected by the accidental measurement error SF. Missing if SF was not measured.

FD: Functional Defect = mean value of converted total deviation values (defect depth). Instead of dB = decibel a non-logarithmic percentage value (functional equivalent) is used. Normal value 0%, maximum loss -100%.
A loss of -6 dB is equivalent to a functional reduction of about -50%, a loss of -12 dB equals about -75%. The conversion is based on an empirical study (Bartz-Schmidt KU, Weber J: Comparison of spatial thresholds and intensity thresholds in glaucoma, Int Ophthalmol 1993, 17:171-178). Note: Because the averaging is done after the conversion, the relation of MD and FD differs between examinations

SF: Short-term Fluctuation = variation value at points with double measurements. This value is the measurement error in perimetry. Missing, if less than 10 double measurements were made.

Octopus style indices: If this option is active, the squared values LV/CLV (Loss Variance) will be shown instead of PSD/CPSD

CONCLUSION: Indices are providing information about the height and the spread of total deviation values (defect depth). The index MD can show the temporal course in the trend image "box plot"   -- For a single visual field, similar information can be taken from the Bebié curve (cumulative defect curve). Indices contain no topographical information. For a complete evaluation the Color Defect Map is needed in addition.


3-D Hill of vision

Button in the Left-Right Window, Single Window and Series Window
Hotkey: H
Menu: Image > Hill of vision
Context menu: Hill of vision

This image shows the visual field in 3 dimensions. The hight is given by the defect depth (total deviation). The interpolated surface is shown in color. The colors correspond to the Color Defect Map.

The perspective is initially oblique from the front. It can be rotated and tilted using the arrow keys on the keyboard

Defect depth or total deviation are norm-related. A normal value has 0 dB. The normal 3D hill is flat - Click here for more information about this value type, the meaning and interpretation

CONCLUSION: This image type shows the visual field in an impressive plasticity. The colors enhance this perception. There is no additional information compared to the 2-D representation and interpretation is complicated by the perspective distortion. The 3-D hill is especially useful to enforce the motivation of the patient by the impressive presentation.

Further information

In the literature, the hill is usually shown based on raw data and therefore higher in the center. As for the neccessity of color for a vivid presentation and the consistend use of color in the PeriData program (color only for norm-related values) it had to be deviated from this tradition.


Box Plot

Button in the Trend Window
Hotkey: B
Menu: Image > Box Plot
Context menu: Box Plot

In this image every visual field is represented as a box with 2 whiskers. This element is a compressed form of the Bebié curve (cumulative curve). The upper whisker reaches up to the best value, the lower whisker down to the worst value. The upper border of the box is an average good value (percentile 15), the lower border of the box an average bad value (percentile 85). The waist line is the median (percentile 50).

The box plot image shows the visual field development. Time is the X axis and total deviation (defect depth) the Y axis (height). The time axis is proportional, the distance between the boxes represents the time interval

The cross is the index MD. The MD values are connected to a line.

The box turns yellow, if an examination could be unreliable, i.e. the limits for quality indicators (false positive..) are exceeded. It also turns yellow, if a learning effect is suspected (see example).

Defect depth or total deviation are norm-related values. A normal value has 0 dB  - Click here for more information about this value type, the meaning and interpretation

CONCLUSION: This image shows the height and the spreading of the total deviation values (defect depth) in the time course at a glance. Learning effects and outlieres are well recognizable. Examination gaps are visible   -- The Percentile Plot offers a finer differentiation of the value distribution -- The image contains no spatial information. For a complete evaluation, topographical trend analysis (SuperTrend, GATT) are needed in addition.

Further information

If one region deteriorates and another improves, the box plot does not change.

MD and median are only equal if the value distribution is symmetrical.


Percentile Plot

Button in the Trend Window
Hotkey: P
Menu: Image > Percentile Plot
Context menu: Percentile Plot

This image uses 11 percentiles (0% thru 100%) from every visual field. Percentiles are a compressed form of the Bebié curve (cumulative curve). Each percentile represents a rank in the total deviation values (defect depth): The percentile 0 is the best value, the percentile 50 the median and the percentile 100 the worst value.

The Percentile Plot shows the course of percentiles as a line diagram. Time is the X axis and total deviation (defect depth) the Y axis (height).

The line color indicates whether the percentile values have significantly deteriorated (red) or improved (green). Statistical method is the t-test

percentiles

example 1

CONCLUSION: This image type shows the better, the medioce and poorer portions of the visual field in the time course. Learning effects and long-term fluctuations are well recognizable.   -- The image contains no spatial information. For a complete evaluation, topographical trend analysis (SuperTrend, GATT) are needed in addition.

Further information

Example 1 (see above) shows improvement in the better portions (could be a learning effect) and, simultaneously, a deterioration in the poorer portions, i.e. the existing defects. This is a "balanced" trend which does not show in the index MD.
Example 2 shows a deterioration in all portions, but there is more loss in the worser portions. This example also shows the bottom effect (maximum defect depth, given by the measurement range).

example 2


FD Plot

Button in the Trend Window
Hotkey: F
Menu: Image > FD Plot
Context menu: FD Plot

This image shows the course of the index FD (Functional Defect). Time is the X axis and the index FD in % the Y axis (height). The line color indicates whether the percentile values have significantly deteriorated (red) or improved (green). Statistical method is the t-test

FD (Funktionaler Defekt) is an index, that is obtained by conversion of defect depth to a percentage value (functional equivalent). Normal is 0%, maximum loss is -100%   -- Click here for further information about this index

CONCLUSION: This image shows the index for functional loss in the time course. By the different scaling a progression may be earlier recognizable as with the MD line.   -- The image contains no spatial information. For a complete evaluation, topographical trend analysis (SuperTrend, GATT) are needed in addition. The Percentile Plot contains more information about value distribution.

Further information

FD and MD use different scales and different formula. Therefore, the course of the MD line in the box plot and the FD line in this image differ.


Indices-Trend

Trend Analysis of Indices

Button in the Trend Window
Hotkey: i
Menu: Image > Indices Trend
Context menu: Indices Trend

This image shows the result of the statistical trend analysis of the global indices ( details about the calculation method)

4 numbers for each index are shown.

Change per year: slope of the regression line of the index values
(in brackets): change probability
p > ..% = percentage
n.s. = not significant = p < 90%

Total change: difference between start point and end point of the regression line

Start: Start value of the index (start point of the regression line)

End: End value of the index (end point of the regression line)

CONCLUSION: The trend of the index MD shows the general trend. The spread indices PSD, CPSD (or LV, CLV) increase if the cumulative curve (Bebié) turns steeper. By the ground effect it can also decrease in progressive cases. The index FD shows the general trend with another scaling.   -- All global changes are better shown by the Percentile Plot. -- This image type contains no spatial information. For a complete evaluation, topographical trend analysis (SuperTrend, GATT) are needed in addition.


Change Map

Button in the Trend Window
Hotkey: D
Menu: Image > Change Map
Context menu: Change Map

This image shows the result of the pointwise trend analysis as a number. The calculation method is described in detail here.

Each measured point shows 1 number. This is the change value, which is the difference between the statistical start value and end value. The number is negative in case of deterioration. The numbers are color coded. In case of high significance, a triangle symbol points up or down.

Green is significant improvement (dark green p>90%, light green p>95% )

Red is significant deterioration (dark red p>90%, light red p>95% )

Turquoise is not-significant improvement (p<90%)

Brown is not-significant deterioration (p<90%)

CONCLUSION: This image type visualizes the areas of change by the color. The numbers provide exact information about the amount of change. Symbol and color inform about the significance of change. Therewith, this image allows an exact evaluation of the pointwise trend. To understand the relation to preexisting defects, the SuperTrend image or GATT should be consulted.

Note: The colors in this help page can deviate from the program for technical reasons


SuperTrend

Button in the Trend Window
Hotkey: S
Menu: Image > SuperTrend
Context menu: SuperTrend

This image shows the result of the pointwise trend analysis in a combined graphical and numerical display.

The Color Defect Map is based on the statistical end values. The numbers are the change values. In case of high significance, a triangle symbol points up or down ( details about the calculation method)

highly significant (P>95%) improvement

highly significant (P>95%) deterioration

CONCLUSION: This image type shows simultaneously defect depth, change and significance. The spatial relation between damage and trend is well recognizable. The numbers visualize the point pattern and provide exact information about the amount of change. Although easily readable, SuperTrend has a high informational content.   -- The map shows the (statistical) last visual field. The start situation is not visible. This could be provided by the GATT image.


GATT

Button in the Trend Window
Hotkey: G
Menu: Image > GATT
Context menu: GATT

This image shows the result of the pointwise trend analysis in a graphical manner.

This display is a compound of 2 Color Defect Maps. One map is based on the statistical start values, the other map is based on the end values (details about the calculation method).

The composition of the 2 color maps to one map follows different geometrical patterns depending on the direction and significance of change :

significant (P>90%) improvement >> VERTICAL stripes
  here: improvement from brown to green

significant (P>90%) deterioration >> HORIZONTAL stripes
  here: deterioration from red/black to brown
not significant change >> CHECKERBOARD
  here: fluctuations between green and brown
stable or minimal change >> UNIFORM area
  here: stable green or stable brown, resp.
GATT PLUS: shows the change value as a number in addition. Highly significant changes (P>95%) have a double sign (++ or --)

GATT

GATT PLUS

CONCLUSION: This image type shows simultaneously defect depth, change and significance. The spatial relation between damage and trend is well recognizable. The evaluation is intuitive driven by the continuous, colored and patterned style. The contrast shows the amount of change. The interpolation increases the striped area overproportional if neighboured points have the same trend, working as a graphical cluster analysis. The GATT PLUS image visualizes the measurement pattern and the exact change value.   -- This highly informative and complex image type needs exercise and experience. The SuperTrend image is easier to comprehend.


NATT

NATT - Numerical Analysis of Topographical Trends

Button in the Trend Window
Hotkey: N
Menu: Image > NATT
Context menu: NATT

This image shows the result of the pointwise trend analysis as numerically. The method is described in detail here.

Each measured point shows 2 number. The upper number is the statistical start value, the lower value is the end value. The numbers are color coded

Green is significant improvement (dark green p>90%, light green p>95% )

Red is significant deterioration (dark red p>90%, light red p>95%)

Turquoise is not-significant improvement (p<90%)

Brown is not-significant deterioration (p<90%)

CONCLUSION: This image type visualizes the areas of change by the color. The numbers provide exact information about the prior damage and the amount of change. Color informs about the significance of change. Therewith, this image allows an exact evaluation of the pointwise trend. An overall evaluation is practically impossible with 100-200 numbers, therefore the SuperTrend image or GATT should be consulted as well.

Note: The colors in this help page can deviate from the program for technical reasons


IntelliText

Button in the Trend Window
Hotkey: T
Menu: Image > IntelliText
Context menu: IntelliText

This image generates a comprehensive text, that summarizes the major results of the statistical analysis (details about the calculation method). In addition, there are hints on quality deficiencies.

The IntelliText is NO indipendent analysis and does NOT use AI, but is based on results that are also displayed in other images.

  • Number of examinamtions
  • Number of unreliable examinations
  • Trend of index MD
  • Trend of index FD with extrapolation
  • Points with significant trend (P>90%)

CONCLUSION: The IntelliText makes the result of the statistical trend analysis comprehensable without special prior knowledge.   -- Because only summarized results are provided, the informational content is limited. Box Plot and SuperTrend images should always be consulted.

Tip: Less experienced users should start the evaluation with the intellitext. Advanced uses could use the IntelliText better at the end to check the own evaluation.


Binocular Analysis

Menu: Image > Binocular Analysis
Context menu: Binocular Analysis

This image shows the virtual binocular visual field. Both visual fields are superimposed. In each point, the better value of both visual fields is taken. The result is the presumed binocular field and is shown as a Color Defect Map on the left and as defect depth (total deviation) numbers on the right side

Defect depth or total deviation are norm-related values. A normal CDM is green  - Click here for more information about this value type, the meaning and interpretation

Basis

Result

CONCLUSION: This image type shows the presumed binocular visual field. The image visualizes whether defects of one eye are compensated by the other eye. It provides important information about the functional visual field in everyday life, at work and in road traffic. It helps to assess the driving ability.   -- The analysis is virtual. The true binocular visual field can deviate.

Further information

The normal binocular visual field has no blind spot

Only matching points are superimposed. In case of asymmetric patterns, e.g. Octopus G1, some points are omitted

In a coarse examination pattern the analysis does not detect all binocular defects


Congruence homonymous

Homonymous Congruence Analysis

Menu: Image > Congruence Analysis
Context menu: Congruence Analysis

This display shows the congruence (symmetry) between right and left visual field. Both visual fields are superimposed without mirroring (homonymous). At each point the difference RIGHT-LEFT field is calculated

Right image: difference value as number. Positive number = value (defect depth) better on the right eye

Left image: compound of 2 Color Defect Maps from the right and left eye. Dependent on the difference, various geometrical patterns are shown:

VERTICAL stripes: difference positive, values better on the right and worse on the left eye

HORIZONTAL stripes: difference negative, values worse on the right eye

UNIFORM areas: mimimal difference between right and left, defect depth in the same color shade class

Basis

Result

CONCLUSION: This image shows the symmetry between right and left visual field. The evaluation is intuitive driven by the continuous, colored and patterned style. The contrast shows the amount of difference. This image helps in dignostics.

Further information

With normal visual fields, both blind spots show as incongruent, striped areas

Only matching points are superimposed. In case of asymmetric patterns, e.g. Octopus G1, some points are omitted


Heteronymous Congruence

Heteronymous (mirrored) Congruence Analysis

Menu: Image > Heteronymous Congruence
Context menu: Heteronymous Congruence

This display shows the mirrored congruence between right and left visual field. The left visual field is mirrored and superimposed over the right field. At each point the difference RIGHT-LEFT field is calculated

Right image: difference value as number. Positive number = value (defect depth) better on the right eye

Left image: compound of 2 Color Defect Maps from the right and left eye. Dependent on the difference, various geometrical patterns are shown:

VERTICAL stripes: difference positive, values better on the right and worse on the left eye

HORIZONTAL stripes: difference negative, values worse on the right eye

UNIFORM areas: mimimal difference between right and left, defect depth in the same color shade class

Basis

Result

CONCLUSION: This image shows the mirror-image symmetry between right and left visual field. The evaluation is intuitive driven by the continuous, colored and patterned style. The contrast shows the amount of difference. This image helps in dignostics.

Further information

The resulting image is oriented like a RIGHT field, nasal is left and tempora right. The example shows a heteronymous defect of the upper temporal quadrant.

Both blind spots are exactly superimposed by the mirroring. With normal visual fields, they appear as a singular dark spot on the right side


Database structure

PeriData databases

File name

A PeriData database is one file with the extension .PHF It contains the original visual field results together with the patient name in "fixed format" and is very compact. The associated index file with the extension .PHD is automatically created and automatically regenerated in case of loss or damage. The sorting can be changed.

An unlimited number of PHF databases with any file name is possible. PeriData can open with several databases simultaneously. Examinations can be transferred from one database to another (with copy and paste).

In the LINK MODE, each patient gets his unique database file, that contains only his data. The EMR software defines the database path and file name with the call using the command line parameter /FILE. Usually, the EMR software generates the file name from the ID (z.B. 00012345.phf). Recommended path name: ../PeriDataFiles/

In the normal mode, the user creates new databases using the menu "File > New". The preliminary name is NONAME...phf. When the database is closed, the user defines the name and path. The path should be on a PC with a regular backup (server).

Open database at start

Several mechanisms can open a database when PeriData is started. There is a priority list, to assure that only ONE database opens:

1. Link Mode: The specified database (of one patient) will open .

2. App was started from the explorer with a double click on a PHF file: this file is opened.

3. App was started with a command (batch file) and the first parameter is a readable path: this PHF file is opened.

4. A file named "PeriwinStandardDatabase.txt" is located in the exchange folder: The first line is read. If it is a readable path, this PHF file is opened. The TXT file has to be created manually.

5. Option "Load last file" is set: The 1st database file in the "recent files" list will open.

Databases in the local network

The simultaneous access to the same database is allowed and an important feature of PeriData. Only the workstation that opens a database at first will obtain full read and write permission. This is a Windows rule ("first come first served"). The following workstations get the title text [readonly]. And the icon is crossed-out.

To prevent a blocking of data transmission, all workstations without perimeter connection, that do not import data, should be set to "Viewing Mode" (menu extras > options). Workstations running in Viewing Mode open databases always in readonly mode. The perimeter workstation gets full write permission.

If a database is open on several workstations, and the examination list has changed (e.g. new examinations received at the perimeter workstation), the other workstations get an update message. In the Link Mode, the message appears at once, otherwise when you click into the database window.

Copies of PHF files

It is strongly recommended to work only with the original files. The use of copies and the moving of files may cause errors and - in case of multiple access - data differences. In the normal mode, when one large database file is stored on the perimeter room workstation for speed reasons, this local directory is shared with the other workstations. Do not forget to copy the file once a day to a backup folder on the server.

Data structure

<...>.PHF: contains all data. Per examination 1280 byte (fixed format).

<...>.PHD: associated index file. Generated automatically. Per examination 57 byte. The index file is needed for a quick build-up of the examination list and a quick search function. It is located in the same folder. In case of loss, it is reconstructed automatically. In case of corrupted data, it can be reconstructed on demand (Menu Extra > REPAIR).

Deleted examinations are only marked in the PHD index file in a first step. In a second step (Menu Extra > CLEANUP), the examinations are deleted in the PHF data file and the file is packed. This function is offered automatically when the database is closed. Small databases are cleaned up immediately without asking.

Maximum size: 64,000 examinations = 82 MB (PHF file). For safety reasons, it is recommended to keep the file size much smaller. The best solution is the combination with an EMR (electronical medical record) system.

The data are upwards compatible since more than 30 years. The downwards compatibility is limited. Data can always be read, but it may occur that an examination that was stored with a newer version is displayed incorrectly with an older version.


Import of old data

Takeover of old data from a PERIMETER

The Takeover of old data from another EMR software see here

Handling without EMR Software (1 large database)

Configurate PeriData to be ready to receive data from the old Perimeter. The configuration for the new perimeter should be maintained simultaneously.

Create a new Database. Save the database with a meaningful name ("OLDDATA.PHF","OldHFA1.PHF"..) in a folder on thesame PC (network is too slow for this procedure).

Send the data from the perimeter with the typical method (->details). Send as much data as possible. The perimeter software may limit it. Some perimeters allow to send all data of the entire hard disk in one action. Other perimeters can only send the data of one patients, requiring repeated sending procedures.

If you start newly with Peridata, you declare the database to be your new office perimetric database (you may give it another name). In other cases, transfer the examinations into your existing office perimetric database (copy and paste, the number of the examinations in the clipboard is limited).

Note: Do not forget the data backup (copies).
The database size is limited to 64.000 examinations (PHF filesize=82 MB).
Large data amount may cause a data "congestion".

Handling with link to an EMR software

In case of a link to a medical record software, there is a special PeriData file for each patient. The import of old data is a little bit more complicated, but will provide you with a comfortable data access out of your medical record software. There are several options:

Option 1

This option is suitable if the perimeter (software) does NOT send all data in a single action AND the old perimeter will be available for a longer time.

Configurate PeriData to be ready to receive data from the old Perimeter. The configuration for the new perimeter should be maintained simultaneously.

Each time when a patient shows up for perimetry, the data are sent from the old perimeter.

Option 2

This option is suitable if the perimeter sends all data in one action OR the perimeter will NOT be available for a longer time.

Step 1 (Data transmission into a large file, needs to be done only once):

Open the PeriData app NOT from the EMR software, but directly from the desktop (PeriData-Icon) or the Windows start menu.

Create a new database and continue like"Handling without EMR Software" (see above)

After finishing the transmission, the data are permanently available in the OLDDATA.phf database. The old perimeter is not needed any more.

Step 2 (transport of data to a particular patient)

1. Each time when a patient shows up for perimetry, you start PeriData from the EMR system. The particular perimetric database of the active patient shows up. This may be empty.

2. Open the database file OLDDATA.PHF (Menu File > Open). Now there are 2 open database windows.

3. Search the current patient in OLDDATA using “Search patient„.

4. Mark all the examinations of the patient (CTRL + “T„)

5. Copy the examinations (CTRL + “C„ or Copy button) to the clipboard.

6. Switch the database: Click into the patient's database window (<Number>.PHF). This window is activated.

7. Paste the examinations from the clipboard (CTRL + V or button Paste).

Service hotline

If there are any questions:+49 - 22044 - 264770


Old Data from EMR system

Takeover of Old Data from an EMR System

When linked with an electronical medical record (EMR) software, each patient has a separate PHF file. The patient number of the EMR determines the name of the PHF file

Patient Number unchanged

If the EMR system has changed, but the patient number is unchanged, the PHF files are paired correctly and can be called out of the new EMR software without any conversion.

Change of Patient Number

If the patient number changed, the pairing of patient and PHF file is not correct. The data can be rescued, but must be reallocated. There are several options:

Option 1

If the numbers were changed after a rule, e.g. +2,000,000, a file rename program can rename the files.

Option 2

If any table with old and new number exists or both numbers are available in the new EMR system as a pair, the EMR provider is able to program a routine that performs the renaming.

Option 3

If an ordered renaming is impossible, the data can be rescued by merging them to a single large file. Note: The number of examinations is limited to 64,000.

Make at least 1 safety copy of all *.PHF files.

Write into the data directory a batch file (e.Bg. AddPeridata.bat ) containing the commands:
rem %~dp0 is the reference to the data directory
copy   /b   %~dp0\*.phf   %~dp0\OLDDATA.phf
pause

Start the batch file

Move OLDDATA.phf to another folder. Open the file with PeriData. OLDDATA.phd will be written. This may take some time. After that, all examinations should be shown in the database window.

After that, allocate the data to the patients, according to step 2 of option 2 of "Handling of old data from a perimeter " >> look here

WARNING: These actions are FOR EXPERIENCED USERS ONLY. Data backup prior to the actions is highly recommended.


Problem file access

Problems concerning file access

Problem description

Problem messages like “file... cannot be opened„ may indicate that the operating system denies the access of PeriData to an important file. This occurs, if the full access rights to specific directories are given only to specific users. These rights are managed by the administrator who set up the PC.

Problem solution

The administrator must give full access rights (Read + Write) to all users of PeriData for the following list of files or the whole directories:

C:\PeriDataExchange

C:\Windows\PeriData (only if linked to old perimeter programs like Medmont M700 or Peristat433)

Further directories with write access are not necessary any more since version 3.0

NOTE: The virtual store technology of Windows7 may displace this data into a user specific subdirectory, which may not be obvious under some circumstances. You can search these files with adminstrator rights.


Mark patient

Keys:  Ctrl + T

Keys:  Alt + Enter

Menu:  Functions > Mark patient

Context menu:  Mark patient

This command selects and marks all examinations of the currently marked patient. The examinations are highlighted by a red background. The next function (copy, delete, change data) will affect all examinations of this patient

If more than one examination is marked, the reference is the examination with a dashed frame.


Change data

Change data   (Database Window)

Keys:  Ctrl + E

Menu:  Functions > Change data

Context menu:  Change data

This function allows to edit patient data and examination data. Changes affects all red marked (selected) examinations.).

This function is available in the Database Window. The Database Window may be hidden behind the visual field windows. You can close these windows with ESC or press the button

Change Patient data

Name, Date of birth and ID can be changed. For multiple examinations, all selected examinations are modified

The preset in the fields ist taken from the bottom examination. In the Link Mode, patient data cannot be changed.

Change examination data

Limitations: Examination data can only be changed, if a single examination is selected. Only general examination data can be changed. The measurement results are not editable.

Comments: Remarks concerning this examination (e.g. bad glas centering, many interruptions) The field may be empty initially, if the instrument did not send specific data

Eye: If the eye was chosen wrongly during the examination, it can be corrected subsequently. Other consequences of this mix-up are not eliminated, e.g. erraneous values of fixation control because the blind spot was searched on the wrong side.

Exam date: If the system date of the perimeter was misaligned, this error can be corrected subsequently. The exam time cannot be changed.

Program code number: This number plays a role in the trend analysis, because it helps to determine the compatibility of different examinations. Sometimes it was not transmitted correctly and the trend analysis does not work well. In such a case please call our hotline before changing this number.

Visual acuity: Text field with 4 characters, input like "CF" is possible

Sphere, Cylinder: The glass used during the examination. Textfield with 5 characters, input like "CL" are possible. Numbers are not checked for plausibility

Axis: The input range is 0 to 360

Pupil: The input is 0 to 9.9mm

Confirm the changes

Changes have to be confirmed by a click on the button"Change". The ENTER key is not allowed for safety reasons.


FAQ

Frequently Asked Questions

Click here to get answers to frequently asked questions. The current web page will open.


Exit

Exit program

Keys: CTRL + F4
Menu: Database > Exit

This button closes the PeriData window and finishes the app

Active saving of the databases is not necessary. Saving always takes place immediately after each change (import of new examinations, deletion of examinations). Only new databases without a name (NONAME) will ask for a file name when the program ends.


Backup

Backup Routine

Backup in case of Full Integration with a Medical Record Software

If PeriData is fully integrated with a medical record software, the database files are on a server. In case of correct positioning of the database directory they are included in the daily backup routine.

Backup in case of Partial Integration, Network Solution and Standalone Configuration

If PeriData is only partially or not at all integrated into the medical record software, there is only one database. For speed reasons, this database is on the local PC, which is connected to the perimeter device. In this case, , an automatic copy routine must make a daily copy to a server. Thus, the data are included in the daily backup routine.

additional Import Backup (monthly backup)

Since March 2026, the PeriData program has a backup routine that stores all newly imported data additionally immediately into a backup database. Each month a new database is created. Concerning e.g. March 2026, the database files are named "PeridataBackup-Import-2026-03.phf" (and .phd). The monthly backup enables a restore of particular examination data even after years, if you know, in which month the examination was done.

The backup directory has to be defined in the Options > Tab Display + Backup. If this field is empty, there will be no backup. The directory should be positioned on the server.

The Import Backup is additional. It does not replace the required backup of the original database(s). They cannot be restored with the Import Backup-

Note: If older data from earlier examinations were transferred they are stored at the day of transmission, in the current monthly database.

Note: There is only a backup of data that are coming directly from the perimeter device. Data that came into the "proper" database by copy and paste are NOT saved additionally in the monthly database.


Mixed image types

Mixed images

This display may contain a mixture of image types. Please click on a singular image to get the help information.


Image Type

Perimetry knows a wide range of "Image Types": Grayscale, Defect value map, indices, cumulative curve, probability map.. . In every visual field window (Series, Single, Trend..) you can switch between the image types by means of

  • buttons
  • hotkeys
  • context menu (RIGHT mouse button)

The following list contains all image types. Whether an image type is enabled depends on the current window type and the examination data. Click on the image button for more information about that image type.

Button Hotkey Image Type Meaning
A General data general information about the examination like instrument, program, duration..
D Defect depth /
Total deviation 		numerical defect values = deviation from age-corrected normal values
C Color Defect Map (CDM) color scale display of interpolated defect values
+ Color Defect Map PLUS CDM plus a superposition of the total deviation values as numerals
M Cumulative Defect Curve cumulative defect curve (Bebié curve)
i Indices global indices (MD, PSD, LV..)
R Threshold / Raw data numerical values of the raw examination results
G Grayscale interpolated grayscale of the threshold values
P Probability map probability that a deviation from normal is NOT ACCIDENTAL
H Hill of vision (3-D) visual field as a 3-dimensional surface

TREND WINDOW
B Boxplot box plots on a proportional time axis
P Percentile Plot graph of the percentiles versus time
S SuperTrend Color Defect Map, change numbers and significance symbol
D Change of Defect Depth change of the defect values (total deviation values) in the trend analysis as numerals
i Indizes Trend trend of the global indices
X Intellitext explains the results of the trend analysis in simple words
G GATT GATT = Graphical Analysis of Topographical Trends
+ GATT plus GATT with superimposed change values
N NATT NATT = Numerical Analysis of Topographical Trends
F FD-Plot Index FD versus time

LEFT-RIGHT WINDOW
Binocular Analysis the best value of both eyes
Congruence Analysis (homonym) Symmetry and differences between both eyes
Congruence Analysis (heteronym) Symmetry and differences between both eyes after mirror-imaging


Trend Window Calculations

Calculations in the Trend Window

In the Trend Window, all representations are calculated from the base value total deviation (defect depth) to exclude any aging effects

The Trend Window offers 2 groups of image types: time diagrams which show the characteristic values of the visual fields on a time axis (Box Plot, Percentile Plot, FD Plot) and topographical images (SuperTrend, Change, GATT..) which show statistical results for each point.

Statistical calculation

The calculation examines the developement of the visual field over time. The calculation is performed separately for each particular point in the visual field and for each visual field index. The mathematical method is linear regression analysis and is a statistical standard.

Basis is an (invisible) plot of the values versus time. A line is calculated that is closest to all points. This is the regression line. The line is the most probable course of the value, because measurement error and other fluctuations are smoothed out.

The start point and end point of the regression line are the "statistical start value"and the "statistical end value" and are different from the real measured values. The difference between these two values is the change value. Some image types use the change value, other image types with double representation (GATT, NATT) use the start value and the end value.

The slope of the regression line can be given in units per year (mostly dB/year). The probability that the line is not accidental is called signifikance (of change) and also used in the trend images.

With 2 visual fields, trend images are possible, but without a significance statement which needs at least 3 values


Basic value types

The 3 basic value types for visual field representations

Perimetry knows a wide range of "image types": grayscale, defect map, indices, cumulativ curve... They are always based on 1 of 3 potential basic values. The basic value is decisive for the meaning of a visual field representation.

Inside the PeriData program, the basic value is given in the lower right corner . Representations on the basis of defect depth / total deviation are always in color, while representations with other basic values are shown black on white

Threshold values

Threshold values are the untreated measured values of the examination (raw data). The importance is more traditional: In the 1970 decade, threshold values were the only representation option for the young computer perimetry

Threshold values depend on many factors:

  • Position of the measured point (normal value is lower in the periphery than in the center, nasal lower than temporal)
  • Age of patient
  • Instrument type
  • Stimulus size
  • Background luminance and other parameters
  • Strategy (measurement algorithm)
  • Damage
  • individual variation
  • Measurement error

CONCLUSION: Visual field representations on the basis of threshold values are subject to various influencing factors and are not suitable for the safe evaluation of visual field damage.

Defect depth / total deviation

Defect depth values are the deviation of the measured values from the age-corrected normal value for the instrument type at the specific measurement point. In case of double measurement, the average measured value is taken. The formula is:

  measured value – normal value

Therefore, defect depth values are already corrected for measurement position, age, instrument, parameter and strategy. The values only depend on:

  • Damage
  • individual variation  (usually less than 1 db shift)
  • Measurement error

CONCLUSION: Visual field representations on the basis of defect depth (total deviation) are well suitable for the safe evaluation of visual field damage and the visual field change over time.

Pattern deviation

Pattern deviation is derived from total deviation (defect depth) by shifting all values with a shift value. The formula is:

  total deviation (defect depth) - shift value

The shift value is calculated in a way to get the better values in the field being around zero damage pattern is better visible by the shifting, because the diffuse damage is removed from total damage.

NOTE: Pattern deviation values are mostly lower than total deviation values. It is possible to underestimate the defect depth and the damage
NOTE: When you compare visual fields in a follow-up: the shift value is different for each examination. Pattern deviation values may differ even when the actual defect depth is equal - and vice versa. Therefore, the PeriData Trend Analysis does not use pattern deviation values.
NOTE: There is no generally recognised calculation method. Therefore, different instrument types use different calculation methods. PeriData uses the percentile 15 as standard reference value for all devices, i.e. the corrected deviation of percentile 15 is 0dB.

CONCLUSION: Visual field representations on the basis of PATTERN deviation values show only a part of the damage. These representations are only suitable for the recognition of the damage pattern


Interface Status

Active Perimeter Interfaces  (Main toolbar)

These status buttons indicate, which of the import interfaces (COM port or FILE port) are activated for data reception from a perimeter: gray=inactive, colored=active

By a click on an active interface an information dialog pops up giving the device type which is configurated in the options (menu Extra) for this interface. In this dialog you can also get Help concerning the sending procedure at the perimeter. Furthermore, you can simulate a data transmission.

Note: Whether a cable is plugged into the correct COM interface, or the device program sends the data to the correct directory or the type of the instrument is correct, cannot be read from this indicator.


Symbols / Numbers

Symbols for numbers

In the numerical representation of total deviation (defect depth) it is common to replace some numbers by symbols. This replacement can be switched off.

Symbol for an absolut defect (brightest stimulus not seen)

Symbol for a value betweent +4 dB and -4 dB ("normal range")

This button toggles between symbol display (button prominent and colored) and display of the numerical values (button pressed and gray)


Copy

Copy examinations   (Database Window)

Keys:  Ctrl + C

Menu:  Functions > Copy

Context menu:  Copy

This command copies all red marked examinations from the active database window into the clipboard

This function is available in the Database Window. The Database Window may be hidden behind the visual field windows. You can close these windows with ESC or press the button

Note: The number of examinations may be limited by the memory size of the clipboard. Usually, the space will allow for 1000 to 3000 examinations.


Delete

Delete examinations   (Database Window)

Keys:  Ctrl + X

Menu:  Functions > Delete

Context menu:  Delete

The command "Delete" removes all red marked examinations from the active database window.

This function is available in the Database Window. The Database Window may be hidden behind the visual field windows. You can close these windows with ESC or press the button

Note: The examinations are temporarily available in the clipboard. They can be added into another database with "Paste"

Note: In larger databases, the examinations are not at once physically removed, to avoid waiting time during resort. When the database is closed, they are removed finally by the function "Cleanup". Up to then, they can be revived by "Repair" (menu Extra)


Paste

Paste (add) examinations   (Database Window)

Keys:  Ctrl + V

Menu:  Functions > Paste

Context menu:  Paste

This command adds (pastes) the contents of the clipboard to the active database window.

This function is available in the Database Window. The Database Window may be hidden behind the visual field windows. You can close these windows with ESC or press the button

Note: The data of the clipboard must be "PeriData examinations" which were moved into the clipboard by a copy or a delete command. If the clipboard contains other data type (e.g. copied text) nothing is added.


Cleanup

Cleanup the database

This command physically removes all records (examinations) from the perimetric file that are inactive. This command reduces the size of the PHF file.

Inactive records occur in larger databases, where deleted records vanish from the examination list, but are not removed from the PHF file to avoid a time-consuming resort procedure. Inactive records also occur when data (name, birthdate..) of an examination are changed. In this case, the old record is kept as a copy.

After a cleanup, the revival of inactive records by the command "Repair" is not possible any more.


Double records

Remove double examinations (records) from the database

It is possible that examinations are stored twice or multiple. The command "Remove double records" in the Extra menu searches automatically for double examinations and shows them. Now they can be deleted.

NOTE: In the Link Mode there is the option "Don't insert duplicates" preventing double examinations a priori: see menu Options


Repair

Repair the database

Repair is recommended if a database seems to be corrupted (examinations missing or looking strange). This command rebuilds the examination list of the database. The list file (.PHD) is renewed. All physical existing data of the PHF file are listed. Errors of the list file are corrected.

NOTE: In larger databases, formerly deleted examinations may also reappear in the list. Deleted examinations are kept as inactive records in the file until a database cleanup is performed. Also the old record of changed records which are kept as an inactive copy may be reactivated.

If you only want to change the sort key, use the Sort by .. command.


about PeriData..

This command opens a window with information about this program:

version number
company
copyright
expiration date of this version


Context Help

Context Help for Buttons and Menu items

Hotkey: Shift + F1

Use the Context Help command to obtain help on a button or a menu item. When you have activated the Context Help, the mouse pointer will change to an arrow with question mark. Then click on a button or a menu item.
On other objects, use the F1 key


Mark all

Mark all examinations

Keys:  Ctrl + A

Menu:  Functions > Mark all patients

Context menu:  Mark all patients

This command selects and marks all examinations in the entire database. The examinations are highlighted by a red background. The next function (copy, delete, change data) will affect the examinations of all patients


Series Window vert/horiz

Series Window vertical / horizontal

Menu: Window > Vertical Series Window

(standard orientation) This command positions the Series Window in the left part. The time axis is vertical from top to bottom The other windows fill the rest.

Menu: Window > Horizontal Series Window

This command positions the Series Window in the upper part. The time axis is horizontal from the left to the right. This may be helpful with long series and wide screens. The other windows fill the rest.

The positioning is temporary. The window arrangement on every start is defined in the options: Menu Extra > Options > Tab Display


Close all windows

Command "Close all"

This command closes all open windows (databases and visual fields)


Data import

Copy and paste

PeriData is able to move or copy data from one database to another

Step by step

1. Open the TARGET database.

2. Open the SOURCE database (2 database windows are open)

3. Mark examinations in the SOURCE database (use options in the context menu)

4. Copy examinations to the clipboard (Ctrl + C or context menu > Copy)

5. Activate the TARGET PeriData database with a click into the database window

6. Insert (Paste) the examinations (Ctrl + V or context menu > Paste)

7. If the examinations should be moved, they can now be deleted in the SOURCE database

A special case for copy and paste are the PeriTrend databases (*.pvd)


Plausibility

Date not plausible

PeriData makes a plausibility check to detect damaged or incomplete examination data. If suspicious data are found, then the >>>>> patient name >>>>> will show up with angle brackets in the examination list. Missing values wil be shown with ??? question marks.

There are several plausibility rules:

  • The date of examination is not prior to 01-Jan-1970
  • The date of birth is not prior to 01-Jan-1870
  • The age of the patient at examination day is more than 3 years and less than 104 years
  • A date is never in the future

Correcting a wrong date

These are the steps to correct a date: Mark the exam >> RIGHT mouse click >> context menu >> Change data. This function is NOT available in ViewingMode / readonly.

Sometimes it is neccessary to delete the complete examination and send it again from the perimeter. How to delete: Mark the exam >> RIGHT mouse click >> context menu >> Delete

Month and day mixed up

Some older instruments bear the possibility to swap month and day when data arrives by cable. PeriData shows a message. The examinations are stored anyway to rescue the data. Month values over 12 are replaced by ??? In such cases, the settings have to be changed. Our hotline will help you.


Search

Search in the Database   (Database Window)

Shortcut: CTRL + F

Menu: Functions > Find

Button Find (main toolbar)

Button FIND (Database Window)

Context menu: Find (Database Window)

This function is available in the Database Window or the main toolbar. When the function is called, the Search window appears. Type the search text into the field. Start searching with the ENTER key or the button FIND.

FIND searches for the first match from the top of the list. The search window is closed the window. If there is no match, the search window stays open, and the search text can be changed.

FIND NEXT searches for the next match behind the current cursor position (red bar). At the end of the database the search jumps back to the beginning. The window stays open.

The key F3 starts "Find next". This works also if the search window is closed

Search text

The search item depends on the current sort key of the database:

Name: Capitals are ignored. Special characters and spaces are ignored. The search will start at the beginning of the name. First names cannot be searched separately.
Example: "fo,al" does not find "FORD,ALBERT", "fordal" finds "FORD,ALBERT".

Birthday / Test Date: The date has to be given completely (day, month, year). Points and other special characters are ignored. Example: "24051999" finds "24-05-1999"

Instrument: The current order is examination type (device + examination program). Type the instrument type in the abbreviation used by PeriData (e.g. Octo600).


Options - General

Menu Extra > Options > Tab General

Viewing Mode: ON (default): The data can be viewed without limitation, but the data cannot be stored, deleted or changed. -- OFF: Full access to the database. More information.

Option "Load last file": ON (default): If PeriData ist started normally, and NO database is opened, then the last file will open automatically. In the LinkMode with an EMR system, this option has no effect.

Patient name check : ON (default): New data are checked when imported. If in standard mode the patient name is missing, a dialog box will allow you to type in the name. In Link Mode the transmitted patient name is compared with the name from the EMR system. If the names do not match, you are asked to confirm the identity of the patient. "Yes"=data are stored with the name from the EMR system. "No"=data data are stored to the "lost-and-found" database (Reserve.phf) -- OFF: No check

Name in Capitals: OFF (default): The name is stored as received from the perimeter or the EMR software. -- ON: The name is stored in capitals.

Don't insert duplicates: ON (default): avoids the storage of examinations which are already in the database -- OFF: double tests are stored.

Show L/R at Start: OFF (default): When visual fields are opened, the Series Window opens with the Single Window (last VF) -- ON: The Left-Right-Window opens with the Series

Two normal colors: OFF (default): The normal range in the Color Defect Map is evenly green -- ON: The upper normal range (0 to +4dB) is light green, the lower normal range (0 to -4dB) is dark green

Show data import at once: ON (default): When a new examination is received and imported, the PeriData window is moved to the top of all windows and redlines the new exam in the list of the database window. -- OFF You have to switch to the PeriData task to see the new exam in the list

Change Umlaut : If the name of the patient has strange characters in the ONEPAT Link Mode, you should change this option and start PeriData again out of the EMR system. These are the options: -- OFF (default): The characters of the commandline are not changed. -- ON: The characters of the commandline are changed to another codepage (conversion is CP-1252 >> CP-850)

Show VF at start(only in the Link mode): ON (default): When started from the EMR software, the visual fields open immediately in front of the database window. -- OFF: The database window opens. Visual fields are opened with ENTER.

Additional info lines (only in the Link mode): OFF (default): The info message file for the EMR system contains ONE line with general examination da -- ON: The message file contains THREE linkes (additional: reliability scores and visual field indices). -- Note: The visibility of these lines in the patient file depend on the EMR system.

Language: The program language

Date format: Format of the dates shown in the program. This setting does not change the storing of these dates.

My Institution/Address on the Print Header: You can define up to 4 text lines that appear in the Print Header of your hardcopies

all Options


Options - Perimeter

Menu Extra > Options > Tab Perimeter

This tabulator page defines the data connection with the perimeter device. The import is passive meaning Peridata is waiting for examination data. The device must actively send the data

Do this configuration only at the perimeter workstation. Only there the data are imported and stored into the database. All other workstations read the stored visual fields from the PeriData database and do not need any connection to the perimeters. Multiple connections to the same perimeter cause trouble

Beside the IMPORT interface, there is an EXPORT interface to send patient identity data (name etc.) to the perimeter.

Validity: The settings on this tab are valid for all users on this PC. Exception: If the option "each USER has his own Perimeter settings" is activated, the configuration is valid only for the current user and stored in the Windows User Registry. This option is mandatory on a Terminal Server and enables to configurate workstations with and without perimeter connection (special user names at the perimeter workstation !).

IMPORT Interface

COM1 .. COM4 (serial cable)

Select the COM number where the cable is plugged in. Select the device type. The following perimeters are connected by CABLE:

  • Humphrey Field Analyzer 1
  • Humphrey Field Analyzer 2
  • Octopus 1-2-3
  • Octopus 300/311
  • Octopus 500

Parameter (cable transmission)

Serial parameters. The configuration overrides the setting of the PC-device manager / the USB serial adapter. In the perimeter, the settings have to be done in accordance.

DATE FORMAT (HFA1/HFA2): Format of the date string from the perimeter. Wrong setting will distort month and day.
END OF FILE Check (HFA1/HFA2): ON (default): The data transmission is finished when the character "END OF FILE" was received. OFF: The transmission finishes after a timeout.

FILE (Import from a data FILE)

Select the device type. The second FILE interface is only needed if several different permeter types are connected to this PC. The following perimeter types are using a FILE transfer:

  • Frey AP 600
  • HEP (Heidelberg Edge Perimeter)
  • HFA 3 (Humphrey Field Analyzer, Zeiss)
  • Medmont 700
  • Octopus 600 / 900
  • Oculus Twinfield, Centerfield
  • Oculus Easyfield, Smartfield
  • Optopol PTS920, PTS925, PTS2000
  • Peristat 433
  • Peristat2, Perimat2
  • Tomey AP-3500/AP-4000

For several perimeters with the same data format, only one FILE box has to be defined. The FILE interface is also used for cable perimeters, if another process receives the cable data and stores them in a raw data file (e.g. in case of terminal-server architecture) Ask for our advice

Use this special IMPORT directory

OFF (default): The data import uses the standard directory C:\PeriDataExchange

ON: The data import uses a special directory, which is typed into the field below. UNC-path is possible. Maximum 39 characters. This option should only be used if there is no alternative. Ask for our advice

What is the IMPORT directory? Data reception consists of 2 steps: During the 1st step (RECEPTION STEP), the data are received at the COM interface and stored as a "Raw Data File" into the IMPORT directory. Concerning FILE interfaces, the external perimeter program writes the Raw Data Fileinto this directory. During the 2nd step (IMPORT STEP), the Raw Data File is read, converted and imported into the PeriData database. There are 2 reasons to change the IMPORT directory: 1. Terminal server architecture. 2.The perimeter control program cannot write into the standard directory.

Each USER has his own Perimeter settings on this computer

OFF (default): The same perimeter settings are valid for ALL USERS on this computer.

ON: The perimeter settings are valid ONLY FOR THIS USER. This is mandatory in case of a Terminal Server architecture. User means work station ("terminal"). Only the workstation beneath the perimeter is configurated for data import. The other workstations will have no perimeter activated on this tab.

Note: This item can only be changed with administrator privileges. The batch file "C:\PeriDataExchange\Create_PeriWin_Opt_Are_User_Specific.bat" will create a file called "PeriWin_Opt_Are_User_Specific.txt". If this file is existing, the item is ALWAYS ON. Accidentally changes are excluded, even with admin privileges.

RECEIVER MODE (only for cable transmission and terminal-server-clients)

OFF (default): PeriData imports all received data

ON: PeriData writes the raw data file into the import directory. The second IMPORT STEP step is blocked. Databases cannot be opened.

The IMPORT STEP is performed by another PeriData program at another platform (e.g. a terminal server window). In this instance, a FILE interface is activated with the same perimeter type and the same IMPORT dirctory.
The program window shows the information text "Receiver mode" and minimizes automatically after being started. When closed, there is an additional warning.

EXPORT Interface

PeriData is able to send data into the opposite direction. This means that the current patient data (name, first name, date of birth, ID) are exported to the perimeter program. This saves the effort of typing in all the patient data at the perimeter. The perimeter program is started if necessary.

Export target

The following perimeter types are able to receive patient data (click on the link for more info):

  • Octopus 600 / 900
  • Oculus Twinfield, Centerfield
  • Oculus Easyfield, Smartfield
  • Optopol PTS2000, PTS920, PTS925

send ID

When PeriData sends the patient data, some perimeters match the patient by the ID, some by the patient name and some can be configurated. Usually, the "send ID" option is ON. Please check the specific help texts.

Store configuration

ACCEPT: Accepts the settings and tests the COM port. This make take up to 10 seconds

OK: Like 'Accept', and closes the dialog window.

all Options


Options - Display

Options - Display + Backup

Menu Extra > Options > Tab Display

On this tab you select your preferred settings for the display windows. These settings are valid for the current user (windows login).

Favorite Image

The image type that is shown first after opening a database. These options are set in the window using the "Favorite" button.

Series Window

The position and orientation of the Series Window. This setting is permanent. The buttons on the toolbar can change the orientation temporarily.

Vertical orientation: The Series Window is on theleft. The time axis runs from top to bottom The other windows fill in on the right.

Horizontal orientation: The Series Window is at the top. The time axis runs from left to right The other windows fill in. This can be clearer for long series and wide monitors. The other windows are fitted below.

Trend

Exclusion: Handling of examinations that were excluded in the last analysis of the Trend Window

Save the last exclusion pattern: ON: The pattern is stored permanently. Next time when a Trend Analysis is performed, the same examinations are excluded.
OFF: no storage

Confirm dialog before saving: ON: A confirmation dialog will appear.
OFF: no dialog.

NOTE: If examination data are copied into another PeriData database, the exclusion information will be lost.

No warning in case of different perimeter groups The manufacturers of perimeters have produced different types over the years. The instruments of the same manufacturer belong to a PERIMETER GROUP. Within the perimeter group, the results are well comparable. The comparison with examinations performed on instruments from another perimeter group (other manufacturer) has a lower power. Therefore, PeriData shows a warning message. In addition, the following red info text will always be displayed in the Trend Selection Window: ! Perimeter-MIX !   On the printout there is the notification in the IntelliText
OFF (standard): The warning message is shown with every trend analysis.
ON: The warning message is not shown. The red info text is visible.

Display Styles

Defect Value Sign (+): OFF (default): Defects are negative -- ON: Defects are positive, supranormal values are negative (Octopus like). This affects also the sign of the index MD

Octopus style indices: OFF (default): Standard indices are using PSD/CPSD. Measured points within normal range appear as o (little circle) -- ON: Indices are LV/CLV. Normal points are displayed as + (little cross)

Backup Directory

Type the path of the backup directory (take care, the path is not automatically checked)

all Options


Zoom / Scale

The scale degree is shown at the outer ring of the visual field. The scale can be changed with hotkeys and buttons.

If the current scale does not display all measured points, the degree number turns red and shows the required zoom direction with angle brackets.

Zoom buttons: The scale is changed in steps of 5 degrees

Keys CTRL and + (plus): Enlarge (zoom in) in steps of 5 degrees. Only the plus key in the number pad works

Keys CTRL and - (minus): Downsize (zoom out) in steps of 5 degrees

Key 1: The scale is changed to 10°

Key 3: The scale is changed to 30°

Key 6: The scale is changed to 60°

Key 9: The scale is changed to 90°

Key Z (or Menu: View > Zoom): The Zoom dialog appears. The input field allows a change in steps of 1 degree. Best fit is the scale that shows all test points.


Display styles

Normal values

Normal values means the average sensitivity values in normal persons. These values have to be assessed separately for each instrument and each measurement method (stimulus size, stimulus duration, strategy). PeriData contains the normal values of all frequent examination methods. Partly original data of the instrument manufacturers are used, partly own data is used. Depending on the software version of the instrument and of PeriData, small differences are possible, but they do not change the general representation of a visual field.

The normal values are different for each point of the visual field. Usually, they decrease towards periphery, with a steeper slope at the nasal side. Furthermore, they are different for each stage of age. Also the slopes change with the age. PeriData stores a complete set of normal values for all points and each age group. Between the age groups and the points, interpolation is used.

Note: Normal values are used for calculations only. There is no display of normal values.

Note: If normal values are missing in certain areas or normal values are outside the measurement range (<0), the afflicted measured points are not shown in norm-related displays and not included in norm-related calculations (indices).

Acknowledgement: The normal values for stimulus size 5 at the Humphrey Perimeter were gratefully provided by Michael Wall, M.D., University of Iowa City, supported by a VA Merit Review.


No Help

No help available

There is no direct help available for the selected topic. You may search in the Index (on the left) for a matching word. Or you look on the overview page


Visual Field Windows

Visual Field Window Types

When PeriData is started out of a medical record software ("LinkMode"), you will see the visual field windows immediately. With standard mode, you have to select a patient in the database

PeriData offers 4 window types for the display of visual fields:

  • Series window (left side, always open)
  • Single window (on the right)
  • Left-Right window (on the right)
  • Trend window (on the right)

The Series window on the left side is always open. It shows all visual fields of the patient. A movable red frame selects the reference field for the window on the right side.

You can switch between the 3 window types on the right side, but only 1 window is open and active at a time. There are 3 switch buttons in the main tool bar:

Single window activated

Initially the Single window is activated. It shows on single visual field in various representations (image types) that can be switched in the toolbar of the window. A move of the red frame in the Series window changes the selected visual field.   more information about the Single window

Left-Right window activated

The Left-Right window shows a left and a right visual field in various representations (image types) that can be switched in the toolbar of the window. A move of the red frame in the Series window changes the selected visual fields.   more information about the Left-Right window

Trend window activated

The Trend window shows a series of visual fields in various representations (image types) that can be switched in the toolbar of the window. Unreliable examinations can be excluded from the display and calculation (yellow cross).   more information about the Trend window


File Close

Close a database

Ctrl + W
Menu: Database > Close

This command closes the active database window. The visual field windows (Series, Single..) are also closed. The program window remains open. These methods work: menu, a key combination or a click on the corner.

The database does not need to be actively saved. Every change (new examinations, deleted examinations) is saved immediately.


New Database

New Database File

Ctrl + N
Menu: Database > New

This command creates a new PeriData Database. The database file has the preliminary name NONAME... The database is ready to receive data from a perimeter or import data from other PeriData databases with copy and paste.

When closing the database window, you will be asked for a proper name for your database and the folder where it should be stored. This definition can be performed earlier using the command Save As

When saving, the file extension PHF is appended, which marks all PeriData Databases. Note: Beneath "Test.PHF" you will find another file "Test.PHD" in the same folder. It serves for quick sorting and is created automatically.

More informationen about PeriData Databases


Open a file

Open a database

CTRL + O
Menu: Database > Open

This command opens an existing perimetric database file. You can open multiple perimetric files simulteneously. Each appears in its own database window.

You can create new perimetric files with the NEW command.

The dialog window "Open"

Search in:

This is the chosen directory. The button "arrow down" opens the selection.

List box

This box lists the files in the chosen directory. The display can be changed (symbols, detailed list..).

File name

After typing in the first characters a list with hits is shown. With the arrow keys you can select a file.

File type

Select the file type: PeriData Database (.PHF) or (very special) PeriTrend Database (.PVD)

Open button

The Open button as well as the ENTER key open the file.


Open last file

Reopen the last database file

Menu: Database  >  1 "file name" ... 2 "file name" ..

PeriData saves up to 9 file names of databases that were recently open. In the File menu they are listed and can be reopened.

The green button opens number 1 on the list.

Note: If no LinkMode is used (no software integration) then you can choose in the options to open the last database automatically on startup.


Save as

Save the Database as.. / export the database

Menu: Database > Save As / Export

This function stores the active database with a new name. The dialog window "Save as" appears where name and directory can be chosen. The former file with its old name remains in the storage of the computer.

Note: Usually a save command is not necessary because the open perimetric file is automatically stored after each change !

Export

This function is also suitable to export data and give it to the patient or other offices and clinics. Export format is the PeriData Database Format.

If no LinkMode is used, the database contains many patients. The export a single patient is more complicated:
1. Create a NEW database (TARGET)
2. MARK (Ctrl+T) the patient in the SOURCE database and COPY
3. transfer the data with PASTE to the TARGET database and
4. save the TARGET database with a new name


Text file export

Data export to a text file

Menu: Database > Export to text file

This command stores the examination of the database list to a text file. The file contains the key data and the global visual field indices. Point data are not enclosed.

The file is a CSV file and looks like this:

 NAME ; BORN(ISO) ; DATE(ISO) ; TIME(HH:MM) ; EYE ; EXAM ; N ; MD ; PSD ; MALFIX ; FPOS ; FNEG ;

 GORDON, FLASH ; 1935-04-21 ; 2010-02-15 ; 09:25 ; LE ; LA:HFA1 30-2 CENTRAL FAST THRESHOLD; 69 ; -11.5 ; 13.6 ; 9.9 ; 5 ; 0 ; 25 ;

 RIPPER, JACK ; 1939-12-16 ; 2012-07-18 ; 15:13 ; RE ; RA:HFA1 CENTRAL 80 Point, 0 ; -9999.0 ; -9999.0 ; 0 ; 0 ; 50 ; 0;

 FORD, ALBERT ; 1960-12-31 ; 2007-03-05 ; 10:15 ; RE ; RA:Octo900 G1 (1,2,3) Dynamic ; 59 ; -18.2 ; 8.9 ; 1 ; 0 ; 11 ;

Each examination fills a line. Columns are separated by semicolon. Missing indices values are -9999. The reliability scores are calculated as a percentage.


Blinking Button "Data waiting"

This blinking button indicates that new examination data have arrived and are waiting for import, but the import is not possible because no database is open >> open an existing or new database file

Notes

Data can also be waiting if a database is open, but this database is in readonly mode. This is indicated by the symbol and text in the window title of the database:

     [readonly]

Mostly, the file has been opened with "full control" at another workstation >> Close the database at the other workstation. Close the database here and open it again.

Other causes for readonly mode: The PeriData option "Viewing Mode" is active >> change the setting in the options
The file property "Read-only" is active (like the EXAMPLE.phf database) >> check with the file explorer and change
Seldomly, there are errors in the Window file system. In this case, the file will be released after a restart of the database server.


Quality Indicator

Quality Indicator and Quality Numbers (Catch Trial Results)

A graphical "Quality Indicator" or, alternatively, quality numbers appear in the lower right corner of the visual field display.

This button toggles between the display of the Quality Indicator (button prominent and colored) and the Quality Numbers (button pressed and grayed). Use the key "Q" for a quick switch.

Quality Numbers

fpos: False positive answers. Overreaction of the patient.

malfix: Malfixation Index. Bad fixation of the patient.

fneg: False negative answers. Underreaction of the patient.

The numbers turn red if the reliability limit was exceeded.
If the image is very small, the numbers become unreadable and, therefore, are not shown.

Quality Indicator

False positive answers. The arrow points upwards. The length of the arrow is proportional to the percentage. The circle represents the limit of reliability. If the arrow exceeds the limit, it will change from white to red color and the circle gets a yellow filling.

Malfixation Index. This index is represented by 2 horizontal arrows, which point symmetrically to the left and the right. Length and color behave like the false positive arrow.

False negative answers. The arrow points downwards. Length and color behave like the false positive arrow.

Complete Quality indicator. All the 3 Quality values can be read. If the arrows are very short (no example), the arrowhead is not painted.

Not examined for false-positive behaviour. The dotted white line indicates that false-positve trial questions were not given.

Not examined for malfixation and false-positive behaviour. The dotted lines indicate that the fixation check was turned off, as well as the false-positive check was also turned off.

Learning effect (only Trend Window): The learning effect analysis function detects, whether a series of at least 6 examinations shows a learning effect. If yes, the examinations in the learning phase (examination no. 1 or 1 + 2) are indicated by a read margin around the quality indicator circle. The circle gets a yellow filling. The 3 quality indices in the example were normal.


commands

Status Bar command (View menu)

Use this command to show or hide the Status Bar. This is a text line at the bottom of the app window. When you hover over a menu item or a button, this line shows detailed information about the function of this item. They are more detailed then the short text in the bubble (prompt) beneath the mouse arrow.

There is no status text for the buttons in the visual field windows


commands

Toolbar command (View menu)

Use this command to show or hide the main toolbar (topmost toolbar). The toolbars in the visual field windows cannot be switched off.


Error

PeriData internal program error

This error box will appear if an internal error has occurred. This is not an error due to wrong user handling. Please follow these steps:

1. Check the version number of PeriData (in the title of the message) and write it down on paper.

2. Check the content of the window and write the text fields down on paper.

3. Click ‘Continue‚. You may can continue to work. Maybe not all displays will appear correctly ! However, it is highly recommended to restart PeriData !

4. Please send us a fax or an email with the information you have written down on paper, so that we can improve the quality of our software. We will send you as soon as possible an improved version of Peridata.

Thank you for your assistance.


Store examination

Dialog window "Store examination"

If the perimeter has sent new examination data, then they are usually stored without question to the active database. Only if several databases are simultaneously open, the dialog window "Store examination" appears, where you select the target database.


Link Mode - Behavior

How PeriData behaves during Link Mode

Start behavior (when started out of the EMR software)

Normal run: The PeriData program window opens, shows the patient's database window with ALL examinations of the particular patient and opens the SERIES window on the left side. The red selection fram is positioned on the last examination. When ENTER is pressed, the SINGLE window of this examination opens

Details and possible disturbances:

The PeriData program windows opens at once. -- If the call from the EMR software program is incomplete or wrong, PeriData is closed with a detailed error message.

PeriData opens the perimetric database of this particular patient and shows the database window. -- If the database file is missing (no examinations stored for this patient), the file is created automatically. The database is empty. If the database is neither found nor can be created, PeriData will close with a detailed error message. A possible reason may be a missing drive link to the server.

Name and date of birth are taken from the EMR software. -- If there are minor differences in the stored data, they are corrected automatically. If there are larger differences (e.g. change of name by marriage), the program asks for permission, thus checking for any error in the patient alignment (based on the number in the EMR software).

The SERIES window is opened automatically. The cursor (red frame) is on the last examination. The SINGLE window opens automatically.-- They do not open if the database is empty or a name mismatch was not resolved.

Behavior during data import

New examination data (received via cable or file) is always imported into the database of the active patient, even if additional databases are open.

If the patient's database was closed by accident, it will reopen automatically when new data is received.

The patient's name is corrected during import. If the option 'Check patient name' (Extra menu / Options / Tab General is enabled, permission is requested if there are major differences. If the answer is no, the data are stored to the Reserve Database.

The date of birth is always taken from the EMR software.

If the option 'Don't insert double tests' (Menu Extras / Options / Tab General) is enabled, identical tests are not inserted. A beep can be heard. Note: Existing double tests are not deleted. Use the function 'Delete double tests' (Extras menu) to remove them from the database.

For each received examination a message file is sent to the EMR software. Examinations that are taken over from another PeriData database (e.g. OldData, Reserve) via copy and paste will also trigger a message file.

Advantages of full integration:

1. Higher speed, because data file is small

2. Names are automatically compared and corrected.

3. Date of birth is automatically set.

4. A change by marriage is possible, because linked by the number (security dialog in such a case).

5. Automatic info line inside your medical record if supported by EMR software.

6. No patient search, no show button, the patient´s examinations are shown at once.

7. Higher safety: large files are much more vulnerable to FAT failure.

Disadvantage:

You have to copy old exams to the the matching patients. This has to be done only once, when the patient shows up the first time after starting your PeriData project. It takes less than 30 seconds. See handling of old data.


ONEPAT Link Mode Specs

PeriData LINK MODE: The interface to the Electronical Medical Record

Last update: PeriData Version 3.7.1.0 (Jan.2023)

Change history

Change after 08-Nov-2022: The parameters /ANSI:C and /ANSI:F were deactivated and replaced by the parameter /CHANGEPAGE

This document contains all details of the ONEPAT interface. A quick introduction you will find here:  Quick guide to the ONEPAT Link Mode

1. General remarks

If PeriData receives the commandline parameter /MODE:ONEPAT, it will work as a server for a client (the EMR program). In the "Link Mode", 1 patient is defined and a separate database will be used for this one patient. All newly imported data are directed to this database.  Behaviour during Link Mode

.

Data flow: PeriData gets patient information from the client. In the other direction, PeriData sends examination information to the client. Data exchange is handled with the parameters of the command line and with files. The specification is proprietory for PeriData.

2. Command line and Call

The parameters are mandatory. Between parameter name and value there must be a double point, but no space. If the value contains a space, it needs to be in "quotation marks". The order of parameters on the command line is ignored. Parameters are not case sensitive. The number of characters is limited to 255 (including whitespaces).

If the commandline codepage of the operating system (OEMCP) is 850 or 437, but the calling batch file was written with CP-1252, PeriData has to convert the commandline text. Use the parameter /CHANGEPAGE or switch the flag "Change Umlaut" in the PeriData options to ON. Otherwise, special characters in the patient name will have strange appearance.

Command line parameter Meaning
/MODE: ONEPAT Mode=ONEPAT
/CLIENT: < Clientname > Clientname = Name of patient record program
/NAME: < Last Name > Last name (family name) of patient
/FIRSTNAME: < First Name > First name of patient (including titles)
/BORN: < Date of birth > Date of birth = ISO format: YYYYMMDD without dots
/FILE: < Filename > Filename = Filename with path of the PeriData database (PHF-file) of this patient
/READONLY Optional, puts the program to ViewingMode (all files are opened read-only)
/CHANGEPAGE Optional, convert the commandline codepage
/ANSI:F This option has been terminated with Version 3.7.0.8
/ANSI:C This option has been terminated with Version 3.7.0.8

Parameter /MODE

ONEPAT = PeriData starts in the ONEPAT LINK MODE

Parameter /CLIENT

The name of the client, meaning the name of the EMR software. This name appears in the PeriData program window in brackets.

Parameter /NAME

Last name of the patient. If the argument is given in quotation marks, spaces are possible. Otherwise, the name will be read incompletely. Underscores will be replaced by spaces after after the command line was analyzed. - Titles should be added to the first name or ignored, all other name extensions should be left with the last name.

Example (Monsignore Mario Di Caprio):
  /NAME:"Di Caprio" -- read: Di Caprio
  /NAME:Di Caprio -- read: Di
  /NAME:Di_Caprio -- read: Di Caprio

Parameter /FIRSTNAME

First name of the patient. Same rules for spaces like the last name. - Titles belong to the first name.

Example (Monsignore Mario Di Caprio):
  /FIRSTNAME:"Monsignore Mario" -- read: Monsignore Mario
  /FIRSTNAME:Monsignore Mario -- read: Monsignore
  /FIRSTNAME:Monsignore_Mario -- read: Monsignore Mario

NOTE: PeriData composes the entire name with a comma like "Di Caprio, Monsignore Mario". Due to technical reasons (database legacy), the entire name is truncated to 23 characters. For the example, this would mean "Di Caprio, Monsignore". Without the title, the name would be complete.

Parameter /BORN

Date of birth using the ISO format without dots: YYYYMMDD

Example (30-April-1967): 19670430

Parameter /FILE

Name of the database file (complete path + name + extension PHF) of the current patient. The path should exist. UNC paths are allowed. The file may be missing (if no visual fields had been stored up to now), an empty file will be created by PeriData. The file name should be patient-related. The unique patient ID in the EMR system serves well.

Example: /FILE:\\Server01\DATA\PeridataFiles\004312.PHF

Parameter /READONLY

(optional) The program will be set to ViewingMode. All files will be opened for reading only. Changes or data import is impossible.

Please note: The specified file in the /file parameter can also be locked by PeriData without using the /READONLY parameter. This happens automaticaly if the file is allready in use by another process !

Behaviour in case of multiple launch of PeriData on one PC

Peridata may be loaded by the client several times. There is always only one instance of PeriData in the memory. If the patient is changed in the patient record program, and PeriData is called again, PeriData will read the new command line parameters, closes all open database and opens the database of the new patient.

3. MES file from PeriData to the client (EMR software)

Write and delete: Each time when a new examination is imported into the patient database, PeriData writes a MES file. Import may be data received from a perimeter or data copied from another PeriData database. The directory is the folder of the patient database file (parameter /FILE). The names of the created files are continuous numbers (00000000.MES, 00000001.MES etc.) using the format 8.3. The client deletes the files after reading. Files which are not picked up for more than 1 day are deleted by PeriData.

Contents of the file: The MES file is a text file. The codepage is always ANSI-1252. The MES file contains only identifying data of the examination, no examination results.

The contents is given in lines terminated with <CR><LF>. Each line starts with a slash and a tag in capitals.

Line contents Details
/PROGRAM: PERIDATA       Information about the source program
/NAME:< Last name > Last name of the patient (as given by the client)
/FIRSTNAME:<First name> Title + first name of the patient
/BORN:< Date of birth > Date of birth (ISO Format: YYYYMMDD without dots)
/FILE:< Filename > Name of PeriData data file (PHF file) WITHOUT path - may contain the patient number
/DATE:<Date of exam> Date of the examination (ISO format: YYYYMMDD without dots)
/TIME:<Time of exam> Time of exam (Format: HHMM)
/EYE:<Eye under exam> the examined eye (Latin format: OD / OS)
/EXAM:<Examination info> Information about the exam (Format: <Eye>: <Instrumentt> <Examination program> [30-50 char])

(Example OD: HFA2 CENTRAL 30-2 THRESHOLD TEST)
/INDICES:  *optional* Exam result (Indices)

(Example: MD: -10.2 DB / FD: -77 % / PSD: 5.2 DB)
/RELIABILITY:  *optional* Exam result (Reliability values)

(Example: FIXLOSS 0% / FPOS 6% / FNEG 0%)

Example of a MES file:

/PROGRAM: PERIDATA
/NAME: Di_Caprio
/FIRSTNAME: Monsignore_Mario
/BORN: 19670430
/FILE: C:\TEMP\TEMP.PHF
/DATE: 19991127
/TIME: 1142
/EYE: OD

/EXAM: OD: HFA2 CENTRAL 30-2 THRESHOLD TEST
/INDICES: MD: -10.2 DB / FD: -77 % / PSD: 5.2 DB
/RELIABILITY: FIXLOSS 0% / FPOS 6% / FNEG 0%

4. Command line parameter /COMMAND (independent of Link mode)

If the PeriData program is running, a repeated CALL of PeriData with the parameter /COMMAND allows to send several control commands to the app. The instance is preserved (except with CLOSE_APP).

The parameter /COMMAND has priority to all other parameters. They are all ignored.

If PeriData is not running, the CALL has no effect. PeriData is not started

Command line parameter Details
/COMMAND:CLOSE_APP Terminates the application
/COMMAND:POPUP_APP Put the main window in front of other windows (does not work with some Windows versions
/COMMAND:CLOSE_WND Closes all data windows, the program window remains open
/COMMAND:CLOSE_PAT Closes all data windows and terminates the link mode, the program window remains open


Functions menu

This menu allows to edit particular data records (examinations) of the active database window

SHOW visual fields Shows all examination of the current patient
Search patient searches for the first matching name of a patient inside the active database
Mark 1 patient marks all examinations of the same patient in the examination list
Mark all marks all examinations in the entire database
Delete deletes examinations from the active database. A data copy stays a short while in the clipboard.
Copy copies examinations from the active database to the clipboard
Paste copies examinations from the clipboard into the active perimetric file
Change data changes general examination data and patient data


Extra menu

The Extra menu offers special database functions and the program settings (options). The Extras menu is only selectable if the database window is active. While visual field windows are active you press ESC or the button "show database window" to get there.

Sort by Name

Sort by Birthdate

Sort by Exam Date

Sort by Exam Date (descending)

Sort by Exam Type

 Sorts the examinations with the specific key   all about sort keys
Cleanup Packs the file. All deleted examinations in the perimetric file will be removed forever.
Repair Creates a new index file. All previously deleted examination will reappear. Any errors in the index file will be corrected.
Delete double tests Deletes all double / multiple storage of identical examinations in the currently active database.
Options Shows the Options dialog, where you can set all your program preferences and configurations (e. g. language, date format, perimeter connections)


File menu

This menu offers typical file functions:

New creates a new database file
Open opens an existing database file
Close closes the database file
Save this item does not appear, because the open perimetric file is always stored automatically when changed
Save As / Export Saves the open database file with a new file name
Export to text file stores the general examination data to a text file
Print prints the visual fields of the open display window
Exit PeriData is finished


Info Menu

Info & Help menu

This menu supports you in the use of PeriData

Help Overview opens the Help window showing the Overview page
Search Help opens the search field in the Help window to enter a keyword
New in this version displays a help page listing all new features, changes and improvements
Example data opens a database with anonymous sample data
Website opens the PeriData website "Peridata.com" in your browser
Configuration Assistent an assistent helps for the basic configuration of the app
UPDATE searches for a newer program version in the local network and on the PeriData website
Path Info Information about the active data paths (program, exchange folder..) and more
Settings Report generates a text report on the current settings in the options
about PeriData... displays the version number of the program, the expiration date, the address and the hotline number of the PeriData Software GmbH


"View" menu

This menu changes the visibility of windows and other elements inside the program windows. Some commands are only selectable if particular windows are open

Single opens the Single window
Left-Right opens the Left-and-Right window
Trend opens the Trend window
Zoom opens the Zoom dialog
Toolbar shows or hides the toolbar at the top of the program window
Status Bar shows or hides the status bar at the bottom of the program window


Window menu

The Window menu offers functions to re-arrange the window positions

Vertical Series Window positions the Series Window on the left side with a vertical time axis
Horizontal Series Window positions the Series Window in the upper part with a horizontal time axis
Show database window puts the database window on top
Cascade arranges windows in an overlapped fashion
Tile horizontally arranges windows side-by-side
Tile vertically arranges windows one over the other
Close all closes all open windows (and also all open databases)


Viewing Mode

Read-Only Mode and the option "Viewing Mode"

Read-Only Mode (database file)

If you open a database, which is already opened by another workstation with full control and write permission, you get only read permission for your own workstation. Data import is not possible. The visual field display is possible without any restrictions. But you cannot import new data. Also you cannot change or delete data.
A database can also be in read-only mode because the database file is write-protected (like the example-database EXAMPLE.PHF) . The read-only mode is shown by a red cross over the PeriData symbol.

VIEWINGMODE

Viewing Mode (entire program)

If the program option "Viewing Mode" is ON, all databases at this workstation are opened in read-only mode. The advantage is that the data reception at the perimeter workstation cannot be disturbed.

The option is selected in the Menu Options > Tab General. This button in the upper task bar indicates the status of the option "Viewing Mode": Button colored = option active, button gray = option off.

Recommendation

All workstation are set to Viewing Mode = ON. Only at the "Perimeter workstation" that receives data (via cable or file transfer) the option is OFF, the program is has full control (write enabled)


Image Favorites

Option "Save Image Favorites"

The current image type is saved permanently as "favorite image" for this window. The favorite image type will appear always when a new session is started.

The favorite image settings can be seen in the Menu Options > Tab "Display".


Two normal colors

Option "Two normal colors"

Since more than 30 years, it is a PeriData standard to distinguish by color between normal total deviation values above 0 up to +4 dB (light green color) and below 0 down to -4 dB (dark green color). This distinction provides useful information about slight alterations of the visual field, but may be confusing. Therefore, since the version 3.7.2.2 this distinction can be switched off.

This button switches between the use of two different green colors for the "normal" range (button prominent and colored = standard) and one green color (button pressed and gray). &nbps; -- The setting is temporarily. The option can be set permanently in the Menu Options > Tab General.

Example

Normal range with one color:
minimal differences between left and right eye

Normal range with two colors:
left eye clearly worse in comparison

5 years later:
Progression of the glaucoma damage on the left eye


Version changes since 3.7.2.5

PeriData - Changes since version 3.7.2.5

Again we had many small changes and improvements. These are the most important.

New features

Settings Report: The current Options Settings are written to a textfile. This is useful when computers are replaced or when support by our PeriData hotline is needed.

Configuration Assistant: After a new installation, this very useful assistant will start and help to make the basic settings for different installation types. It can be started also later in the menu Info&Help.

Update: The Update procedure can now be startet with a button or the key combination CTRL + U (since version 3.8.0.1)

FREY Perimeter, TOMEY Perimeter, Rodenstock2-Perimeter: The data connection with the perimeters Frey AP-600/600L, Tomey AP-3500/4000 and Rodenstock Perimat2/Peristat2 has been completed after intensive work. The examinations are sent to PeriData and are shown on the screen with all PeriData features, for example Progression Trend together with examinations from other instruments.

OPTOPOL Perimeter: The data connection with the Optopol perimeters PTS2000, PTS925 and PTS920 has been completed after intensive work. The examinations are sent to PeriData and are shown on the screen with all PeriData features, for example Progression Trend together with examinations from other instruments.

Trend Analysis with different perimeters: The warning message during a Trend Analysis with different perimeter groups (instrument from different manufacturers) can now be switched off. A red info text will always be displayed in the Trend Selection Window: ! Perimeter-MIX !. On the printout there the notification is given in the IntelliText

Move visual fields automatically (Link Mode): When the Reserve database (not assigned examinations) is opened, then an automatic search for examinations of the current patient is started and the visual fields are moved to the patient database.

Search function can "find next": The search window now has the "find next" button. The next match is indicated, the window remains open. This is useful if you do not know the exact name (e.g. "Miller", first name unknown). When the search window has been closed again, the F3 key still works

Visual fields show at start is now optional: (Link Mode) In the options, you can choose whether the visual fields are shown automatically at start or you see only the database window

Default Database (no Link Mode): If you store the visual fields of all patient in a single large database (without connection to your medical office software), can ensure that the correct database file is always opened automatically by using a file called "PeriwinStandardDatabase.txt" located in the exchange folder.

Single window opens with Series window: When visual fields are opened, the current (last) visual field is shown together with the whole series. In the options, you can choose whether want to see the Left-Right-Window instead.

Do not import double examinations: This option was available only in the LinkMode. Now it can be set also without LinkMode.

Changes and improvements

Double measurements: The second measured value now is shown in brackets.

Sort key clearly visible: The current sort key in the examination list (database window) is shown with arrows in the column header (e.g. DATE>>>). This is more clearly than the stars ** used before.

Data errors - documentation improved: Error messages during data transmission are now documented in greater detail. This enables our hotline support team to identify the cause more easily and find solutions more quickly.

Options: The windows for the program settings (options) have been revised and are now clearly arranged

Menus: The menus have been revised and are now clearly arranged. The buttons for the Trend window, Left-Right window and Single window are shifted to the main toolbar

Corrupted data: Examinations without any readable point results are shown as ExamType = ****DAMAGED**** in the list. They can non easily recognized, deleted and send again.

Color when printing: The green colour when printing was sometimes very dark. The color coding for the printer has been changed.

Trend Selection Window: The scale in the Trend Selection Window on the right side is now equal for all visual fields of the series and equals the scale in the main window.

Missing data: Single points with missing normal values are shown with a ? (question mark) in the deviation map. Some of these values are now reconstructed with maximum plausibility.

Help improved: The Help function was continously revised. Many messages have better text and some got a help button providing additional information. And it always pays out to press F1 and look for a keyword.

Support routines improved: More log files are written. And the program messages are improved. This helps our support team to identify the origin of problems easier. In the last month we could see a considerable effect.

Bug fixes

Freeze: Sometimes the application was freezing. Solved.


Data handling overview

Data handling in special situations

PeriData database

Handling of old data

Data conversion

Problems concerning file access


Differences of Representation

Differences to the Original Perimeter Programs

PeriData is a separate program. For data processing, we are dependent on the information and cooperation of the perimeter manufacturers. Therefore, differences are possible. Further differences are arising from the calculation methods for decimals.

There are also differences in the graphical display. On the other hand, inside PeriData, the grayscale patterns, color defect patterns and defect symbols are uniform and comparable for all types of perimeters.

Concerning a specific perimeter, click on the link to get an information about the known differences:

Heidelberg Edge Perimeter (HEP)

Humphrey Field Analyzer

Medmont M700

Oculus Twinfield / Centerfield / Easyfield / Smartfield

Octopus

Rodenstock Peristat 433


Patient data >> Perimeter

Send Patient data to the perimeter (with start option)

Keys: F4 or F9 or CTRL+F5

PeriData is able to send the current patient data (name, first name, date of birth, ID) to the perimeter program. This saves the effort of typing in all the patient data at the perimeter. If the perimeter program is not yet running, it will be started.

Those perimeters are compatible for this function:

  • Octopus 600 / 900
  • Oculus Twinfield, Centerfield
  • Oculus Easyfield, Smartfield
  • Optopol PTS2000, PTS920, PTS925

Click on the link to see the details for the specific perimeter.


HEP Differences

Differences to the HEP representations

The following differences are known. Further differences are possible.

FDF examinations

The Eye Explorer sends only the "Legacy" values, which are equivalent to the common decibel values. The original values of the FDF stimulus (different scale) can be recalled only in the HEP software.


HFA Differences

Differences to HFA printouts

The following differences are known. Further differences are possible.

Kinetic examinations

Die results of kinetic examinations cannot be displayed by PeriData

Blue-on-Yellow Perimetry (SWAP)

The manufacturer has not released the normal values for blue-on-yellow examinations. For this reason, PeriData shows only the threshold values and the grayscale.

False positive and negative trial scores with SITA strategy

Concerning examinations with SITA strategy, the perimeter does not send false positive trial scores. Concerning examinations with SITA FAST strategy, the perimeter does not send neither false positive nor false negative trial scores. -- Actually, these trials are not performed. The percentage on the original perimeter printout is an estimated value.

Suprathreshold examinations with defect depth strategy

Only very old versions (older than A1.2) of the HFA 2: The results of defect depth measurements are transmitted incompletely. The displayed values may be wrong.

Total Deviation values (Defect depth)

PeriData uses different normal value tables than the perimeter, because the original tables have not been released. PeriData calculates with decimals and uses a different rounding formula than the perimeter software. The differences are small (about 1 to 2 dB).

Index MD

PeriData uses the original formula of MD (mean of all total deviation values). The perimeter software calculates MD while weightening each value: central values are weightened higher and values outside 20 degree are weightened lower. Therefore, the HFA-MD can be greater (deeper in the minus range) in case of central scotoma and smaller in case of ring scotoma.

We never observed a change in categorizing a visual field as normal or pathological by these differences in calculation.

Trend analysis is not influenced at all because the bias is uniformly over the whole series.

Suprathreshold examinations with more than 208 test positions

The number of storable test positions (test points) is limited to 208. Examinations with more points (Fullfield screening test) are not completely stored. In the display, some points are missing.


Medmont Differences

Differences to Medmont printouts and representations

The following differences are known. Further differences are possible.

Screening strategy data (defect classes) are not transmitted by Medmont studio.

Symbols for 3-zone- and fixed-luminance-strategies are slightly different in style.

Grayscale and Color scale of both programs are different.

“Deviation„ in PeriData is “deviation from normal values„. PeriData´s “Corrected deviation„ is comparable to “deviation from HoV„.

PeriData is not able to display “defect probability„ of Medmont results.


Octopus Differences

Differences to Octopus Printouts and Representations

The following differences are known. Further differences are possible.

Kinetic Examinations

The results of kinetic examinations cannot be displayed by PeriData

Flicker Tests

Octopus 300/311: Flickertests are NOT recognized, the stimulus duration of 1000 ms is not recognized, PeriData takes wrong normal values for 100 ms without flicker

Indices

Values may differ slightly from the values in the device program. The reason for this is different rounding methods. PeriData uses the same formula and rounding method for each device. This makes it easier to compare findings from different devices.


Oculus Differences

Differences to Oculus printouts and representations

The following differences are known. Further differences are possible.

Kinetic examinations

The results of examinations using the kinetic strategy are not transmitted by the perimeter


Peristat-433 Differences

Differences to Peristat 433 printouts and representations

The following differences are known. Further differences are possible.

Fixation losses

The fixation loss values are transmitted incorrectly by the PeriStat program. Starting with PeriData version 1.8, the percentage was reconstructed. The number of trials is always set to 100, the true value is unknown.

Examinations with more than 208 test positions

The number of storable test positions (test points) is limited to 208. Examinations with more points are not completely stored. In the display, some points are missing.


Patientendaten >> OCULUS

Send Patient data to the OPTOPOL-PTS program

PeriData is capable to send the current patient data (name, first name, birthdate, ID) to the perimeter program. This saves the effort of typing in all the patient data at the perimeter. The perimeter program is started if necessary.

Preparation

The preparation for the data transfer PeriData >> OPTOPOL-PTS consists of 2 jobs:

1. EXPORT configuration in PeriData > Options

2. IMPORT configuration in the program OPTOPOL-PTS "GO.EXE"

  • Open the Settings (gear symbol at the bottom bar)
  • Click on Data exchange. "Data exchange settings" show up on the right side.
  • Activate "GDT File Interface"
  • Data exchange folder = C:\GDT\Optopol (standard GDT folder for Optopol)
  • Application GDT-ID = OPTO (OPTOpol)
  • EMR system GDT-ID = PERI (PERIdata)

If a GDT configuration by the EMR system, the setting must not be changed. Instead of it, the file C:\PeriDataExchange\Gdt2Perimeter\StartPerimeter_Optopol.bat is changed (line "copy ..."). Our service helps you.

Sending patient data

  button "Data >> Perimeter" or key F4  or key F9

The data of the current patient are sent. If several patients are in the database list the patient under the cursor bar is sent.

Explanation and troubleshooting

This function uses the directory C:\ PeriDataExchange \ GDT2Perimeter. PeriData writes the file "PERIPERI.GDT" containing the patient data. Then the batch file "StartPerimeter_Optopol.bat" is started. The GDT file is copied to C:\GDT\Optopol and renamed to OptoPeri.gdt. The PTS program shows the data in the worklist. The user calls the patient, the PTS program deletes the GDT file.

If the OPTOPOL-PTS program does not open, the path in the batchfile may be wrong. It can be adjusted with an editor.

If the patient does not show up in the worklist of the PTS program, check the configuration of the PTS program.

Make the connection: all steps


PeriTrend: data transmission

Transmit data from PeriTrend / Octopus 101

If PeriTrend has been connected and a database has been opened, you can transmit data


Octopus 500: data transmission

Transmission of stored data: Octopus 500EZ perimeter

Step by step

Go to the perimeter.

-> Main menu

-> DATA TRANSMISSION

-> TRANSMISSION OF LAST TEST


Perimeter Connection

Principle Interface Devices

Instructions for particular perimeter types

Frey AP 600

Heidelberg Edge Perimeter (HEP)

Humphrey Field Analyzer 1 (Zeiss Model 6xx)

Humphrey Field Analyzer 2 (Zeiss Model 7xx)

Humphrey Field Analyzer 3 (Zeiss Model 8xx)

Medmont M700

Octopus 101 / PeriTrend

Octopus 1-2-3

Octopus 300 / 311

Octopus 500EZ

Octopus 900 / EyeSuite

Octopus 600 / EyeSuite

Oculus Twinfield

Oculus Centerfield

Oculus Easyfield

Oculus Smartfield

Optopol PTS 920 / 925 / 2000

Rodenstock Peristat 433

Rodenstock Peristat2 / Perimat2

Tomey AP-3500/AP-4000

If the perimeter PC is a terminal in a Terminal Server Architecture, there are a few special features to consider. Please read this carefully:  Terminal Server Configuration


Perimeter Connection

Principle Interface Devices

Interface Perimeter -- PeriData

1: Physical Connection: Depending on the device type by cable, via network or by installing PeriData on the same PC as the perimeter control software

2: Perimeter - Export: In the perimeter software, some settings are done to make the perimeter ready to send data correctly

3: PeriData - Import: Inside PeriData, the import interface is configurated. The setting is in the menu Extra >> Options >> Perimeter

4: PeriData - Patient Data Export: (optional) PeriData is capable to export patient key data (name, date of birth..) in the GDT format and even start the perimeter program. The export settings are in the menu Extra >> Options >> Perimeter

5: Perimeter - Patient Data Import (optional) The GDT import interface in the perimeter software is configurated to import the patient key data. Some perimeter types have no GDT interface

If the perimeter PC is a terminal in a Terminal Server Architecture, there are a few special features to consider. Please read this carefully:  Terminal Server Configuration


Print Formats

PeriData Single

upper left: Color Defect Map
upper right: cumulative defect curve
lower center: numerical defect values
lower right: standard indices

All representations are based on norm-related values (defect depth or deviation, resp.)

PeriData 4 in 1

upper left: Color Defect Map
upper right: cumulative defect curve
lower left: numerical defect values
lower right: defect probability map
lower right außen: standard indices

All representations are based on norm-related values (defect depth or deviation, resp.)

Traditional Single

upper left: threshold values (raw data)
upper right: grayscale der threshold values (raw data)
center left: numerical defect values (deviation from normal)
center right: numerische corrected Defektwerte (corrected deviation)
center outer right: standard indices (norm-related)

lower left: defect probability map
lower right: corrected defect probability map

The representations are based on different values: raw data (threshold values), norm-related values (deviation / defect depth) and shifted norm-related values (corrected deviation)

Suprathreshold

center: Defektklassen
lower left: Anzahl in den Defektklassen
lower right: Qualitäts-Indikator

PeriData Series

left: Color Defect Map
center left: numerical defect values
center right: standard indices
right: cumulative defect curve

All representations are based on norm-related values (defect depth or deviation, resp.)

Traditional Series

left: grayscale der threshold values (raw data)
center left: threshold values (raw data)
center: defect probability map
center right: corrected defect probability map
right: standard indices (norm-related)

The representations are based on different values: raw data (threshold values), norm-related values (deviation / defect depth) and shifted norm-related values (corrected deviation)

PeriData OD/OS

upper: Color Defect Map
center: numerical defect values
lower center: cumulative defect curve
lower outside: standard indices

All representations are based on norm-related values (defect depth or deviation, resp.)

>

Binocular

upper: Binocular Analysis (best value of both eyes)
center: Congruence Analysis (comparison left-right)
lower: mirror-image Congruence Analysis

All representations are based on norm-related values (defect depth or deviation, resp.)

Trend

upper left: Boxplot
upper right: Indices Trend
center left: Percentile Plot
center right: Intellitext
lower left: Change
lower right: GATT

All representations are based on norm-related values (defect depth or deviation, resp.)


Printing

Printing visual fields

For medical reports and similar situations PeriData has a comprehensive printing function. The print command is given out of an active visual field window (Series, Single, Left-Right or Rrend). The currently displayed visual fields are printed, i.e. when printing in the Left-Right window, the left and right visual fields are printed. The IMAGE types on the printout are selected via a print format; the current image display on the monitor has no influence.

Every visual field window has a print button. The print command can also be given using keys or the menu:

Keys: CTRL + P
Menu: Database > Print
Context menu: Print

Print Dialog

This window opens after the print command.

Printer > Name: select the printer from the list

Printer > Properties: if the print outcome shall be improved (e.g. resolution=300dpi, anti-aliasing=OFF for better grayscales)

Format: select one or several print formats (details below)

LEFT + RIGHT: (only in the Series window) both visual field sides are printed. Without a check it is only the current side

30°: The scale is fixed to 30 degree. Without a check the scale is automatically set showing all measured points

Monochrom: the printout is optimized for monochrom printers.

Copies: Number of copies

Print formats

Each print format is a combination of several image types (visual field displays). (all available print formats in detail). The possible choice is dependent on the type of the active window:

  Single Series Left-Right Trend
PeriData Single X X
PeriData 4in1 X X
Traditional Single X X
Suprathreshold X X X
PeriData Series X X
Traditional Series X X
PeriData OD/OS X
Binocular X
PeriData Trend X

Important Notes

Your own address (clinic or eye center) can be printed. The text is define in the Options > Tab General.


Network Configuration

Installation Guide (Network configuration without EMR software link)

INSTALLATION TYPE: There are 4 different types of installation for PeriData in a network. This guide describes the NETWORK CONFIGURATION WITHOUT LINK to the EMR software.

network

1. Install the PROGRAM (on all workstations)

  • download the newest version of the setup file from www.peridata.com  ()
  • install PeriData on every workstation in the local network  (Terminal Server: clients need no installation)
  • TEST: start PeriData > open with Button "WITHOUT LICENSE" (license key registration can be done later) - does PeriData start?

2. Create the database DIRECTORY

  • create a directory on the perimeter room PC - used for storage of the database files (*.PHF) if the directory would be created on the server, speed problems could arise
  • folder name: \PeridataFiles
  • folder properties > Security > "Everybody" = full access
  • share the folder, note the UNC path
  • Link: detailed database specification

3. Create your standard DATABASE

  • On the perimeter room PC:
  • open PeriData
  • switch off the "Viewing Mode" (menu Extra > Options)
  • create a new database (menu Database > New)
  • save the database (menu Database > Save as..)
  • define the database directory (see above) and the file name (recommended = name of the institution without special characters, e.g. "EyecenterDocMiller.phf", "EyeclinicNewtown.phf"..)
  • declare the new database as standard database (menu Database > Declare Standard Database)
  • on all other PC:
  • open the database via network (UNC path)
  • declare the new database as standard database (menu Database > Declare Standard Database)

4. Connect the PERIMETER DEVICE and PeriData (only at the perimeter room workstation)

  • open help page Perimeter Connection
  • click on your device type >> the special help page opens
  • perform all 3 steps
  • TEST: send examination data from the perimeter >> PeriData reports "new data waiting for storage" -- open a new database > visual fields visible?

5. Setup the BACKUP routine

  • The daily backup should include the database directory (.../PeridataFiles) with the database file *.PHF and the auxillary file *.PHD

6. USING PeriData

  • At all workstations PeriData is started by clicking on the icon on the desktop. Commandline parameters are not needed. PeriData may be put into the autostart.
  • PeriData is in the Viewing Mode. Only Exception is the perimeter workstation.


Partial Integration

Installation Guide (Partial Integration)

INSTALLATION TYPE: There are 4 different types of installation for PeriData in a network. This guide describes the PARTIAL INTEGRATION with the EMR software.

partial integration

1. Install the PROGRAM (on all workstations)

  • download the newest version of the setup file from www.peridata.com  ()
  • install PeriData on every workstation in the local network  (Terminal Server: clients need no installation)
  • confirm the suggested program folder (should be the same on all PC)
  • TEST: start PeriData > open with Button "WITHOUT LICENSE" (license key registration can be done later) - does PeriData start?

2. Create the database DIRECTORY

  • create a directory on the perimeter room PC - used for storage of the database files (*.PHF) if the directory would be created on the server, speed problems could arise
  • folder name: \PeridataFiles
  • folder properties > Security > "Everybody" = full access
  • share the folder, note the UNC path
  • Link: detailed database specification

3. Create your standard DATABASE

  • On the perimeter room PC:
  • open PeriData
  • switch off the "Viewing Mode" (menu Extra > Options)
  • create a new database (menu Database > New)
  • save the database (menu Database > Save as..)
  • define the database directory (see above) and the file name (recommended = name of the institution without special characters, e.g. "EyecenterDocMiller.phf", "EyeclinicNewtown.phf"..)
  • declare the new database as standard database (menu Database > Declare Standard Database)
  • on all other PC:
  • open the database via network (UNC path)
  • declare the new database as standard database (menu Database > Declare Standard Database)

4. Connect the PERIMETER DEVICE and PeriData (only at the perimeter room workstation)

  • open help page Perimeter Connection
  • click on your device type >> the special help page opens
  • perform all 3 steps
  • TEST: send examination data from the perimeter >> PeriData reports "new data waiting for storage" -- open a new database > visual fields visible?

5. Connect the EMR software and PeriData (PARTIAL integration)

  • Create a dynamic call (windows shell execute) with the contents
    "C:\program files\peridata\periwin\periwin.exe <Name of the standard database> /Search:"<PatientName+PatientFirstname>"
  • Create a "PeriData" button or a shortcut that starts the call
  • TEST: Press the PeriData button in the EMR sofware - does PeriData open in the Link Mode, opening a patient database?

6. Setup the BACKUP routine

  • The daily backup should include the database directory (.../PeridataFiles) with the database file *.PHF and the auxillary file *.PHD

7. USING PeriData

  • At all workstations PeriData is started out of the patient file of the EMR software. Then, the patient is searched automatically in the database. A patient without data (first examination) makes no match. Transfer the first exam.
  • PeriData is in the Viewing Mode. The only exception is the perimeter room workstation.


Standalone Configuration

Installation Guide (Standalone on 1 PC)

INSTALLATION TYPE: There are 4 different types of installation for PeriData in a network. This guide describes the STANDALONE SOLUTION on one PC.

network

1. Install the PROGRAM

  • download the newest version of the setup file from www.peridata.com  ()
  • install PeriData on your PC
  • TEST: start PeriData > open with Button "WITHOUT LICENSE" (license key registration can be done later) - does PeriData start?

2. Create the database DIRECTORY

  • create a directory on the perimeter PC - used for storage of the database files (*.PHF)
  • folder name: \PeridataFiles
  • Link: detailed database specification

3. Create your standard DATABASE

  • open PeriData
  • switch off the "Viewing Mode" (menu Extra > Options)
  • create a new database (menu Database > New)
  • save the database (menu Database > Save as..)
  • define the database directory (see above) and the file name (recommended = name of the institution without special characters, e.g. "EyecenterDocMiller.phf", "EyeclinicNewtown.phf"..)
  • declare the new database as standard database (menu Database > Declare Standard Database)

4. Connect the PERIMETER DEVICE and PeriData

  • open help page Perimeter Connection
  • click on your device type >> the special help page opens
  • perform all 3 steps
  • TEST: send examination data from the perimeter >> PeriData reports "new data waiting for storage" -- open a new database > visual fields visible?

5. Setup the BACKUP routine

  • The daily backup should include the database directory (.../PeridataFiles) with the database file *.PHF and the auxillary file *.PHD

6. USING PeriData

  • PeriData is started by clicking on the icon on the desktop. Commandline parameters are not needed. PeriData may be put into the autostart.


Installation Types

  Installation     Standalone     Network     Partial Integration     Full Integration

1. Standalone Configuration

PeriData is installed on 1 PC. And 1 database is created containing all examinations of all patients.     Installation Guide for Standalone Configuration

standalone


Installation Types

  Installation     Standalone     Network     Partial Integration     Full Integration

2. Network Configuration (no integration)

PeriData is installed on all PCs in the local network. One database containing all examinations of all patients is created on the perimeter PC. By sharing the folder, all workstations can access the data (in viewing mode). The EMR software is NOT connected. PeriData and EMR software are running parallel without link.    Installation Guide for Network Solution

network


Installation Types

  Installation     Standalone     Network     Partial Integration     Full Integration

3. Partial Integration (1 large database)

PeriData is installed on all PCs in the local network. One database containing all examinations of all patients is created on the perimeter PC. By sharing the database folder, all workstations can access the data (in viewing mode). The EMR software starts PeriData with commandline parameters making the database to jump to the patient name.    Installation‑Guide for Partial Integration

partial integration


Installation Types

  Installation     Standalone     Network     Partial Integration     Full Integration

4. Full Integration = LinkMode (many small databases)

PeriData is installed on all PCs in the local network. On the server, a "PeridataFiles" folder is created where every patient gets his own database file. There will be many files. The medical record software starts PeriData with special commandline parameters. PeriData is now in the Link Mode   and shows only the database of the current patient. Further convenience elements are immediate visual field display, name check and informative lines in the medical record.     Installation‑Guide for LinkMode
Installation‑Guide for LinkMode


PeriData Specification

PeriData App Specification

System Requirements and Privileges

Operating system: Windows 7, 8, 10 and 11. With Windows 10, the 64 bit version is required.

Storage space: One examination needs only 1280 byte = 1.3 kByte.

Privileges: "normal user". Enhanced administrator privileges are only required for the first app start and the license registration.

Installation, Update, Downgrade

File name: PERIDATA-SETUP- <versionnumber>.EXE The installer is based on InnoSetup. Installation method is copying. Updates overwrite the existing program files. A downgrade is possible. The license key is preserved.

Network: PeriData for Windows has to be installed on ALL WORK STATIONS where it is intended to be used. In case of a Terminal Server Architecture, PeriData is installed only on the server and sometimes on those workstations which are connected to a perimeter. For details see here: Terminal Server Solution

Installation with command line parameters

/DIR=<path> dedicated program folder

/SILENT no dialogs, only progress bar

/VERYSILENT no display

/NORESTART prevents a restart

/NOREGSERVER no registration of OCX modules (use only if they are already registrated)

/REGSERVER (only 32-bit Windows)  registration of OCX modules forced (otherwise they will not be registrated with 32-bit Windows)

Program directory

Chosen during setup. Standard directory is C:\program files\PeriData (strongly recommended)

Update: The former path is suggested in the setup

Cleanup: During the setup procedure, a search for multiple installation is performed. If several directories with PeriData program files are found, a message appears. The cleanup has to be done manually outside the setup procedure.

Call from the EMR software (Link Mode): The PeriData app is "Periwin.exe" and is located in the folder /Periwin below the installation directory. Therefore, the call is C:\program files\PeriData\Periwin\Periwin.exe

Environmental variable: "PeriDataProgDir" contains the complete path to Periwin.exe. The call %PeriDataProgDir%\Periwin.exe works always, even with an atypical program directory.

More directories

Standard import directory: C:\PeriDataExchange is created during setup. In this directory, the temporary raw data files are stored. The directory should allow full control for all users. This directory contains also important auxillary files and should not be deleted.

Atypical import directory: For the temporary raw data files an atypical directory can be used. This is configurated in the options (tab Perimeter). The standard directory is maintained !

Legacy: Some older perimeter programs are still sending their data to the former import directory C:\Windows\Peridata. Because of hard coding, this cannot be changed. PeriData moves the files automatically to the import directory. A special setting is not necessary.

Data directory (file types *.phf): In principle, the data directory (like the file names) can be chosen freely. It is recommended that the user creates a special data folder. Recommended name is "/PeridataFiles". In the link mode, it should be located on the server, otherwise for speed issues on the perimeter workstation. The folder name is not stored in PeriData. When the EMR software calls PeriData, the directory name is a commandline parameter.

Program Start

Normal start: Double click on the desktop symbol or single click on the start menu symbol. The program window is empty. The user opens the database manually.

Explorer: Double click on a PeriData database file (*.PHF). PeriData will start and opens this database.

Batch file: The PeriData app has the name Periwin.exe. Therefore, the batch command is C:\program files\PeriData\Periwin\periwin.exe (if installed in the standard folder).

Commandline parameters for "Periwin.exe"

Commandline parameters have the priority to the settings in the options

/MODE:<> used by the EMR software to start PeriData in the Link mode

/CLIENT:<> /DATA:<> /FIRSTNAME:<> /NAME:<> /BORN:<> /GDT:<> /FILE:<> /ID::<>   Additional parameters used for the Link mode

/REGISTRATION  Immediately after start, the registration dialog is opened. To be used once in case of license registration problems.

"<file name>. PHF"  Opens the specified database file. The file name (with path) must be the first command line argument. In case of blanks, use quotation marks.

/SHOWNORMAL  Start with normal window size and last position

/SHOWMAXIMIZED  Start with maximized window

/SHOWMINIMIZED  Start with minimized window

/X: /Y: /DX: /DY:  Start with a defined window. Overrides the other window parameters

NOTE: Without parameters, the program window starts with the last window size (maximized or normal)

/RESET:  Resets the options to the default settings

/RECEIVERMODE:  Same effect like the option "Receivermode": App running in a receiver mode - raw data files are not imported

/READONLY  Same effect like the option "Viewing Mode" - Files cannot be changed. This switch works only with the LinkMode !

/CHANGEPAGE  Same effect like the option "Change Umlaut" - (only in the LinkMode) when data are exchanged with an EMR software, special characters in the patient name are read and written in codepage 850

Demo Mode and Registration

After the first installation on a PC, PeriData starts in Demo Mode. This mode gives full functionallity without restrictions. It is only available for a limited time after the first installation. For continuous usage, you need a license key. Details abount license key registration by telephone.

Database files

Perimetric data are stored in files with the extension .PHF . Simultaneously, the associated sort file .PHD is created. If it is missing, it is rewritten. more about the structure of the PeriData database

New files are called NONAME<number>. PHF and are temporarily stored in the directory ..public\documents\PeriData or ..allusers\documents\PeriData, resp. until they are stored with a dedicated name and path.

Simultaneous access to the same database is possible. According to the first come, first serve principle, the user who opens the file at first gets write permission, all others read-only permission. To avoid that a "viewing workstation" (without perimeter connection) blocks a "perimeter workstation" , the option viewing mode can be set at all viewing workstations.


Display styles

Help topic not exactly specified

There is no help available for the selected topic. Do you want to see the contents overview?


3-D-Hill-Kombination

3-D-Hill (image combination in the Single Window)

Button in the Single Window
Key: H

This image combination shows the visual field as 3-dimensional hill-of-vision.

 1   The 3-D-Hill shows the hill-of-vision in a perspective view, which can be rotated and tilted

 2   The Grayscale Map shows the interpolated raw data.

 3   The General Data give information about examination program, duration, catch trial results and more .

Help for a single image type ("Image Help")

CLICK onto a single image in the window to get special information about this image type. Image help can also be started with the context menu (RIGHT mouse button).


Traditional image combination

The Traditional image combination (Single Window)

Button in the Single Window
Key: T

This image combination shows the traditional representations used in other programs and printouts. The images base partly on raw data, on deviation from normal and individually shifted data.

 1   The Grayscale Map shows the interpolated raw data.

 2   The Indizes show the statistics of deviation from normal.

 3   The Total Deviation Map shows the deviation from normal in decibel. The defect depth can be read exactly.

 4   The Total Deviation Probability Map shows the probability of a deviation from normal

 5   The Pattern Deviation Map shows the deviation in decibel from an individually shifted normal value curve

 6   The Pattern Deviation Probability Map shows the probability of a deviation from an individually shifted normal value curve

Help for a single image type ("Image Help")

CLICK onto a single image in the window to get special information about this image type. Image help can also be started with the context menu (RIGHT mouse button).


6-in-1 Image Combination

The image combination 6-in-1 (Single Window)

Button in the Single Window
Key: Y

This image combination is very favorite. All representations regard the age-corrected normal values.

 1   The Color Map shows the deviation from normal with an intuitive color scale. The defects are recognizable instantly.

 2   The Deviation Map shows the deviation from normal values in dezibel using the same color scale. The defect depth can be read exactly.

 3   The Probability Map shows the probability of a deviation from normal

 4   The Defekt Curve after Bebié shows the distribution of normal deviations. Diffuse depression and deeper local defects are quickly identified.

 5   The Indizes show the statistics of normal deviations

 6   The General Data give information about examination program, duration, catch trial results and more .

Help for a single image type ("Image Help")

CLICK onto a single image in the window to get special information about this image type. Image help can also be started with the context menu (RIGHT mouse button).


Color Map 3-in-1 image

Color Map 3-in-1 (image combination in the Single Window)

Button in the Single Window
Key: C or M or i

This image combination shows the 3 most important images for a fast interpretation. All representations regard the age-corrected normal values.

 1   The Color Map shows the deviation from normal with an intuitive color scale. The defects are recognizable instantly.

 2   The Defekt Curve after Bebié shows the distribution of normal deviations. Diffuse depression and deeper local defects are quickly identified.

 3   The Indizes show the statistics of deviation from normal.

Help for a single image type ("Image Help")

CLICK onto a single image in the window to get special information about this image type. Image help can also be started with the context menu (RIGHT mouse button).


Color Map PLUS 3-in-1 image

Color Map-Plus 3-in-1 (image combination in the Single Window)

Button in the Single Window
Key: +

This image combination shows 3 important images for a fast interpretation regarding the point-wise deviation from normal.

 1   The Color Map shows the deviation from normal with an intuitive color scale. The deviation from normal is visible for each measured point as numeral.

 2   The Defekt Curve after Bebié shows the distribution of normal deviations. Diffuse depression and deeper local defects are quickly identified.

 3   The Indizes show the statistics of deviation from normal.

Help for a single image type ("Image Help")

CLICK onto a single image in the window to get special information about this image type. Image help can also be started with the context menu (RIGHT mouse button).


Total Deviation 3-in-1 image

Total Deviation 3-in-1 (image combination in the Single Window)

Button in the Single Window
Key: D or A

This image combination shows the total deviation from normal as exact numeral. Together with the Color Map and the General Data the combination enables a pointwise interpretation with regard to the course of the examination.

 1   The Deviation Map shows the deviation from normal in decibel as numerals. The color scale of the Color Map is used. The defect depth can be read exactly.

 2   The Color Map shows the deviation from normal with an intuitive color scale. The defects are recognizable instantly.

 3   The General Data give information about examination program, duration, catch trial results and more

Help for a single image type ("Image Help")

CLICK onto a single image in the window to get special information about this image type. Image help can also be started with the context menu (RIGHT mouse button).


Threshold Values 3-in-1 image

Threshold Values 3-in-1 (image combination in the Single Window)

Button in the Single Window
Key: G or R

This image combination shows the threshold values (raw data of the measurement). Together with the Grayscale Map and the General Data it furnishes additional information about the course of the examination to experienced users.

 1   The Threshold Map shows the raw data of the examination. In case of double measurements, both values are given exactly.

 2   The Grayscale Map shows the interpolated raw data.

 3   The General Data give information about examination program, duration, catch trial results and more .

Help for a single image type ("Image Help")

CLICK onto a single image in the window to get special information about this image type. Image help can also be started with the context menu (RIGHT mouse button).


Sort

Sort the database

Mausklick:  Column Header
Menü:  Extra > Sort by Name / Birthdate / Exam Date / Exam Type

The Column Header of the active sort key is in CAPITALS and has 3 arrows >>>. The sort key is changed by a click on the column header. There are also menu commands.

NOTE: In the Link Mode, the sorting plays no role, because only a few examinations of one patient are shown.

NAME >>>

The sort key Patient Namen is default. The division of family name and first name by a comma is ignored. Also other special characters like hyphen are ignored. Identical names are sorted by the date of birth.

After WHITE, ANDY comes WHITELAW, PETER and then WHITE, THOMAS

BIRTHDATE >>>

This sort key is helpful if you are searching for a patient whos name was written wrong, but the day of birth is known.

<<< DATE >>>

Date is the examination date. By repeated clicks on the column header the sorting order is reversed.
DATE >>>   = ascending
<<< DATE = descending

EXAM TYPE >>>

This special sort key uses the the following order:  1. Instrument  2. Examination program specifier  3. Stimulus color  4. Stimulus size  5. name of the patient  6. Eye  7. Date of examination


Window Arrangement

The Window menu offers commands to re-arrange all open windows (databases and visual field windows)

Cascade

The windows are shown overlapping from the upper left towards the lower right

Tile horizontally

The windows are shown as small windows beneath each other. More than 3 windows are shown as tiles.

Tile vertically

The windows are shown as wide windows above each other. More than 3 windows are shown as tiles.


Show Database

Show Database Window

Button:

This command puts the database window on top of the display (visual field) windows.

Note: To get to the database window, you can also close the display windows with ESC


Contact PeriData

Telephone

+49 22 044 264 770

Fax

+49 22 047 064 569

E-Mail

info@peridata.com

Post

PeriData Software GmbH
Odinweg 42
51429 Bergisch Gladbach
Germany